<?php
/*
 * Project Name: MiniManager for Project Mangos/Trinity
 * License: GNU General Public License v2(GPL)
 * Language: English
 * Supported Minimanager Revision: Latest (default language)
 * Translator:
 */

$lang_global = array(
  // ----- GENERAL ERROR CODES -----
  'err_sql_conn_db' => 'Error - Connection to database is not established !',
  'err_sql_open_db' => 'Error - Can\'t open the database !',
  'err_no_result' => 'No Results.',
  'err_no_user' => 'No Users Found!',
  'err_no_records_found' => 'No Records Found!',
  'err_no_search_passed' => 'No Search Value Passed.',
  'err_invalid_input' => 'Invalid Input',
  'err_no_permission' => 'You don\'t have to permission to access or edit this data',
  // ------ GENERAL -----
  'for_trinity' => 'This function is for Trinity Servers only',
  'empty_fields' => 'Some Fields Left Blank',
  'search' => 'Search',
  'limit' => 'limit',
  'back' => 'Back',
  'go_back' => 'Go Back',
  'home' => 'Home',
  'none' => 'none',
  'delete' => 'Delete',
  'delete_short' => 'Del.',
  'edit' => 'Edit',
  'yes' => 'YES',
  'yes_low' => 'Yes',
  'no' => 'NO',
  'no_low' => 'No',
  'are_you_sure' => 'ARE YOU SURE?',
  'will_be_erased' => 'Will be unrecoverble erased from DB!',
  'unlinked' => 'Unlinked',
  'country' => 'Country',
  'language_select' => 'Select Language',
  'language_0' => 'English',
  'language_1' => 'Korean',
  'language_2' => 'French',
  'language_3' => 'German',
  'language_4' => 'Chinese',
  'language_5' => 'Taiwanese',
  'language_6' => 'Spanish',
  'language_7' => 'Mexican',
  'language_8' => 'Russian'
  );


// ----- LOGIN.PHP -----
function lang_login()
{
  $lang_login = array
  (
  'login' => 'Login',
  'username' => 'Username',
  'password' => 'Password',
  'not_registrated' => 'Register',
  'bad_pass_user' => 'Invalid Username and/or Password!',
  'missing_pass_user' => 'Missing Username and/or Password!',
  'banned_acc' => 'Account Banned, Please contact Server Administrator',
  'locked_acc' => 'Account Suspended, Please contact Server Administrator',
  'no_permision' => 'You Have NO Permission to Access Requested Data',
  'enter_valid_logon' => 'Please enter valid Username and Password:',
  'select_realm' => 'Select Realm',
  'remember_me' => 'Remember Me',
  'pass_recovery' => 'Forgot Your Password?',
  'after_registration' => 'Your account creation was successful!'
  );
  return $lang_login;
}


// ----- GUILD.PHP -----
function lang_guild()
{
  $lang_guild = array
  (
    'my_guilds' => 'My Guilds',
    'id' => 'ID',
    'guild_name' => 'Guild Name',
    'guild_leader' => 'Guild Leader',
    'guild_faction' => 'Faction',
    'tot_m_online' => 'Online Members',
    'guild_motd' => 'Guild MOTD',
    'create_date' => 'Create Date',
    'show_guilds' => 'Show all Guilds',
    'by_name' => 'by name',
    'by_guild_leader' => 'by leader name',
    'by_id' => 'by id',
    'browse_guilds' => 'Browse Guilds',
    'tot_members' => 'Total Members',
    'remove' => 'Rem.',
    'tot_guilds' => 'Total Guilds',
    'guild' => 'Guild',
    'info' => 'Info',
    'motd' => 'MOTD',
    'name' => 'Name',
    'race' => 'Race',
    'class' => 'Class',
    'level' => 'level',
    'rank' => 'Rank',
    'pnote' => 'Player Note',
    'offnote' => 'Office Note',
    'online' => 'Online',
    'llogin' => 'Last Login (Days)',
    'del_guild' => 'Delete Guild',
    'guild_id' => 'Guild id',
    'guild_search_result' => 'Guilds Search Results',
    'guildbank' => 'Guild Bank',
  );
  return $lang_guild;
}


// ----- GUILDBANK.PHP -----
function lang_guildbank()
{
  $lang_guildbank = array
  (
    'guild' => 'Guild',
    'guildbank' => 'Guild Bank',
    'tab' => 'Tab',
    'notfound' => 'Wrong ID, no Guild Bank Found.',
  );
  return $lang_guildbank;
}


$lang_register = array(
  // ----- REGISTER.PHP -----
  'create_acc' => 'Create Account',
  'username' => 'Username',
  'use_eng_chars_limited_len' => 'Use English characters and numbers Only.<br />Min. Length 4 | Max. Length 14.',
  'password' => 'Password',
  'confirm_password' => 'Confirm Password',
  'min_pass_len' => 'Min. Length 4 | Max. Length 25.',
  'email' => 'E-mail',
  'use_valid_mail' => 'Please make sure to use valid email address.',
  'create_acc_button' => 'Create Account',
  'diff_pass_entered' => 'The Passwords must be identical.',
  'already_exist' => 'Already Exist',
  'acc_reg_closed' => 'Sorry, Account registration is currently Closed.',
  'wrong_pass_username_size' => 'Username/Password size must be 4-to-15 characters long!',
  'bad_chars_used' => 'Username must contain [A-Z][a-z][0-9] only!',
  'invalid_email' => 'Please provide a VALID Email Address!',
  'banned_ip' => 'IP Address you use is Banned',
  'contact_serv_admin' => 'Contact Server Administrator.',
  'users_ip_range' => 'Users from IP range',
  'cannot_create_acc' => 'cannot create accounts.',
  'fill_all_fields' => 'Please Fill all Fields.',
  'acc_type' => 'Account Type',
  'acc_type_desc' => 'The type of Client will be used.',
  'classic' => 'Classic',
  'tbc' => 'TBC',
  'wotlk' => 'WOTLK',
  'recover_acc_password' => 'Recover Account\'s Password',
  'user_pass_rec_desc' => 'Please enter username you registered with.',
  'mail_pass_rec_desc' => 'Please make sure to use same email address as in initial registration.',
  'recover_pass' => 'Recover Password',
  'user_mail_not_found' => 'Provided Username/email combination not found.',
  'recovery_mail_sent' => 'Recovery mail sent',
  'read_terms' => 'Please make sure to read, understand and accept the terms of usage under which this account will be created',
  'terms' => 'Terms of Service',
  'error_terms' => 'Terms of Service were Not Accepted',
  'i_agree' => 'I Agree',
  'i_dont_agree' => 'I Do Not Agree',
  'pass_too_long' => 'The password you have entered exceeds the maximum allowed length',
  'invited_by' => 'Invited by',
  'invited_info' => 'Please write the account name of the player who invited you to register here.',
  'email_address_used' => 'This email has an account already.<br/>No more accounts can be created for this email address.',
  'referrer_not_found' => 'Unfortunately the specified account was not found in our database.<br/>Please ensure you have entered a valid account name or leave the &quot;Invited by&quot;-field blank.',
  );


// ----- INDEX.PHP -----
function lang_index()
{
  $lang_index = array
  (
    'realm' => 'Realm',
    'online' => 'Online',
    'offline_or_let_high' => 'Offline or Latency too High',
    'add_motd' => 'Add Message of the Day',
    'delete' => 'Delete',
    'tot_users_online' => 'Total Users Online',
    'name' => 'Name',
    'race' => 'Race',
    'class' => 'Class',
    'level' => 'Level',
    'map' => 'Map',
    'zone' => 'Zone',
    'rank' => 'Rank',
    'honor_kills' => 'H.K',
    'latency' => 'Latency',
    'a_latency' => 'Average Latency',
    'guild' => 'Guild',
    'trinity_rev' => 'Trinity Rev',
    'using_db' => 'using db:',
    'maxplayers' => 'Max players this uptime session',
  );
  return $lang_index;
}


// ----- HEADER.PHP -----
function lang_header()
{
  $lang_header = array
  (
    'menu' => 'Menu',

    'main' => 'Main',
    'tools' => 'Tools',
    'db' => 'DataBase',
    'system' => 'System',
    'support' => 'Support',
    'my_acc' => 'My Account',

    'auctionhouse' => 'Auction House',
    'arena_teams' => 'Arena Teams',
    'guilds' => 'Guilds',
    'honor' => 'Honor Rankings',
    'top100' => 'TOP 100',
    'statistics' => 'Statistics',
    'player_map' => 'Player Map',

    'accounts' => 'Accounts',
    'characters' => 'Characters',
    'command' => 'Commands',
    'mail' => 'Mail',
    'tickets' => 'Tickets',
    'banned_list' => 'Banned List',
    'cleanup' => 'Cleanup',

    'events' => 'Events',
    'instances' => 'Instances',
    'items' => 'Items',
    'creatures' => 'Creatures',
    'game_object' => 'Game Objects',
    'teleports' => 'Teleports',
    'backup' => 'Backup',
    'run_patch' => 'Run SQL Patch',
    'repair' => 'Repair/Optimize',

    'realm' => 'Realm',
    'add_motd' => 'Add MOTD',
    'spelld' => 'Spell(s) Disabled',
    'message' => 'Send Message',
    'ssh_line' => 'SSH line',

    'forums' => 'Forums',
    'irc' => 'IRC Applet',
    'bugreport' => 'Bug Report',

    // please check the length at 'My Account' Menu
    'realms' => '------Realms------',
    'my_characters' => '----Characters----',
    'account' => '------Account-----',
    'edit_my_acc' => 'Edit My Account',
    'logout' => 'Logout',
  );
  return $lang_header;
}


// -----FOOTER.PHP -----
function lang_footer()
{
  $lang_footer = array
  (
    'bugs_to_admin' => 'Problems and bug reports to',
    'site_admin' => 'Site Admin',
  );
  return $lang_footer;
}


// ----- REPAIR.PHP -----
function lang_repair()
{
  $lang_repair = array
  (
    'repair_optimize' => 'Repair / Optimize Tables',
    'repair' => 'Repair',
    'optimize' => 'Optimize',
    'start' => 'Start',
    'repair_finished' => 'Repair / Optimization Finished',
    'no_table_selected' => 'No Table(s) Selected',
    'table_name' => 'Table Name',
    'status' => 'Status',
    'num_records' => 'Number of Records',
    'tables' => 'Tables',
    'select_tables' => 'Select Tables the operation to be performed on.',
    'repair_error' => 'Error',
  );
  return $lang_repair;
}


$lang_backup = array(
  // ----- BACKUP.PHP -----
  'backup_options' => 'Backup Options',
  'select_option' => 'Select backup opton',
  'save' => 'Save',
  'load' => 'Load',
  'to_from' => 'To/From',
  'web_backup' => 'WebServer Saved',
  'local_file' => 'Local File',
  'acc_on_file' => 'Account on a File',
  'enter_acc_name' => 'Enter Account ID you wish to Load',
  'backup_acc' => 'BackUp Accounts',
  'go' => 'Go',
  'save_table_struc_backup' => 'Save table(s) structural backup in addition to data backup',
  'select_file' => 'Select File',
  'max_file_size' => 'Max. Upload Filesize is',
  'use_ftp_for_large_files' => 'For Larger volumes you can upload your backup files of any size<br />via FTP directly to your backup directory',
  'upload' => 'Upload',
  'upload_sql_file_only' => 'You may only upload .sql or .qbquery files.',
  'upload_err_write_permission' => 'Couldn\'t Upload File<br />Check the directory permissions for',
  'file_not_found' => 'File Not Found!',
  'file_write_err' => 'Couldn\'t Write to a File!',
  'backup_finished' => 'Backup Finished Successfully',
  'select_backup' => 'Select Backup File',
  'file_loaded' => 'File Loaded and',
  'que_executed' => 'Queries Executed Successfully',
  'tables_to_save' => 'The following tables will be Saved',
  'save_all_realms' => 'Save data from all Realms'
  );


// ----- BANNED.PHP -----
function lang_banned()
{
  $lang_banned = array
  (
    'add_to_banned' => 'Add to Banned Lists',
    'tot_banned' => 'Total Banned',
    'ip_acc' => 'Ip / Account',
    'will_be_removed_from_banned' => 'Will be removed from Banned List',
    'ban_entry' => 'Ban IP / Account',
    'err_del_entry' => 'Error deleting banned entry',
    'updated' => 'Update action success!',
    'banned_list' => 'Banned List',
    'bandate' => 'Ban Date',
    'unbandate' => 'Unban Date',
    'bannedby' => 'Banned by',
    'banreason' => 'Reason',
    'banned_ips' => 'Banned IPs',
    'banned_accounts' => 'Banned Accounts',
    'ban_type' => 'Ban Type',
    'account' => 'Account',
    'ip' => 'IP',
    'ban_time' => 'Ban for amount of (hours)',
    'entry' => 'Entry (Acc. name / IP)',
    'acc_not_found' => 'Account Not Found'
  );
  return $lang_banned;
}


// ----- CHAR.PHP -----
function lang_char()
{
  $lang_char = array
  (
    'character' => 'Character',
    'online' => 'Online',
    'offline' => 'Offline',
    'username' => 'Username',
    'acc_id' => 'Account ID',
    'guild_leader' => 'Guild Leader',
    'guild' => 'Guild',
    'rank' => 'Rank',
    'honor_points' => 'Honor / Arena Points',
    'honor_kills' => 'Kills',
    'exp' => 'Experience',
    'melee_d' => 'Melee Damage',
    'spell_d' => 'Spell Damage',
    'ranged_d' => 'Ranged Damage',
    'melee_hit' => 'Melee Hit',
    'spell_hit' => 'Spell Hit',
    'ranged_hit' => 'Ranged Hit',
    'melee_ap' => 'Melee Power',
    'spell_heal' => 'Spell Heal',
    'ranged_ap' => 'Ranged Power',
    'expertise' => 'Expertise',
    'resilience' => 'Resilience',
    'block' => 'Block',
    'dodge' => 'Dodge',
    'parry' => 'Parry',
    'melee_crit' => 'Melee Crit',
    'spell_crit' => 'Spell Crit',
    'ranged_crit' => 'Ranged Crit',
    'spell_haste' => 'Haste Rating',
    'days' => 'Days',
    'hours' => 'Hours',
    'min' => 'Min.',
    'backpack' => 'Backpack',
    'gold' => 'Gold',
    'tot_paly_time' => 'Total Time Played',
    'chars_acc' => 'Char\'s Account',
    'send_mail' => 'Send InGame Mail',
    'del_char' => 'Delete Character',
    'no_char_found' => 'No Character Found!',
    'char_sheet' => 'Character Sheet',
    'inventory' => 'Inventory',
    'reputation' => 'Reputation',
    'pets' => 'Pets',
    'bank_items' => 'Bank Items',
    'quests' => 'Quests',
    'no_act_quests' => 'No active Quests Found.',
    'quest_id' => 'ID',
    'quest_level' => 'lvl',
    'quest_title' => 'Quest Title',
    'rewarded' => 'Rewarded',
    'classskills' => 'Class Skills',
    'professions' => 'Professions',
    'secondaryskills' => 'Secondary Skills',
    'weaponskills' => 'Weapon Skills',
    'armorproficiencies' => 'Armor Proficiencies',
    'languages' => 'Languages',
    'skills' => 'Skills',
    'skill_id' => 'ID',
    'skill_name' => 'Skill Name',
    'skill_value' => 'Value',
    'talents' => 'Talents',
    'showhide' => 'show/hide',
    // ----char_talents.php----
    'talent_rate' => 'Talent Rate',
    'talent_points' => 'Talent Points',
    'talent_points_used' => 'Talent Points Used',
    'talent_points_shown' => 'Talent Points Shown',
    'talent_points_left' => 'Talent Points Left',
    // --- skill_rank_array ---
    'apprentice' => 'Apprentice',
    'journeyman' => 'Journeyman',
    'expert' => 'Expert',
    'artisan' => 'Artisan',
    'master' => 'Master',
    'inherent' => 'Grand Master',
    'wise' => 'Wise',
    // -----char_friends.php---
    'friends' => 'Friends',
    'friendof' => 'Friends of',
    'ignored' => 'Ignored',
    'ignoredby' => 'Ignored by',
    'name' => 'Name',
    'race' => 'Race',
    'class' => 'Class',
    'level' => 'Level',
    'map' => 'Map',
    'zone' => 'Zone',
    'online' => 'Online',
    // ---- edit_char.php ----
    'update' => 'Update Character\'s Data',
    'edit_char' => 'Edit Character\'s Data',
    'edit_button' => 'Edit Data',
    'edit_rules' => 'The values are character\'s base status without the item/spell modifiers.',
    'edit_offline_only_char' => ' - Only Offline characters may be edited.',
    'no_permission' => 'You do not have the required permission to view/edit this character.',
    'err_edit_online_char' => 'Cannot edit Online Characters',
    'updated' => 'Character\'s data updated successfully',
    'update_err' => 'Error updating Character\'s data',
    'use_numeric' => 'You cannot use non numeric values',
    'check_to_delete' => 'Check the box next to item in order to delete it.',
    'to_char_view' => 'Go to character view',
    'inv_bank' => 'Inventory and Bank items',
    'location' => 'Location',
    'move_to' => 'Teleport to (.tele location name)',
    'max_acc' => 'The account you are trying to move this character to has the max ammount of players in it.',
    'no_tp_location' => 'No teleport location found using provided name.',
    // ---- char_achieve.php ----
    'show' => 'Show',
    'all' => 'All',
    'earned' => 'Earned',
    'incomplete' => 'Incomplete',
    'summary' => 'Summary',
    'recent' => 'Recent',
    'achievements' => 'Achievements',
    'achievement_title' => 'Achievement Title',
    'achievement_points' => 'Points',
    'achievement_date' => 'Date',
  );
  return $lang_char;
}


$lang_item = array(
  // ----- ITEM TOOLTIP -----
  'head' => 'Head',
  'gloves' => 'Gloves',
  'neck' => 'Neck',
  'belt' => 'Belt',
  'shoulder' => 'Shoulder',
  'legs' => 'Legs',
  'back' => 'Back',
  'feet' => 'Feet',
  'chest' => 'Chest',
  'finger' => 'Finger',
  'shirt' => 'Shirt',
  'tabard' => 'Tabard',
  'trinket' => 'Trinket',
  'wrist' => 'Wrist',
  'main_hand' => 'Main hand',
  'one_hand' => 'One hand',
  'off_hand' => 'Off hand',
  'ranged' => 'Ranged',
  'ammo' => 'Ammo',
  'bop' => 'Binds when Picked Up',
  'boe' => 'Binds when Equipped',
  'bou' => 'Binds when Used',
  'quest_item' => 'Quest Item',
  'axe_1h' => 'Axe (One Handed)',
  'axe_2h' => 'Axe (Two Handed)',
  'bow' => 'Bow',
  'rifle' => 'Rifle',
  'mace_1h' => 'Mace (One Handed)',
  'mace_2h' => 'Mace (Two Handed)',
  'polearm' => 'Polearm',
  'sword_1h' => 'Sword (One Handed)',
  'sword_2h' => 'Sword (Two Handed)',
  'staff' => 'Staff',
  'exotic_1h' => 'Exotic (One Handed)',
  'exotic_2h' => 'Exotic (Two Handed)',
  'fist_weapon' => 'Fist Weapon',
  'misc_weapon' => 'Miscellaneous Weapon',
  'dagger' => 'Dagger',
  'thrown' => 'Thrown',
  'spear' => 'Spear',
  'crossbow' => 'Crossbow',
  'wand' => 'Wand',
  'fishing_pole' => 'Fishing Pole',
  'rod' => 'Enchanter\'s Rod',
  'robe' => 'Robe',
  'tome' => 'Tome',
  'two_hand' => 'Two Hand',
  'off_misc' => 'Off (Misc)',
  'thrown' => 'Thrown',
  'consumable' => 'Consumable',
  'arrows' => 'Arrows',
  'bullets' => 'Bullets',
  'projectile' => 'Projectile',
  'trade_goods' => 'Trade Goods',
  'parts' => 'Parts',
  'explosives' => 'Explosives',
  'devices' => 'Devices',
  'book' => 'Book',
  'recipe' => 'Recipe',
  'LW_pattern' => 'Leatherworking Pattern',
  'tailoring_pattern' => 'Tailoring Pattern',
  'ENG_Schematic' => 'Engineering Schematic',
  'BS_plans' => 'Blacksmithing Plans',
  'cooking_recipe' => 'Cooking Recipe',
  'alchemy_recipe' => 'Alchemy Recipe',
  'FA_manual' => 'First Aid Manual',
  'ench_formula' => 'Enchanting Formula',
  'JC_formula' => 'Jewelcrafting Formula',
  'quiver' => 'Quiver',
  'ammo_pouch' => 'Ammo Pouch',
  'soul_shards' => 'Soul Shards',
  'herbs' => 'Herbs',
  'enchanting' => 'Enchanting',
  'engineering' => 'Engineering',
  'gems' => 'Gems',
  'keys' => 'Keys',
  'mining' => 'Mining',
  'key' => 'Key',
  'lockpick' => 'Lockpick',
  'weapon' => 'Weapon',
  'reagent' => 'Reagent',
  'quest' => 'Quest',
  'misc_short' => 'Misc',
  'permanent' => 'Permanent',
  'poor' => 'Poor',
  'common' => 'Common',
  'uncommon' => 'Uncommon',
  'rare' => 'Rare',
  'epic' => 'Epic',
  'legendary' => 'Legendary',
  'artifact' => 'Artifact',
  'unique' => 'Unique',
  'misc' => 'Miscellaneous',
  'armor' => 'Armor',
  'cloth' => 'Cloth',
  'leather' => 'Leather',
  'mail' => 'Mail',
  'plate' => 'Plate',
  'shield' => 'Shield',
  'buckler' => 'Buckler',
  'block' => 'Block',
  'none' => 'None',
  'other' => 'Other',
  'damage' => 'Damage',
  'speed' => 'Speed',
  'holy_dmg' => 'Holy',
  'fire_dmg' => 'Fire',
  'nature_dmg' => 'Nature',
  'frost_dmg' => 'Frost',
  'shadow_dmg' => 'Shadow',
  'arcane_dmg' => 'Arcane',
  'physical_dmg' => 'Physical',
  'lvl_req' => 'Requires Level',
  'item_set' => 'Item Set',
  'bag' => 'Bag',
  'health' => 'Health',
  'mana' => 'Mana',
  'energy' => 'Energy',
  'rage' => 'Rage',
  'runic' => 'Runic Power',
  'res_arcane' => 'Arcane Resist',
  'res_holy' => 'Holy Resist',
  'res_fire' => 'Fire Resist',
  'res_nature' => 'Nature Resist',
  'res_frost' => 'Frost Resist',
  'res_shadow' => 'Shadow Resist',
  'strength' => 'Strength',
  'agility' => 'Agility',
  'stamina' => 'Stamina',
  'intellect' => 'Intellect',
  'spirit' => 'Spirit',
  'spell_use' => 'Use',
  'spell_equip' => 'Equip',
  'spell_coh' => 'Chance On Hit',
  'class' => 'Class',
  'slots' => 'Slots',
  'charges' => 'Charge(s)',
  'socket_bonus' => 'Socket Bonus',
  'potion' => 'Potion',
  'scroll' => 'Scroll',
  'bandage' => 'Bandage',
  'healthstone' => 'HealthStone',
  'combat_effect' => 'CombatEffect',
  'libram' => 'Libram',
  'idol' => 'Idol',
  'totem' => 'Totem',
  'fishing_manual' => 'Fishing Manual',
  'soul_stone' => 'Soul Stone',
  'no_bind' => 'Not Binding',
  'socket_meta' => 'Meta Socket',
  'socket_red' => 'Red Socket',
  'socket_yellow' => 'Yellow Socket',
  'socket_blue' => 'Blue Socket',
  'rating_by' => 'Rating by',
  'improves' => 'Improves',
  'DEFENCE_RATING' => 'Defence',
  'DODGE_RATING' => 'Dodge',
  'PARRY_RATING' => 'Parry',
  'SHIELD_BLOCK_RATING' => 'Shield Block',
  'MELEE_HIT_RATING' => 'Melee Hit',
  'RANGED_HIT_RATING' => 'Ranged Hit',
  'SPELL_HIT_RATING' => 'Spell Hit',
  'MELEE_CS_RATING' => 'Melee Crit',
  'RANGED_CS_RATING' => 'Ranged Crit',
  'SPELL_CS_RATING' => 'Spell Crit',
  'MELEE_HA_RATING' => 'Melee Hit Avoid',
  'RANGED_HA_RATING' => 'Ranged Hit Avoid',
  'SPELL_HA_RATING' => 'Spell Hit Avoid',
  'MELEE_CA_RATING' => 'Melee Crit Avoid',
  'RANGED_CA_RATING' => 'Ranged Crit Avoid',
  'SPELL_CA_RATING' => 'Spell Crit Avoid',
  'MELEE_HASTE_RATING' => 'Melee Haste',
  'RANGED_HASTE_RATING' => 'Ranged Haste',
  'SPELL_HASTE_RATING' => 'Spell Haste',
  'HIT_RATING' => 'Hit',
  'CS_RATING' => 'Critical Strike',
  'HA_RATING' => 'Hit Avoid',
  'CA_RATING' => 'Crit Avoid',
  'RESILIENCE_RATING' => 'Resistance',
  'HASTE_RATING' => 'Haste'
  );


// ----- CHAR_LIST.PHP -----
function lang_char_list()
{
  $lang_char_list = array
  (
  'account' => 'Account',
  'back_browse_chars' => 'Back Browsing Characters',
  'browse_chars' => 'Browse Characters',
  'by_account' => 'by Account',
  'by_class_id' => 'by Class id',
  'by_guild' => 'in Guild',
  'by_honor_kills' => '= H.Kills',
  'by_id' => 'by id',
  'by_item' => 'has Item id',
  'by_level' => '= Level',
  'by_map_id' => 'on Map id',
  'by_name' => 'by Name',
  'by_online' => 'by Online',
  'by_race_id' => 'by Race id',
  'char_ids' => 'Character(s) id(s)',
  'char_name' => 'Character Name',
  'characters' => 'Characters',
  'chars_deleted' => 'Characters deleted!',
  'chars_gold' => 'has &lt; Gold(C)',
  'class' => 'Class',
  'cleanup' => 'CleanUp',
  'del_selected_chars' => 'Delete Checked Character(s)',
  'greater_honor_kills' => '&lt; H.Kills',
  'greater_level' => '&lt; Level',
  'guild' => 'Guild',
  'honor_kills' => 'H.K',
  'id' => 'ID',
  'lastseen' => 'Last Seen',
  'level' => 'Level',
  'map' => 'Map',
  'no_chars_del' => 'No Characters deleted!<br />Permission Error?<br />Online Characters cannot be deleted.',
  'online' => 'Online',
  'race' => 'Race',
  'search_results' => 'Search Result',
  'tot_chars' => 'Total Characters',
  'total' => 'Total',
  'zone' => 'Zone',
  );
  return $lang_char_list;
}

$lang_cleanup = array(
  // ----- CLEANUP.PHP -----
  'cleanup_options' => 'CleanUp Options',
  'clean_chars' => 'Clean Characters',
  'char_level' => 'Character Level',
  'tot_play_time' => 'Total Play Time (sec)',
  'clean_acc' => 'Clean Accounts',
  'last_login_time' => 'Last Login (Y:M:D)',
  'failed_logins' => 'Failed Loggins',
  'banned' => 'Banned',
  'locked' => 'Locked',
  'chars_in_acc' => 'Characters in Account',
  'clean_guilds' => 'Clean Guilds',
  'chars_in_guild' => 'Characters in Guild',
  'run_cleanup' => 'Run CleanUp',
  'chars_id' => 'Character(s) id(s)',
  'tot_of' => 'Total of',
  'acc_ids' => 'Account(s) id(s)',
  'guilds_id' => 'Guild(s) id(s)',
  'no_guilds_del' => 'No Guilds deleted!',
  'total' => 'Total',
  'guilds_deleted' => 'Guild(s) deleted!',
  'no_acc_chars_deleted' => 'No Accounts/Characters deleted!<br />Permission Error?',
  'accs_deleted' => 'Account(s) deleted!',
  'chars_deleted' => 'Character(s) deleted!',
  'back_cleaning' => 'Back Cleaning',
  'clean_db' => 'Clean Database',
  'arenateams_deleted' => 'Arena Team(s) deleted!',
  'no_arenateams_del' => 'No Arena Team(s) deleted!'
  );


// ----- EDIT.PHP -----
function lang_edit()
{
  $lang_edit = array
  (
    'edit_acc' => 'Edit Your Account',
    'id' => 'ID',
    'username' => 'Username',
    'password' => 'Password',
    'mail' => 'Mail',
    'invited_by' => 'Invited By',
    'gm_level' => 'GM level',
    'join_date' => 'Join Date',
    'last_ip' => 'Last IP',
    'client_type' => 'Client Type',
    'classic' => 'Classic',
    'tbc' => 'TBC',
    'wotlk' => 'WOTLK',
    'tot_chars' => 'Total Characters',
    'characters' => 'Characters on Realm',
    'update' => 'Update Data',
    'del_acc' => 'Delete Account',
    'theme_options' => 'Theme Options',
    'select_theme' => 'Select Theme',
    'language' => 'Language',
    'select_layout_lang' => 'Select the layout language',
    'theme' => 'Theme',
    'use_valid_email' => 'Tty providing a VALID Email Address!',
    'data_updated' => 'Update action success!',
    'error_updating' => 'Update action Error! - Non of the fields changed?',
    'del_error' => 'Unexpected Delete Error.',
    'edit_your_acc' => 'Edit Your Account',
    'save' => 'Save',
  );
  return $lang_edit;
}


// ----- MAIL.PHP -----
function lang_mail()
{
  $lang_mail = array
  (
    'mail_type' => 'Mail Type',
    'recipient' => 'Recipient',
    'subject' => 'Subject',
    'email' => 'Email',
    'ingame_mail' => 'InGame Mail',
    'dont_use_both_groupsend_and_to' => '* Notice: If You are using \'Group Send\' option, make sure to leave \'Recipient\' field blank.',
    'group_send' => 'Group Send',
    'both' => 'Both',
    'gm_level' => 'GM Level',
    'locked_accouns' => 'Locked Accouns',
    'banned_accounts' => 'Banned Accounts',
    'char_level' => 'Character Level',
    'online' => 'Online',
    'attachments' => 'Attachments (ingame only)',
    'money' => 'Money',
    'item' => 'Item (id)',
    'stack' => 'Stack',
    'mail_body' => 'Mail Body',
    'send' => 'Send',
    'mail_sent' => 'Mail Sent Successfully.',
    'mail_err' => 'Mail Error',
    'no_recipient_found' => 'No Mail Recipient Found.',
    'use_name_or_email' => 'Use Character name in case of inGame Mail - Email address in case of email.',
    'option_unavailable' => 'You cannot use this option at current configurations.',
    'use_currect_option' => 'Some of the \'Group Send\' options can be used only with \'inGame mail\' or \'Email\' but not with both.',
    'send_mail' => 'Send Mail',
    'result' => 'InGame Mail Result',
  );
  return $lang_mail;
}


// ----- MOTD.PHP -----
function lang_motd()
{
  $lang_motd = array
  (
    'post_motd' => 'Post Message of the Day',
    'post_rules' => 'Notice: the length is limited to 255 chars.<br />HTML tags are usable.',
    'err_max_len' => 'Max. length limit Exceeded',
    'add_motd' => 'Add Message of the Day',
    'edit_motd' => 'Edit Message of the Day',
  );
  return $lang_motd;
}


// -----RUN_PATCH.PHP -----
function lang_run_patch()
{
  $lang_run_patch = array
  (
    'err_in_line' => 'SQL syntax error in query number ',
    'run_sql_file_only' => 'You may only run .sql or .qbquery files.',
    'file_not_found' => 'File Not Found!',
    'select_sql_file' => 'Select SQL File to Open',
    'max_filesize' => 'Max. Filesize',
    'open' => 'Open',
    'run_rules' => 'The following query(s) will be executed.<br />Make sure each query line ends with \'&#059;\' sign.',
    'select_db' => 'Select DB to be used by Default',
    'run_sql' => 'Run SQL',
    'query_executed' => 'SQL Query(s) Executed Successfully.',
    'no_query_found' => 'Zero Result Returned / Non queries Found.',
    'run_patch' => 'Run SQL Patch'
  );
  return $lang_run_patch;
}


// ----- SSH.PHP -----
function lang_ssh()
{
  $lang_ssh = array
  (
    'server_offline' => 'SSH/Telnet Server appears to be Offline!',
    'config_server_properly' => 'Make sure you have configured your SSH/Telnet server properly, and it is currently online.',
  );
  return $lang_ssh;
}


// ----- REALM.PHP -----
function lang_realm()
{
  $lang_realm = array
  (
    'add_realm' => 'Add Realm',
    'tot_realms' => 'Total Realms',
    'name' => 'Name',
    'address' => 'Address',
    'port' => 'Port',
    'icon' => 'Icon',
    'color' => 'Color',
    'timezone' => 'Time Zone',
    'edit_realm' => 'Edit Realm Data',
    'id' => 'ID',
    'update' => 'Update Data',
    'realm_id' => 'Realm id',
    'err_deleting' => 'Error Deleting Realm',
    'update_executed' => 'Update action success!',
    'update_err' => 'Update action Error!<br />Non of the fields changed?',
    'realm_data' => 'Realm Data',
    'online' => 'Online',
    'tot_char' => 'Total Characters',
    'delete' => 'Delete Realm',
    'normal' => 'Normal',
    'pvp' => 'PVP',
    'rp' => 'RP',
    'rppvp' => 'RPPVP',
    'ffapvp' => 'FFAPVP',
    'development' => 'Development',
    'united_states' => 'United States',
    'oceanic' => 'Oceanic',
    'latin_america' => 'Latin America',
    'tournament' => 'Tournament',
    'korea' => 'Korea',
    'english' => 'English',
    'german' => 'German',
    'french' => 'French',
    'spanish' => 'Spanish',
    'russian' => 'Russian',
    'taiwan' => 'Taiwan',
    'china' => 'China',
    'test_server' => 'Test Server',
    'qa_server' => 'QA Server',
    'others' => 'Others',
    'conf_from_file' => '** This realm appear not to have proper configuration in config.php file.<br />Make sure to properly configure it before using.',
    'offline' => 'Offline',
    'status' => 'Status',
    'notconfigured' => 'Not Configured yet',
  );
  return $lang_realm;
}


// ----- TICKET.PHP -----
function lang_ticket()
{
  $lang_ticket = array
  (
  'browse_tickets' => 'Browse Tickets',
  'del_selected_tickets' => 'Delete Checked Ticket(s)',
  'edit_reply' => 'Edit / Reply',
  'edit_ticked' => 'Edit Ticket',
  'id' => 'ID',
  'send_ingame_mail' => 'Send InGame Mail',
  'sender' => 'Sender',
  'submitted_by' => 'Submitted by',
  'ticked_deleted' => 'Tickets Deleted Successfully.',
  'ticket_id' => 'Ticket ID',
  'ticket_not_deleted' => 'No Tickets Deleted!',
  'ticket_text' => 'Ticket Text',
  'ticket_update_err' => 'Error Updating Ticket',
  'ticket_updated' => 'Ticket Updated',
  'tot_tickets' => 'Total Tickets',
  'update' => 'Update Ticket',
  );
  return $lang_ticket;
}


// ----- USER.PHP -----
function lang_user()
{
  $lang_user = array
  (
    'add_acc' => 'New Account',
    'cleanup' => 'CleanUp',
    'backup' => 'Backup',
    'by_name' => 'by Name',
    'by_expansion' => 'by Expansion ID',
    'by_id' => 'by ID',
    'by_gm_level' => '= GM Level',
    'greater_gm_level' => '&lt; GM Level',
    'by_email' => 'by Email',
    'by_join_date' => 'by Join Date',
    'by_ip' => 'by IP',
    'by_failed_loggins' => '&lt; Failed Logins',
    'by_last_login' => 'by Last Login',
    'by_online' => 'by Online',
    'by_banned' => 'by Banned',
    'by_locked' => 'by Locked',
    'id' => 'ID',
    'username' => 'Username',
    'gm_level' => 'GM',
    'email' => 'Mail',
    'join_date' => 'Join Date',
    'banned' => 'Ban',
    'banned_reason' => 'Ban Reason',
    'ip' => 'IP',
    'failed_logins' => 'F.Login',
    'locked' => 'Locked',
    'last_login' => 'Last Login',
    'online' => 'Online',
    'del_selected_users' => 'Delete Checked User(s)',
    'backup_selected_users' => 'Backup Checked User(s)',
    'acc_backedup' => 'Account(s) Backup completed Successfully',
    'tot_acc' => 'Total Accounts',
    'user_list' => 'User List',
    'tot_found' => 'Total Found',
    'acc_ids' => 'Account(s) id(s)',
    'back_browsing' => 'Back Browsing Users',
    'no_acc_deleted' => 'No Accounts deleted!<br />Permission Error?<br />Online Users cannot be deleted.',
    'total' => 'Total',
    'acc_deleted' => 'Accounts deleted!',
    'char_deleted' => 'Characters deleted!',
    'create_new_acc' => 'Create New Account',
    'password' => 'Password',
    'confirm' => 'Confirm',
    'create_acc' => 'Create Account',
    'gm_level_long' => 'GM level',
    'last_ip' => 'Last IP',
    'ban_this_ip' => 'Ban This IP',
    'failed_logins_long' => 'Failed Logins',
    'tot_chars' => 'Total Characters',
    'chars_on_realm' => 'Characters on Realm',
    'update_data' => 'Update Data',
    'del_acc' => 'Delete Account',
    'search_results' => 'Search Results',
    'acc_creation_failed' => 'New Account Creation Failed! (blank fields)',
    'acc_created' => 'New Account Created',
    'nonidentical_passes' => 'You have Entered two nonidentical Passwords.',
    'user_already_exist' => 'Username Already Exist.',
    'username_pass_too_long' => 'Username/Password size must be 4-to-15 characters long!',
    'use_only_eng_charset' => 'Username must contain [A-Z][a-z][0-9] only!',
    'no_value_passed' => 'No Value Passed',
    'edit_acc' => 'Edit Account',
    'update_failed' => 'Update Failed - Non of the Fields Changed?',
    'data_updated' => 'Updated',
    'you_have_no_permission' => 'You have No Permission to Edit this Data',
    'browse_acc' => 'Browse Accounts',
    'you_have_no_permission_to_set_gmlvl' => 'You have No Permission to Set this GM Level',
    'expansion_account' => 'Expansion Account',
    'client_type' => 'Client Type',
    'classic' => 'Classic',
    'tbc' => 'TBC',
    'wotlk' => 'WOTLK',
    'invited_by' => 'Invited By'
  );
  return $lang_user;
}


// ----- STAT.PHP -----
function lang_stat()
{
  $lang_stat = array
  (
    'srv_statistics' => 'Server Statistics',
    'general_info' => 'General Information',
    'tot_accounts' => 'Total Accounts',
    'total_of' => 'There is total of',
    'gms_one_for' => 'GMs, one for every',
    'players' => 'Players',
    'tot_chars_on_realm' => 'Total Characters on Realm',
    'average_of' => 'An average of',
    'chars_per_acc' => 'characters per account',
    'horde' => 'Horde',
    'alliance' => 'Alliance',
    'chars_by_race' => 'Character Share by Race',
    'chars_by_class' => 'Character Share by Class',
    'chars_by_level' => 'Character Share by Level',
    'reset' => 'Reset Filters',
    'avg_uptime' => 'Average Server Uptime',
    'max_uptime' => 'Maximum Server Uptime',
    'uptime_prec' => ' Uptime percentage since first run',
    'unique_ip' => 'Unique IPs last 24 Hour',
    'on_statistics' => 'Online Statistics',
    'max_players' => 'Max players online since',
    'max_ever' => 'first run',
    'max_restart' => 'last restart',
  );
  return $lang_stat;
}


// ----- TELE.PHP -----
function lang_tele()
{
  $lang_tele = array
  (
  'add_new' => 'Add New',
  'add_new_tele' => 'Add New Teleport Location',
  'delete_tele' => 'Delete',
  'edit_tele' => 'Edit Teleport Location',
  'error_updating' => 'Error Updating',
  'id' => 'ID',
  'loc_id' => 'Location ID',
  'loc_name' => 'Location Name',
  'map' => 'Map',
  'name' => 'Name',
  'on_map' => 'On Map ID',
  'orientation' => 'Orientation',
  'position_x' => 'Position X',
  'position_y' => 'Position Y',
  'position_z' => 'Position Z',
  'search_results' => 'Search Results',
  'tele_locations' => 'Teleport Locations',
  'tele_updated' => 'Location Updated',
  'teleports' => 'Teleports',
  'tot_locations' => 'Total Teleport locations',
  'update_tele' => 'Update Location',
  'x' => 'X',
  'y' => 'Y',
  'z' => 'Z',
  );
  return $lang_tele;
}


// ----- COMMAND.PHP -----
function lang_command()
{
  $lang_command = array
  (
    'command_list' => 'Available Commands',
    'level0' => 'Player',
    'level1' => 'Moderator',
    'level2' => 'Game Master',
    'level3' => 'Bug Tracker',
    'level4' => 'Administrator',
    'level5' => 'Sys OP',
    'level6' => 'Unknown',
    'command' => 'Command',
    'syntax' => 'Syntax',
    'description' => 'Description',
    'change_level' => 'Change Checked Command(s) Level',
    'save' => 'Save',
  );
  return $lang_command;
}


$lang_item_edit = array(
  // ----- ITEM.PHP -----
  'search_item' => 'Search for Item(s)',
  'model_id' => 'Model Id',
  'all' => 'All',
  'search' => '+ Search +',
  'add_new_item' => 'Add New Item',
  'tot_items_in_db' => 'Total items in DB',
  'new_search' => 'New Search',
  'items_found' => 'Items Found',
  'item_not_found' => 'Item NOT Found in DB',
  'search_results' => 'Search Results',
  'edit_item' => 'Edit Item',
  'search_items' => 'Lookup Items',
  'update' => 'Save Item to Database',
  'export_sql' => 'Save as SQL Script',
  'item_id' => 'Item ID',
  'err_adding_item' => 'Error Adding Item',
  'err_no_field_updated' => 'Non of the fields updated.',
  'del_item' => 'Delete Item',
  'general_tab' => 'General',
  'additional_tab' => 'Extra',
  'stats_tab' => 'Stats',
  'damage_tab' => 'Damage',
  'spell_tab' => 'Spells',
  'req_tab' => 'Req.',
  'general' => 'General',
  'entry' => 'Entry',
  'entry_desc' => 'This is the unique ID of an Item.',
  'display_id' => 'Display ID',
  'display_id_desc' => 'This is the Model ID of an Item.',
  'req_level' => 'Req. Level',
  'req_level_desc' => 'Minimum level to use/equip this item.',
  'item_level' => 'Item Level',
  'item_level_desc' => 'Item base level.',
  'names' => 'Names',
  'item_name' => 'Item Name',
  'item_name_desc' => 'Item Name',
  'description' => 'Description',
  'description_desc' => 'Brief description of this item, appears in orange at the bottom of an item label ingame.',
  'script_name' => 'ScriptName',
  'script_name_desc' => 'Here can be added script entries defined in core code.',
  'class' => 'Class',
  'class_desc' => 'Defines the class of an item.',
  'type' => 'Type',
  'subclass' => 'Subclass',
  'subclass_desc' => 'Defines the subclass of an item. Notice: The subclass must be related to Item Class. Some Classes do not have any subclasses.',
  'quality' => 'Quality',
  'quality_desc' => 'The overall quality of an item.',
  'inv_type' => 'Inv. Type',
  'inv_type_desc' => 'Where this item can be equipped.',
  'flags' => 'Flags',
  'flags_desc' => 'TODO: Add proper description.',
  'item_set' => 'Item Set',
  'item_set_desc' => 'The ID of an item set this item belongs to.',
  'bonding' => 'Bonding',
  'bonding_desc' => 'Item Bonding type.',
  'start_quest' => 'Start Quest',
  'start_quest_desc' => 'ID of a quest that this item starts.',
  'short_rules_desc' => '* Moving your mouse over the field name will show you short field description.<br />* Make sure you properly filled all the fields and you are not trying to insert new item using existing entry.',
  'vendor' => 'Vendor',
  'buy_count' => 'BuyCount',
  'buy_count_desc' => 'Size of the stack in which the item is sold by vendors.',
  'buy_price' => 'BuyPrice',
  'buy_price_desc' => 'Price (in copper) of a stack of #BuyCount items.',
  'sell_price' => 'SellPrice',
  'sell_price_desc' => 'How much a vendor will buy this item for from the player. If omitted, the item will sell for nothing (No sell price).',
  'container' => 'Container',
  'bag_family' => 'BagFamily',
  'bag_family_desc' => 'Type of Container.',
  'bag_slots' => 'Container Slots',
  'bag_slots_desc' => 'Number of slots that this bag holds.',
  'materials' => 'Materials',
  'material' => 'Material',
  'material_desc' => 'The material the item is made of. Affects the sound that the item makes when moved.',
  'consumables' => 'Consumables',
  'none' => 'None',
  'metal' => 'Metal',
  'wood' => 'Wood',
  'liquid' => 'Liquid',
  'jewelry' => 'Jewelry',
  'chain' => 'Chain',
  'plate' => 'Plate',
  'cloth' => 'Cloth',
  'leather' => 'Leather',
  'page_material' => 'Page Material',
  'page_material_desc' => 'The background of the page window (and to some extent the font).',
  'parchment' => 'Parchment',
  'stone' => 'Stone',
  'marble' => 'Marble',
  'silver' => 'Silver',
  'bronze' => 'Bronze',
  'max_durability' => 'Max Durability',
  'max_durability_desc' => 'Durability of an item.',
  'other' => 'Other',
  'max_count' => 'MaxCount',
  'max_count_desc' => 'Maximum number of this item that the player can have. ( 0:not limited, 1:Unique)',
  'stackable' => 'Stackable',
  'stackable_desc' => 'The amount of this item that a player can carry in the same slot.',
  'page_text' => 'PageText',
  'page_text_desc' => 'ID of a TEXT in the item_text table, the text for a book or letter for example. The item will have a magnifying glass cursor ingame and will show the pagetext upon rightclicking the item.',
  'RandomProperty' => 'Random Property',
  'RandomProperty_desc' => 'Random enchantment entry.',
  'lang_id' => 'Language ID',
  'lang_id_desc' => 'Language that this item is written in.',
  'sheath' => 'Sheath',
  'sheath_desc' => 'How the weapon is put away (to the side, on the back, etc.).',
  'lock_id' => 'Lock Id',
  'lock_id_desc' => 'TODO: Add description.',
  'disenchant_id' => 'Disenchant ID',
  'disenchant_id_desc' => 'Refers to disenchant_loot_template.entry.',
  'area' => 'Area',
  'area_desc' => 'Area ID only in which the item is usable',
  'map' => 'Map',
  'map_desc' => 'Map ID only in which the item is usable',
  'stats' => 'Stats',
  'stat_type' => 'Stat type',
  'stat_type_desc' => 'Character stat which will be changed if the item is equipped.',
  'stat_value' => 'Stat value',
  'stat_value_desc' => 'This value will be added to the stat (or removed if negative).',
  'resis_armor' => 'Resistance / Armor',
  'armor_desc' => 'Armor for this item.',
  'block_desc' => 'Shield\'s chance to block an attack.',
  'res_holy_desc' => 'Holy resistance for this item.',
  'res_fire_desc' => 'Fire resistance for this item.',
  'res_nature_desc' => 'Nature resistance for this item.',
  'res_frost_desc' => 'Frost resistance for this item.',
  'res_shadow_desc' => 'Shadow resistance for this item.',
  'res_arcane_desc' => 'Arcane resistance for this item.',
  'weapon_properties' => 'Weapon properties',
  'delay' => 'Delay',
  'delay_desc' => 'Time in milliseconds between hits.',
  'ranged_mod' => 'Ranged Mod',
  'ranged_mod_desc' => 'TODO: Add description.',
  'ammo_type' => 'Ammo Type',
  'ammo_type_desc' => 'The type of ammunition this weapon requires.',
  'weapon_damage' => 'Weapon Damage',
  'damage_type' => 'Damage Type',
  'damage_type_desc' => 'Type of the Damage will be dealt by this item.',
  'dmg_min_max' => 'Damage : Min - Max',
  'dmg_min_max_desc' => 'Minimal and maximal damage values.',
  'spell_id' => 'Spell Id',
  'spell_id_desc' => 'Refers to Spell.dbc index.',
  'spell_trigger' => 'Spell trigger',
  'spell_trigger_desc' => 'The action triggers this spell.',
  'spell_charges' => 'Spell Charges',
  'spell_charges_desc' => 'Number of charges for this spell.(0: infinite, -X: item is expendable, +X: item is kept when all charges are spent).',
  'spell_cooldown' => 'Spell Cooldown',
  'spell_cooldown_desc' => 'Spell cooldown time in milliseconds.',
  'spell_category' => 'Spell Category',
  'spell_category_desc' => 'Spell Category.',
  'spell_category_cooldown' => 'Spell Category Cooldown',
  'spell_category_cooldown_desc' => 'Global cooldown for entire category.',
  'allow_class' => 'Allowable Class',
  'allow_class_desc' => 'Mask for character classes that can use this item.',
  'allow_race' => 'Allowable Race',
  'allow_race_desc' => 'Mask for races which can use this item.',
  'req_skill' => 'Required Skill',
  'req_skill_desc' => 'Skill required to use this item.',
  'req_skill_rank' => 'Required Skill Rank',
  'req_skill_rank_desc' => 'Minimum proficiency in skill to use this item.',
  'req_spell' => 'Required Spell',
  'req_spell_desc' => 'Player must know this spell to use the item.',
  'req_honor_rank' => 'Required Honor Rank',
  'req_honor_rank_desc' => 'The PvP Honor rank required to use this item.',
  'req_rep_faction' => 'Required Reputation Faction',
  'req_rep_faction_desc' => 'Faction id (from Faction.dbc) for which a minimum rank is required to equip/use the item.',
  'req_rep_rank' => 'Required Reputation Rank',
  'req_rep_rank_desc' => 'Minimum required rank for the faction entered in RequiredReputationFaction.',
  'req_city_rank' => 'Required City Rank',
  'req_city_rank_desc' => 'Required City Rank.',
  'hated' => 'Hated',
  'hostile' => 'Hostile',
  'unfriendly' => 'Unfriendly',
  'neutral' => 'Neutral',
  'friendly' => 'Friendly',
  'honored' => 'Honored',
  'reverted' => 'Reverted',
  'exalted' => 'Exalted',
  'sock_tab' => 'Sockets',
  'req_skill_disenchant' => 'Req. Disenchant Skill',
  'req_skill_disenchant_desc' => 'Disenchant Skill Required in order to disenchant this item.',
  'RandomSuffix' => 'Random Suffix',
  'RandomSuffix_desc' => 'Random enchantment suffix entry.',
  'unk0' => 'unk0',
  'unk0_desc' => 'TODO:',
  'totem_category' => 'Totem Type',
  'totem_category_desc' => 'Type of the totem. Linked to TotemCategory.dbc',
  'socket_color' => 'Socket Color',
  'socket_color_desc' => 'Color of this Socket.',
  'socket_content' => 'Socket Content',
  'socket_content_desc' => 'Jem socketed into this socket',
  'socket_bonus' => 'Socket Bonus',
  'socket_bonus_desc' => 'Bonus upon socketting. Linked to SpellItemEnchantment.dbc',
  'gem_properties' => 'Gem Poperties',
  'gem_properties_desc' => 'Linked to GemProperties.dbc',
  'custom_search' => 'Custom Filter',
  'info' => 'Info.',
  'dropped_by' => 'Item Dropped by',
  'top_x' => '(top 5)',
  'sold_by' => 'Item Sold by',
  'limit_x' => '(limited to 5 results)',
  'mob_name' => 'Name',
  'mob_level' => 'Level',
  'mob_drop_chance' => 'Drop Chance',
  'mob_quest_drop_chance' => 'Quest Drop Chance',
  'involved_in_quests' => 'Involved in Quest(s)',
  'reward_from_quest' => 'Reward from Quest(s)',
  'disenchant_tab' => 'Disenchant',
  'disenchant_templ' => 'Disenchant Template',
  'add_items_to_templ' => 'Add Item to Template',
  'loot_item_id' => 'Item ID',
  'loot_item_id_desc' => 'ID of the item you wish to be added.',
  'loot_drop_chance' => 'Drop Chance',
  'loot_drop_chance_desc' => 'Item Drop chance',
  'loot_quest_drop_chance' => 'Quest Drop Chance',
  'loot_quest_drop_chance_desc' => 'Quest Drop chance',
  'min_count' => 'Min. Count',
  'min_count_desc' => 'Minimum number of stack size on drop.',
  'max_count' => 'Max. Count',
  'max_count_desc' => 'Maximum number of stack size on drop.',
  'add_item_to_loot' => 'Add item to Loot Template',
  'drop_chance' => 'Drop Chance',
  'quest_drop_chance' => 'Quest Drop Chance',
  'armor_dmg_mod' => 'Armor Damage Modifier',
  'armor_dmg_mod_desc' => 'TODO:',
  'ppm_rate' => 'ppmRate',
  'ppm_rate_desc' => 'Number of proc per minute',
  'item_spell' => 'Item Spell',
  'freeforall' => 'Free for all',
  'freeforall_desc' => 'Free for all loot flag.',
  'lootcondition' => 'Loot condition',
  'lootcondition_desc' => 'Loot condition flag',
  'condition_value1' => 'Condition Value 1',
  'condition_value1_desc' => 'Condition Value 1 flag',
  'condition_value2' => 'Condition Value 2',
  'condition_value2_desc' => 'Condition Value 2 flag',
  );

$lang_creature = array(
  // ----- CREATURE.PHP -----
  'none' => 'None',
  'custom' => 'Custom',
  'gossip' => 'Gossip',
  'quest_giver' => 'Quest Giver',
  'vendor' => 'Vendor',
  'taxi' => 'Taxi',
  'trainer' => 'Trainer',
  'spirit_healer' => 'Spirit Healer',
  'guard' => 'Guard',
  'inn_keeper' => 'Inn Keeper',
  'banker' => 'Banker',
  'retitioner' => 'Retitioner',
  'tabard_vendor' => 'Tabard Vendor',
  'battlemaster' => 'Battlemaster',
  'auctioneer' => 'Auctioneer',
  'stable_master' => 'Stable Master',
  'armorer' => 'Armorer',
  'normal' => 'Normal',
  'elite' => 'Elite',
  'rare_elite' => 'Rare Elite',
  'world_boss' => 'World Boss',
  'rare' => 'Rare',
  'search_template' => 'Search Creature Template',
  'select' => 'Select',
  'other' => 'Other',
  'beast' => 'Beast',
  'dragonkin' => 'Dragonkin',
  'demon' => 'Demon',
  'elemental' => 'Elemental',
  'giant' => 'Giant',
  'undead' => 'Undead',
  'humanoid' => 'Humanoid',
  'critter' => 'Critter',
  'mechanical' => 'Mechanical',
  'not_specified' => 'Not Specified',
  'class' => 'Class',
  'mounts' => 'Mounts',
  'trade_skill' => 'Trade Skill',
  'pets' => 'Pets',
  'wolf' => 'Wolf',
  'cat' => 'Cat',
  'spider' => 'Spider',
  'bear' => 'Bear',
  'boar' => 'Boar',
  'crocolisk' => 'Crocolisk',
  'carrion_bird' => 'Carrion Bird',
  'crab' => 'Crab',
  'gorilla' => 'Gorilla',
  'raptor' => 'Raptor',
  'tallstrider' => 'Tallstrider',
  'felhunter' => 'Felhunter',
  'voidwalker' => 'Voidwalker',
  'succubus' => 'Succubus',
  'doomguard' => 'Doomguard',
  'scorpid' => 'Scorpid',
  'turtle' => 'Turtle',
  'scorpid' => 'Scorpid',
  'imp' => 'Imp',
  'bat' => 'Bat',
  'hyena' => 'Hyena',
  'owl' => 'Owl',
  'wind_serpent' => 'Wind Serpent',
  'search' => 'Search',
  'new_search' => 'New Search',
  'add_new' => 'Add New Creature',
  'tot_creature_templ' => 'Total Creature Templates',
  'tot_found' => 'Total Found',
  'general' => 'General',
  'stats' => 'Stats',
  'models' => 'Models',
  'additional' => 'Additional',
  'entry' => 'Entry',
  'entry_desc' => 'Creature\'s id.',
  'name' => 'Name',
  'name_desc' => 'Base name of the creature.',
  'faction' => 'Faction',
  'sub_name' => 'SubName',
  'sub_name_desc' => 'Subname of the creature.',
  'script_name' => 'Script Name',
  'script_name_desc' => 'Script\'s name creature uses.',
  'basic_status' => 'Basic Status',
  'level' => 'Level',
  'min_level' => 'Min. Level',
  'min_level_desc' => 'Creature\'s minimum level. Spawned creature have level in range from minlevel to maxlevel.',
  'max_level' => 'Max. Level',
  'max_level_desc' => 'Creature\'s maximum level. Spawned creature have level in range from minlevel to maxlevel.',
  'rank' => 'Rank',
  'rank_desc' => 'Creature\'s honor rank.',
  'health' => 'Health',
  'min_health' => 'Min Health',
  'min_health_desc' => 'Maximum creature\'s health points for creature level equal minlevel. Spawned creature have health in linear proportion to level position in range minlevel - maxlevel.',
  'max_health' => 'Max Health',
  'max_health_desc' => 'Maximum creature\'s health points for creature level equal maxlevel. Spawned creature have health in linear proportion to level position in range minlevel - maxlevel.',
  'min_mana' => 'Min Mana',
  'min_mana_desc' => 'Minimum creature\'s mana points for creature level equal minlevel. Spawned creature have mana in linear proportion to level position in range minlevel - maxlevel.',
  'max_mana' => 'Max Mana',
  'max_mana_desc' => 'Maximum creature\'s mana points for creature level equal minlevel. Spawned creature have mana in linear proportion to level position in range minlevel - maxlevel.',
  'family' => 'Family',
  'family_desc' => 'Creature\'s family type.',
  'type' => 'Type',
  'type_desc' => 'Creature type.',
  'npc_flag' => 'NPC Flag',
  'npc_flag_desc' => 'This is way to cliet know how info you see if you clic(RMB) on NPC if is vendor if is auction in fact is menu how you see Is what type of NPC it is.',
  'trainer_type' => 'Trainer Type',
  'trainer_type_desc' => 'If NPC flag is set to Trainer this flag will specify its type.',
  'loot' => 'Loot',
  'loot_id' => 'Loot Id',
  'loot_id_desc' => 'Refered to field loot_template.entry.',
  'skin_loot' => 'Skin Loot',
  'skin_loot_desc' => 'Type of loot if creature is skinned.',
  'pickpocket_loot' => 'Pickpocket Loot',
  'pickpocket_loot_desc' => 'Refered to field pickpocketing_loot_template.entry.',
  'min_gold' => 'Min Gold',
  'min_gold_desc' => 'Minimum gold drop.',
  'max_gold' => 'Max Gold',
  'max_gold_desc' => 'Maximum gold drop. 0 = creature don\'t drop any gold.',
  'basic_status' => 'Basic Status',
  'armor' => 'Armor',
  'armor_desc' => 'Creature\'s armor.',
  'speed' => 'Speed',
  'speed_desc' => 'Creature\'s speed. Use float values in 0<<3 range.',
  'size' => 'Size',
  'size_desc' => 'Creature model size 1 = 100%. Float  0<<3 range.',
  'damage' => 'Damage',
  'min_damage' => 'Min Damage',
  'min_damage_desc' => 'Creature\'s minimum melee damage.',
  'max_damage' => 'Max Damage',
  'max_damage_desc' => 'Creature\'s maximum melee damage.',
  'attack_power' => 'Attack Power',
  'attack_power_desc' => 'Creature\'s melee attack power.',
  'min_range_dmg' => 'Min Ranged Damage',
  'min_range_dmg_desc' => 'Minimum creature\'s range damage.',
  'max_range_dmg' => 'Max Ranged Damage',
  'max_range_dmg_desc' => 'Maximum creature\'s range damage.',
  'ranged_attack_power' => 'Ranged Attack Power',
  'ranged_attack_power_desc' => 'Creature\'s ranged attack power.',
  'attack_time' => 'Attack Time',
  'attack_time_desc' => 'Time between each creature\'s melee attacks (ms).',
  'range_attack_time' => 'Range Attack Time',
  'range_attack_time_desc' => 'Time between each creature\'s range attacks (ms).',
  'combat_reach' => 'Combat Reach',
  'combat_reach_desc' => 'The distance from the creature can hit you.',
  'bounding_radius' => 'Bounding Radius',
  'bounding_radius_desc' => 'Radius from what player can be attacked.',
  'spells' => 'Spells',
  'spell' => 'Spell',
  'spell_desc' => 'Creature\'s spell.',
  'resistances' => 'Resistances',
  'resis_holy' => 'Holy Resitance',
  'resis_holy_desc' => 'Holy Resitance.',
  'resis_fire' => 'Fire Resitance',
  'resis_fire_desc' => 'Fire Resitance.',
  'resis_nature' => 'Nature Resitance',
  'resis_nature_desc' => 'Nature Resitance.',
  'resis_frost' => 'Frost Resitance',
  'resis_frost_desc' => 'Frost Resitance.',
  'resis_shadow' => 'Shadow Resitance',
  'resis_shadow_desc' => 'Shadow Resitance.',
  'resis_arcane' => 'Arcane Resitance',
  'resis_arcane_desc' => 'Arcane Resitance.',
  'models' => 'Models',
  'scripts' => 'Scripts',
  'ai_name' => 'AIName',
  'ai_name_desc' => 'Name of the AI function creature uses.',
  'movement_type' => 'MovementType',
  'movement_type_desc' => 'TODO.',
  'class' => 'class',
  'class_desc' => 'Creature\'s class, like character.class field. Used for check in case npcflag include trainer flag (16) and trainer_type == TRAINER_TYPE_CLASS or TRAINER_TYPE_PETS.',
  'race' => 'Race',
  'race_desc' => 'Creature\'s race, like character.race field. Used for check in case npcflag include trainer flag (16) and trainer_type == TRAINER_TYPE_MOUNTS.',
  'trainer_spell' => 'Trainer Spell',
  'trainer_spell_desc' => 'Spell ID. Used for check in case npcflag include trainer flag (16) and trainer_type == TRAINER_TYPE_TRADESKILLS. Player must known trainer_spell to start training.',
  'inhabit_type' => 'Inhabit Type',
  'inhabit_type_desc' => 'Movment type.<br />0 - not used<br />1 - can walk (or fly above ground)<br />2 - can swim (or fly above water)<br />3 (= 1 | 2) - can walk and swim (and fly)',
  'walk' => 'Walk',
  'swim' => 'Swim',
  'both' => 'Both',
  'flags_extra' => 'Flags Extra',
  'flags_extra_desc' => 'TODO:',
  'flags' => 'Flags',
  'flags_desc' => 'TODO:',
  'dynamic_flags' => 'Dynamic Flags',
  'dynamic_flags_desc' => 'TODO:',
  'flag_1' => 'Flag 1',
  'flag_1_desc' => 'Mobgroup: If you attack one of this group each mob in the group will aggro you.',
  'save_to_db' => 'Save to Database',
  'save_to_script' => 'Save as SQL Script',
  'lookup_creature' => 'Lookup Creature',
  'quests' => 'Quests',
  'vendor' => 'Vendor',
  'trainer' => 'Trainer',
  'creature_swapned' => 'This Creature spawned total of',
  'times' => 'time(s)',
  'del_creature' => 'Delete Creature',
  'del_spawns' => 'Delete Spawns',
  'loot_tmpl_id' => 'Loot template ID',
  'drop_chance' => 'Drop chance',
  'quest_drop_chance' => 'Quest Drop chance',
  'start_quests' => 'Start Quests',
  'ends_quests' => 'Ends Quests',
  'sells' => 'Sells',
  'unlimited' => 'Unlimited',
  'count' => 'Count',
  'trains' => 'Trains',
  'spell_id' => 'Spell ID',
  'cost' => 'Cost',
  'req_skill' => 'Required Skill',
  'req_skill_lvl' => 'Required Skill level',
  'req_level' => 'Required Level',
  'creature_template' => 'Creature template ID',
  'all_related_data' => 'All related data will be erased as well.',
  'add_new_mob_templ' => 'Add new creature Template',
  'add_new_success' => 'Creature Successfully Added',
  'edit_mob_templ' => 'Edit Creature Template',
  'err_adding_new' => 'Error Adding New Creature',
  'err_no_fields_updated' => 'Non of the fields updated.',
  'search_creatures' => 'Search Creatures',
  'custom_search' => 'Custom Filter',
  'pickpocketloot_tmpl_id' => 'Pickpocket Loot Template ID',
  'skinning_loot_tmpl_id' => 'Skinning Loot Template ID',
  'add_items_to_templ' => 'Add Item to Template',
  'loot_item_id' => 'Item ID',
  'loot_item_id_desc' => 'ID of the item you wish to be added.',
  'loot_drop_chance' => 'Drop Chance',
  'loot_drop_chance_desc' => 'Item Drop chance',
  'loot_quest_drop_chance' => 'Quest Drop Chance',
  'loot_quest_drop_chance_desc' => 'Quest Drop chance',
  'min_count' => 'Min. Count',
  'min_count_desc' => 'Minimum number of stack size on drop.',
  'max_count' => 'Max. Count',
  'max_count_desc' => 'Maximum number of stack size on drop.',
  'add_item_to_loot' => 'Add item to Loot Template',
  'drop_chance' => 'Drop Chance',
  'add_ends_quests' => 'Add Quest ends by this NPC',
  'add_starts_quests' => 'Add Quest starts by this NPC',
  'quest_id' => 'Quest ID',
  'quest_id_desc' => 'ID of the quest.',
  'add_items_to_vendor' => 'Add item to Vendor',
  'vendor_item_id' => 'Item Id',
  'vendor_item_id_desc' => 'Id of item you wish to add.',
  'vendor_max_count' => 'Max. Count',
  'vendor_max_count_desc' => 'Maximim number of items can be soled.',
  'vendor_incrtime' => 'Increase Time',
  'vendor_incrtime_desc' => 'Time before this item can be soled again.',
  'vendor_extended_cost' => 'Extended Cost',
  'vendor_extended_cost_desc' => 'Honor point required to buy. Linked to ItemExtendedCost.dbc',
  'train_spell_id' => 'Spell Id',
  'train_spell_id_desc' => 'Id of the spell you like this trainer to train.',
  'add_spell_to_trainer' => 'Add Spell to Trainer',
  'train_cost' => 'Cost',
  'train_cost_desc' => 'Cost in cooper of this skill.',
  'req_skill' => 'Req. Skill',
  'req_skill_desc' => 'Skill id required to learn this spell.',
  'req_skill_value' => 'Req. Skill Value',
  'req_skill_value_desc' => 'Skill level required to learn this spell.',
  'req_level' => 'Req. Level',
  'req_level_desc' => 'Character level required to learn this spell.',
  'check_to_delete' => '* Check checkbox next to item to remove from template.',
  'search_results' => 'Search Results',
  'RacialLeader' => 'Racial Leader',
  'RacialLeader_desc' => 'Set to 1 if the creature is Racial Leader',
  'dmgschool' => 'Damage School',
  'dmgschool_desc' => 'The school of damage will be used by this mob',
  'freeforall' => 'Free for all',
  'freeforall_desc' => 'Free for all loot flag.',
  'lootcondition' => 'Loot condition',
  'lootcondition_desc' => 'Loot condition flag',
  'condition_value1' => 'Condition Value 1',
  'condition_value1_desc' => 'Condition Value 1 flag',
  'condition_value2' => 'Condition Value 2',
  'condition_value2_desc' => 'Condition Value 2 flag',
  'modelid_A' => 'Model ID Allied',
  'modelid_A_desc' => 'Model ID Allied',
  'modelid_A2' => 'Model ID Allied 2',
  'modelid_A2_desc' => 'Model ID Allied 2',
  'modelid_H' => 'Model ID Horde',
  'modelid_H_desc' => 'Model ID Horde',
  'modelid_H2' => 'Model ID Horde 2',
  'modelid_H2_desc' => 'Model ID Horde 2',
  'faction_A' => 'Faction (Alliance)',
  'faction_A_desc' => 'The faction if the creature is on the alliance side.',
  'faction_H' => 'Faction (Horde)',
  'faction_H_desc' => 'The faction if the creature is on the horde side.',
  'RegenHealth' => 'Regenerate Health',
  'equipment' => 'Equipment',
    'equip_slot' => 'Equip Slot',
  'equip_slot1_desc' => 'Offset to the real slot used',
  'equip_slot2_desc' => 'Offset to the real slot used',
  'equip_slot3_desc' => 'Offset to the real slot used',
  'equip_model' => 'Equip Model',
  'equip_model1_desc' => 'This is the model of the equipment used in right hand.',
  'equip_model2_desc' => 'This is the model of the equipment used in right hand.',
  'equip_model3_desc' => 'This is the model of the equipment used in distance slot.',
  'equip_info' => 'Equip Info',
  'equip_info1_desc' => 'This field controls both the animation, the way the equiped item hits and the sound it makes.',
  'equip_info2_desc' => 'This field controls both the animation, the way the equiped item hits and the sound it makes',
  'equip_info3_desc' => 'This field controls both the animation, the way the equiped item hits and the sound it makes',
  'heroic' => 'Heroic Spawn ID',
  'heroic_desc' => 'A heroic id is used when a creature has a different template for instances in normal and heroic mode. The one with the heroic_entry is the one used in the normal mode. A zero values means, this template is used for normal and heroic mode, or only heroic mode, if another creature point with its heroic_entry to this creature.',
  'locales' => 'Localisation',
  'unit_flags' => 'Unit flags',
  );

$lang_game_object = array(
  // ----- GAME_OBJECT.PHP -----
  'unknown' => 'Unknown',
  'custom_search' => 'Custom Filter',
  'search' => '+ Search +',
  'add_new' => 'Add New',
  'tot_go_templ' => 'Total Game Object Templates',
  'search_template' => 'Search Game Object Template',
  'select' => 'Select',
  'new_search' => 'New Search',
  'tot_found' => 'Total Templates Found',
  'add_new_go_templ' => 'Add New Game Object Template',
  'edit_go_templ' => 'Edit Game Object Template',
  'err_adding_new' => 'Error Adding New Game Object Template',
  'err_no_fields_updated' => 'Error: No Fields Updated',
  'search_go' => 'Search Game Objects',
  'general' => 'General',
  'save_to_db' => 'Save to DB',
  'save_to_script' => 'Save to Script',
  'lookup_go' => 'Lookup GO',
  'DOOR' => 'DOOR',
  'BUTTON' => 'BUTTON',
  'QUESTGIVER' => 'QUESTGIVER',
  'CHEST' => 'CHEST',
  'BINDER' => 'BINDER',
  'GENERIC' => 'GENERIC',
  'TRAP' => 'TRAP',
  'CHAIR' => 'CHAIR',
  'SPELL_FOCUS' => 'SPELL_FOCUS',
  'TEXT' => 'TEXT',
  'GOOBER' => 'GOOBER',
  'TRANSPORT' => 'TRANSPORT',
  'AREADAMAGE' => 'AREADAMAGE',
  'CAMERA' => 'CAMERA',
  'MAP_OBJECT' => 'MAP_OBJECT',
  'MO_TRANSPORT' => 'MO_TRANSPORT',
  'DUEL_FLAG' => 'DUEL_FLAG',
  'FISHING_BOBBER' => 'FISHING_BOBBER',
  'RITUAL' => 'RITUAL',
  'MAILBOX' => 'MAILBOX',
  'AUCTIONHOUSE' => 'AUCTIONHOUSE',
  'GUARDPOST' => 'GUARDPOST',
  'SPELLCASTER' => 'SPELLCASTER',
  'MEETING_STONE' => 'MEETING_STONE',
  'BG_Flag' => 'BG_Flag',
  'FISHING_HOLE' => 'FISHING_HOLE',
  'FLAGDROP' => 'FLAGDROP',
  'CUSTOM_TELEPORTER' => 'CUSTOM_TELEPORTER',
  'LOTTERY_KIOSK' => 'LOTTERY_KIOSK',
  'CAPTURE_POINT' => 'CAPTURE_POINT',
  'AURA_GENERATOR' => 'AURA_GENERATOR',
  'DUNGEON_DIFFICULTY' => 'DUNGEON_DIFFICULTY',
  'general' => 'General',
  'name' => 'Name',
  'name_desc' => 'Object\'s name.',
  'entry' => 'Entry',
  'entry_desc' => 'Unique GO identifier value',
  'displayId' => 'Display Id',
  'displayId_desc' => 'Graphic model\'s id sent to the client.',
  'faction' => 'Faction',
  'faction_desc' => 'Object\'s faction, if any.',
  'flags' => 'Flags',
  'flags_desc' => 'TODO:',
  'type' => 'Type',
  'type_desc' => 'Game Object\'s type',
  'script_name' => 'ScriptName',
  'ScriptName_desc' => 'Script\'s name GO uses.',
  'size' => 'Size',
  'size_desc' => 'Object\'s size must be set because graphic models can be resample.',
  'tmpl_not_found' => 'Template not Found',
  'del_go' => 'Delete GO',
  'del_spawns' => 'Delete Spawns',
  'loot' => 'Loot',
  'quests' => 'Quests',
  'loot_tmpl_id' => 'Loot Template',
  'drop_chance' => 'Drop Chance',
  'quest_drop_chance' => 'Quest Drop Chance',
  'add_items_to_templ' => 'Add Items to Template',
  'loot_item_id' => 'Loot template ID',
  'loot_item_id_desc' => 'ID of the item you wish to be added.',
  'loot_drop_chance' => 'Drop Chance',
  'loot_drop_chance_desc' => 'Item Drop chance',
  'loot_quest_drop_chance' => 'Quest Drop Chance',
  'loot_quest_drop_chance_desc' => 'Quest Drop chance',
  'min_count' => 'Min. Count',
  'min_count_desc' => 'Minimum number of stack size on drop.',
  'max_count' => 'Max. Count',
  'max_count_desc' => 'Maximum number of stack size on drop.',
  'check_to_delete' => '* Check checkbox next to item to remove from template.',
  'add_starts_quests' => 'Add Quest starts by this GO',
  'quest_id' => 'Quest ID',
  'quest_id_desc' => 'ID of the quest.',
  'start_quests' => 'Start Quests',
  'ends_quests' => 'Ends Quests',
  'add_ends_quests' => 'Add Quest ends by this GO',
  'go_swapned' => 'This Game Object spawned total of',
  'times' => 'times',
  'go_template' => 'Game Object Template',
  'all_related_data' => 'Along with all related data.',
  'freeforall' => 'Free for all',
  'freeforall_desc' => 'Free for all loot flag.',
  'lootcondition' => 'Loot condition',
  'lootcondition_desc' => 'Loot condition flag',
  'condition_value1' => 'Condition Value 1',
  'condition_value1_desc' => 'Condition Value 1 flag',
  'condition_value2' => 'Condition Value 2',
  'condition_value2_desc' => 'Condition Value 2 flag',
  'datas' => 'Additional Datas',
  'data' => 'Data',
  'data_desc' => 'Data fields specific for different type field values. Each type has unique fields.<br />For more informaton visit https://svn.mangosproject.org/trac /MaNGOS/wiki/Database /gameobject_template'
  );


// ----- AHSTATS.PHP -----
function lang_auctionhouse()
{
  $lang_auctionhouse = array
  (
    'auctionhouse' => 'Auction House',
    'seller' => 'Seller',
    'buyer' => 'Buyer',
    'item' => 'Item',
    'buyoutprice' => 'Buyout price',
    'timeleft' => 'Time Left',
    'lastbid' => 'Last Bid',
    'firstbid' => 'First Bid',
    'dayshortcut' => 'D',
    'hourshortcut' => 'H',
    'mnshortcut' => 'mn',
    'total_auctions' => 'Total Auctions',
    'search_results' => 'Search Results',
    'auction_over' => 'Auction Over',
    'all' => 'All',
    'item_id' => 'Item Id',
    'item_name' => 'Item Name',
    'seller_name' => 'Seller Name',
    'buyer_name' => 'Buyer Name',
  );
  return $lang_auctionhouse;
}


$lang_id_tab = array(
  // ----- ID_TAB.PHP -----
  //---RACE---
  'human' => 'Human',
  'orc' => 'Orc',
  'dwarf' => 'Dwarf',
  'nightelf' => 'Night Elf',
  'undead' => 'Undead',
  'tauren' => 'Tauren',
  'gnome' => 'Gnome',
  'troll' => 'Troll',
  'bloodelf' => 'Blood Elf',
  'draenei' => 'Draenei',
  //---Class---
  'warrior' => 'Warrior',
  'paladin' => 'Paladin',
  'hunter' => 'Hunter',
  'rogue' => 'Rogue',
  'priest' => 'Priest',
  'death_knight' => 'Death Knight',
  'shaman' => 'Shaman',
  'mage' => 'Mage',
  'warlock' => 'Warlock',
  'druid' => 'Druid',
  //------user levels------
  'Player' => 'Player',
  'Moderator' => 'Moderator',
  'Game_Master' => 'Game Master',
  'BugTracker' => 'Bug Tracker',
  'Administrator' => 'Administrator',
  'SysOP' => 'Sys OP',
  //------factions------
  'Alliance' => 'Alliance',
  'Horde' => 'Horde',
  //------char rankings------
  'None' => 'None',
  'Private' => 'Private',
  'Corporal' => 'Corporal',
  'Sergeant' => 'Sergeant',
  'Master_Sergeant' => 'Master Sergeant',
  'Sergeant_Major' => 'Sergeant Major',
  'Knight' => 'Knight',
  'Knight-Lieutenant' => 'Knight-Lieutenant',
  'Knight-Captain' => 'Knight-Captain',
  'Knight-Champion' => 'Knight-Champion',
  'Lieutenant_Commander' => 'Lieutenant Commander',
  'Commander' => 'Commander',
  'Marshal' => 'Marshal',
  'Field_Marshal' => 'Field Marshal',
  'Grand_Marshal' => 'Grand Marshal',
  'Scout' => 'Scout',
  'Grunt' => 'Grunt',
  'Senior_Sergeant' => 'Senior Sergeant',
  'First_Sergeant' => 'First Sergeant',
  'Stone_Guard' => 'Stone Guard',
  'Blood_Guard' => 'Blood Guard',
  'Legionnare' => 'Legionnare',
  'Centurion' => 'Centurion',
  'Champion' => 'Champion',
  'Lieutenant_General' => 'Lieutenant General',
  'General' => 'General',
  'Warlord' => 'Warlord',
  'High_Warlord' => 'High Warlord'
  );

$lang_arenateam = array(
  // ----- ARENATEAM.PHP -----
  'by_name' => 'by Team Name',
  'by_team_leader' => 'by Team Leader',
  'by_id' => 'by Team Id',
  'id' => 'Id',
  'arenateam_id' => 'Team Id',
  'arenateam_name' => 'Team Name',
  'captain' => 'Captain',
  'type' => 'Type',
  'arenateam_online' => 'Members online',
  'create_date' => '...',
  '2' => '2 VS 2',
  '3' => '3 VS 3',
  '5' => '5 VS 5',
  'err_no_members_found' => 'No Members Found!',
  'err_no_team_found' => 'No Arena Teams Found!',
  'del_team' => 'Delete Arena Team',
  'team_search_result' => 'Arena Teams Search Results',
  'browse_teams' => 'Browse Arena Teams',
  'tot_teams' => 'Total  Arena Teams',
  'members' => 'Members',
  'tot_members' => 'Total Members',
  'games' => 'Games played',
  'rating' => 'Rating',
  'wins' => 'Games won',
  'remove' => 'Remove',
  'name' => 'Name',
  'level' => 'Level',
  'played_week' => 'Games played this week',
  'wons_week' => 'Games won this week',
  'played_season' => 'Games played this season',
  'wons_season' => 'Games won this season',
  'arenateams' => 'Arena Teams',
  'del_team' => 'Delete Arena Team',
  'games_played' => 'Played',
  'games_won' => 'Won',
  'games_lost' => 'Lost',
  'ratio' => 'Win Percentage',
  'this_week' => 'This week',
  'this_season' => 'This season',
  'standings' => 'Standing :',
  'tot_found' => 'Total Found',
  'arenateam' => 'Arena Team'
  );

$lang_honor = array(
  // ----- HONOR.PHP -----
  'allied' => 'Alliance',
  'horde' => 'Horde',
  'browse_honor' => 'Honor Overview',
  'guid' => 'Character Name',
  'race' => 'Race',
  'class' => 'Class',
  'level' => 'Level',
  'honor points' => 'Honor Points',
  'honor' => 'Rank',
  'guild' => 'Guild'
  );


// ----- EVENTS.PHP -----
function lang_events()
{
  $lang_events = array
  (
    'total' => 'Total',
    'descr' => 'Event name',
    'start' => 'First Starting Time',
    'occur' => 'Occurance<br /><small>days/hours</small>',
    'length' => 'Length<br /><small>days/hours</small>',
    'events' => 'Events',
  );
  return $lang_events;
}


// ----- INSTANCES.PHP -----
function lang_instances()
{
  $lang_instances = array
  (
    'instances' => 'Instances',
    'total' => 'Total',
    'map' => 'Map',
    'level_min' => 'Minimum level',
    'level_max' => 'Maximum level',
  );
  return $lang_instances;
}


// ----- FORM.PHP -----
function lang_captcha()
{
  $lang_captcha = array
  (
    'security_code' => 'Security Code',
    'invalid_code' => 'Invalid Code!'
  );
  return $lang_captcha;
}


// ----- TOP100.PHP -----
function lang_top()
{
  $lang_top = array
  (
  'top100' => 'Top 100',
  'general' => 'General',
  'stats' => 'Stats',
  'defense' => 'Defense',
  'melee' => 'Melee',
  'ranged' => 'Ranged',
  'resist' => 'Resist',
  'pvp' => 'PVP',
  'health' => 'Health',
  'mana' => 'Mana',
  'str' => 'Str',
  'agi' => 'Agi',
  'sta' => 'Sta',
  'intel' => 'Int',
  'spi' => 'Spi',
  'armor' => 'Armor',
  'block' => 'Block',
  'dodge' => 'Dodge',
  'parry' => 'Parry',
  'resilience' => 'Resilience',
  'ap' => 'Attack Power',
  'att_time' => 'Att Time',
  'min_dmg' => 'Min Dmg',
  'max_dmg' => 'Max Dmg',
  'expertise' => 'Main Exp',
  'off_expertise' => 'Off Exp',
  'crit' => 'Crit',
  'hit' => 'Hit',
  'holy' => 'Holy',
  'fire' => 'Fire',
  'nature' => 'Nature',
  'frost' => 'Frost',
  'shadow' => 'Shadow',
  'arcane' => 'Arcane',
  'name' => 'Name',
  'race' => 'Race',
  'class' => 'Class',
  'level' => 'Level',
  'guild' => 'Guild',
  'money' => 'Money',
  'rank' => 'Rank',
  'honor_points' => 'Honor',
  'kills' => 'Kills',
  'arena_points' => 'Arena',
  'time_played' => 'Time Played',
  'online' => 'Online'
  );
  return $lang_top;
}


// ----- SPELLD.PHP -----
function lang_spelld()
{
  $lang_spelld = array
  (
    'add_spell' => 'Add spell',
    'spell_list' => 'Spell(s) List',
    'by_id' => 'by spell ID',
    'by_disable' => 'by mask',
    'by_comment' => 'by spell name',
    'entry' => 'Spell ID',
    'disable_mask' => 'Disable mask',
    'comment' => 'Spell name',
    'del_selected_spells' => 'Delete checked spell(s)',
    'tot_spell' => 'Total Spells',
    'add_new_spell' => 'Add new spell',
    'entry2' => 'Spell ID (numbers only)',
    'disable_mask2' => 'Spell Disable Mask (Check table)',
    'comment2' => 'Spell name (max 64 chars)',
    'dm_exp' => 'Spell Disable Mask - Specifies who the spell is disabled for.',
    'value' => ' Value ',
    'type' => ' Type ',
    'disabled_p' => ' Spell disabled for players',
    'disabled_crea_npc_pets' => ' Spell disabled for creatures/npc/pets ',
    'disabled_p_crea_npc_pets' => ' Spell disabled for players and creatures/npc/pets ',
    'wrong_fields' => 'Some Fields Wrong',
    'err_add_entry' => 'Adding New Spell Fail',
    'spell_added' => 'New Spell Added',
    'spells' => 'Spell(s) Disabled',
    'search_results' => 'Search result',
    'spell_deleted' => 'Spell deleted!',
    'spell_not_deleted' => 'No spell deleted!',
  );
  return $lang_spelld;
}


// ----- GLOBAL TELNET -----
function lang_telnet()
{
  $lang_telnet = array
  (
    'unable' => 'Connect failed: Unable to open network connection, please check your config',
    'unknown_host' => 'Connect failed: Unknown host, please check your config',
    'login_failed' => 'Connect failed: Login failed, please check your config',
    'not_supported' => 'Connect failed: Your PHP version does not support PHP Telnet, please check your config',
  );
  return $lang_telnet;
}


// ---- message.php ----
function lang_message()
{
  $lang_message  = array
  (
    'main' => 'Send System Message/Global Notification',
    'announcement' => 'Announcement',
    'notification' => 'Notification',
    'both' => 'Both',
    'send' => 'Send',
    'empty_fields' => 'Empty Fields',
    'message_too_long' => 'Message too long',
    'system_message' => 'System Message',
    'global_notify' => 'Global Notify',
    'sent' => 'sent',
    'message_result' => 'Message Result',
  );
  return $lang_message;
}


function lang_forum()
{
  global $minfloodtime;

  $lang_forum = Array
  (
    // BBCode you can replace this by images off course
    "image" => "Image",
    "url" => "Link",
    "url2" => "Link with alias",
    "bold" => "Bold",
    "italic" => "Italic",
    "underline" => "Underline",
    "code" => "Code",
    "quote" => "Quote",
    "quote2" => "Quote with name",
    "wrote" => "wrote",
    "color" => "Color",
    "media" => "Media",
    "YouTube" => "YouTube",

    // forum_index
    "forums" => "Forums",
    "forum_index" => "Forum Index",
    "you_are_here" => "You are here",
    "last_post_by" => "Last post by",
    "in" => "in",
    "no_topics" => "No topics...",
    "topics" => "Topics",

    // view_forum
    "no_such_forum" => "Bad request : No such forum",
    "no_access" => "Bad request : You have no access to this content",
    "new_topic" => "New topic",
    "annoucement" => "Annoucement",
    "sticky" => "Sticky",
    "pages" => "Pages",
    "title" => "Topic Title",
    "author" => "Author",
    "pages" => "Pages",
    "replies" => "Replies",
    "last_post" => "Last Post",
    "closed" => "Closed",

    // view_topic
    "no_such_topic" => "Bad request : No such topic",
    "info" => "Info",
    "text" => "Text",
    "yes" => "Yes",
    "no" => "No",
    "at" => "at",
    "move" => "Move",
    "edit" => "Edit",
    "delete" => "Delete",
    "post" => "Post",
    "open" => "Open",
    "close" => "Close",
    "quick_reply" => "Quick Reply Form",
    "down" => "Down",
    "up" => "Up",
    "normal" => "Normal",

    // delete_post
    "delete_topic" => "Do you really want to delete this topic and all his sub-messages?",
    "delete_post" => "Do you really want to delete this post?",
    "back" => "Back",
    "confirm" => "Confirm",

    // add_topic
    "topic_name" => "Topic name",
    "please_wait" => "Please wait $minfloodtime seconds before posting again.",

    // do_add_topic
    "name_too_long" => "Topic name too long!",
    "name_too_short" => "Topic name too short!",
    "msg_too_short" => "Too short message!",

    // edit_post
    "no_such_post" => "Bad request : No such post",

    // move_topic
    "where" => "Where do you want to move this topic?",
  );
  return $lang_forum;
}


?>
