<?php
/*
 * Project Name: MiniManager for Project Mangos/Trinity
 * License: GNU General Public License v2(GPL)
 * Language: French
 * Supported Minimanager Revision: r407
 * Translator: fra298
 */

$lang_global = array(
  // ----- GENERAL ERROR CODES -----
  'err_sql_conn_db' => 'Erreur - Non connecté au serveur SQL !',
  'err_sql_open_db' => 'Erreur - ne peut pas ouvrir la base de donnée !',
  'err_no_result' => 'Aucun résultat.',
  'err_no_user' => 'Aucun utilisateur trouvé !',
  'err_no_records_found' => 'Aucun enregistrement !',
  'err_no_search_passed' => 'Aucun paramêtre de recherche.',
  'err_invalid_input' => 'Entrée invalide',
  'err_no_permission' => 'Vous n\'avez pas les permissions pour accéder ou éditer cette donnée',
  // ------ GENERAL -----
  'for_trinity' => 'This function is for Trinity Servers only',
  'empty_fields' => 'Certains champs ne sont pas remplis',
  'search' => 'Recherche',
  'limit' => 'limite',
  'back' => 'Retour',
  'go_back' => 'Retour',
  'home' => 'Accueil',
  'none' => 'Aucun',
  'delete' => 'Effacer le Royaume',
  'delete_short' => 'Del.',
  'edit' => 'Editer',
  'yes' => 'OUI',
  'yes_low' => 'oui',
  'no' => 'NON',
  'no_low' => 'non',
  'are_you_sure' => 'ETES-VOUS SUR ?',
  'will_be_erased' => 'et tous ses personnages seront supprimés de la base de données!',
  'unlinked' => 'Unlinked',
  'country' => 'Pays',
  'language_select' => 'Selection du language',
  'language_0' => 'English',
  'language_1' => 'Korean',
  'language_2' => 'French',
  'language_3' => 'German',
  'language_4' => 'Chinese',
  'language_5' => 'Taiwanese',
  'language_6' => 'Spanish',
  'language_7' => 'Mexican',
  'language_8' => 'Russian'
  );


  // ----- LOGIN.PHP -----
function lang_login()
{
  $lang_login = array
  (
  'login' => 'Connexion',
  'username' => 'Nom',
  'password' => 'Mot de passe',
  'not_registrated' => 'Pas enregistré ?',
  'bad_pass_user' => 'Nom d\'utilisateur et/ou mot de passe invalide !',
  'missing_pass_user' => 'Nom d\'utilisateur et/ou mot de passe manquant !',
  'banned_acc' => 'Compte banni, contactez l\'administrateur du serveur',
  'locked_acc' => 'Compte suspendu, contactez l\'administrateur du serveur',
  'no_permision' => 'Vous n\'avez PAS la permission d\'accéder aux données demandées',
  'enter_valid_logon' => 'Svp entrez un nom d\'utilisateur et mot de passe valide :',
  'select_realm' => 'Royaume',
  'remember_me' => 'Se rappeler de moi',
  'pass_recovery' => 'Mot de passe perdu ?',
  'after_registration' => 'Votre compte a été crée avec succès!'
  );
  return $lang_login;
}


// ----- GUILD.PHP -----
function lang_guild()
{
  $lang_guild = array
  (
    'my_guilds' => 'Ma Guilde',
    'id' => 'ID',
    'guild_name' => 'Nom de la guilde',
    'guild_leader' => 'Maître de guilde',
    'guild_faction' => 'Faction',
    'tot_members' => 'Total de membres',
    'tot_m_online' => 'Membres en ligne',
    'remove' => 'Supp.',
    'guild_motd' => 'MOTD de la guilde',
    'create_date' => 'Date de création',
    'by_name' => 'par nom',
    'by_guild_leader' => 'par maître de guilde',
    'by_id' => 'par id',
    'tot_guilds' => 'Nombre total de guildes',
    'guild' => 'Guilde',
    'info' => 'Info',
    'motd' => 'MOTD',
    'name' => 'Nom',
    'race' => 'Race',
    'class' => 'Classe',
    'level' => 'Niveau',
    'rank' => 'Rang',
    'pnote' => 'Note de joueur',
    'offnote' => 'Note d\'officier',
    'online' => 'En ligne',
    'llogin' => 'Dernière connection (jours)',
    'del_guild' => 'Effacer la guilde',
    'guild_id' => 'Id de guilde',
    'guild_search_result' => 'Résultats de recherche de guildes',
    'show_guilds' => 'Afficher toutes les guildes',
    'browse_guilds' => 'Parcourir les guildes',
    'guildbank' => 'Banque de Guilde',
  );
  return $lang_guild;
}


// ----- GUILDBANK.PHP -----
function lang_guildbank()
{
  $lang_guildbank = array
  (
    'guild' => 'Guilde',
    'guildbank' => 'Banque de guilde',
    'tab' => 'Tab',
    'notfound' => 'Mauvais ID, aucune Banque de guilde trouvée.',
  );
  return $lang_guildbank;
}


$lang_register = array(
  // ----- REGISTER.PHP -----
  'create_acc' => 'Créer un compte',
  'username' => 'Nom',
  'use_eng_chars_limited_len' => 'Utilisez uniquement des caractères anglais.<br />Pas d\'accents ni de caractères spéciaux.<br />La longueur doit être comprise entre 4 et 14 caractères.',
  'password' => 'Mot de passe',
  'confirm_password' => 'Confirmez le<br />mot de passe',
  'min_pass_len' => 'La longueur doit être comprise entre 4 et 25 caractères.',
  'email' => 'Email',
  'use_valid_mail' => 'Assurer vous d\'utiliser une adresse email valide.',
  'create_acc_button' => 'Créer un compte',
  'diff_pass_entered' => 'Les mots de passe doivent être identiques.',
  'already_exist' => 'Déjà existant',
  'acc_reg_closed' => 'Désolé l\'inscription est actuellement fermée.',
  'wrong_pass_username_size' => 'Le mot de passe et le nom d\'utilisateur doivent avoir une longueur comprise entre 4 et 14 caractères!',
  'bad_chars_used' => 'Le nom d\'utilisateur ne doit contenir que des caractères du type : [A-Z][a-z][0-9] !',
  'invalid_email' => 'Votre email n\'est pas valide !',
  'banned_ip' => 'L\'IP que vous utilisez est bannie',
  'contact_serv_admin' => 'Contactez l\'administrateur du serveur.',
  'users_ip_range' => 'Utilisateur dans la plage d\'IP',
  'cannot_create_acc' => 'Impossible de créer le compte.',
  'fill_all_fields' => 'Complétez tous les champs.',
  'acc_type' => 'Type de compte',
  'acc_type_desc' => 'Le type de client sera utilisé',
  'classic' => 'Classique',
  'tbc' => 'TBC',
  'wotlk' => 'WOTLK',
  'recover_acc_password' => 'Récupérer le mot de passe du compte',
  'user_pass_rec_desc' => 'Veuillez saisir le nom d\'utilisateur enregistré.',
  'mail_pass_rec_desc' => 'Assurez vous d\'utiliser la même adresse email que lors de l\'enregistrement.',
  'recover_pass' => 'Récupérer mot de passe',
  'user_mail_not_found' => 'La combinaison nom d\'utilisateur/email ne correspond pas.',
  'recovery_mail_sent' => 'Mail de recupération envoyé',
  'read_terms' => 'Assurez vous de lire, comprendre et accepter les termes d\'utilisation pour lequel le compte sera créé',
  'terms' => 'Conditions de Services',
  'error_terms' => 'Conditions de Services non acceptées',
  'i_agree' => 'Accepter',
  'i_dont_agree' => 'Je refuse',
  'pass_too_long' => 'Le mot de passe que vous avez entré dépasse la longueur maximale autorisée',
  'invited_by' => 'Invité par',
  'invited_info' => 'S\'il vous plait, inscrivez le nom du compte du joueur qui vous a invité à vous inscrire ici.',
  'email_address_used' => 'Cet email possède déjà un compte.<br/>Aucun compte supplémentaire ne sera créé pour cette adresse.',
  'referrer_not_found' => 'Malheureusement le compte spécifié n\'a pas été trouvé dans notre base de données.<br/>S\'il vous plait assurez vous d\'avoir entré un nom de compte valide ou laissez le champ &quot;Invité par&quot;-field vide.',
  );


// ----- INDEX.PHP -----
function lang_index()
{
  $lang_index = array
  (
    'realm' => 'Royaume',
    'online' => 'En ligne',
    'offline_or_let_high' => 'Hors ligne ou latence trop élevée',
    'add_motd' => 'Ajouter le message du jour',
    'delete' => 'Effacer le Royaume',
    'tot_users_online' => 'Utilisateurs en ligne',
    'name' => 'Nom',
    'race' => 'Race',
    'class' => 'Classe',
    'level' => 'Niveau',
    'map' => 'Map',
    'zone' => 'Zone',
    'rank' => 'Rang',
    'honor_kills' => 'R.H.',
    'latency' => 'Latence',
    'a_latency' => 'Latence moyenne',
    'guild' => 'Guilde',
    'trinity_rev' => 'Trinity Rev',
    'using_db' => 'utilisant la db:',
    'maxplayers' => 'Joueurs max pour cette session',
  );
  return $lang_index;
}


// ----- HEADER.PHP -----
function lang_header()
{
  $lang_header = array
  (
    'menu' => 'Menu',

    'main' => 'Portail',
    'tools' => 'Outils',
    'db' => 'Base de données',
    'system' => 'Systeme',
    'support' => 'Support',
    'my_acc' => 'Mon compte',

    'auctionhouse' => 'Hôtel des ventes',
    'arena_teams' => 'Equipes d\'arène',
    'guilds' => 'Guildes',
    'honor' => 'Rangs d\'Honneur',
    'top100' => 'TOP 100',
    'statistics' => 'Statistiques',
    'player_map' => 'Carte des joueurs',

    'accounts' => 'Comptes',
    'characters' => 'Personnages',
    'command' => 'Commandes',
    'mail' => 'Mail',
    'tickets' => 'Tickets',
    'banned_list' => 'Liste des bannis',
    'cleanup' => 'Purger',

    'events' => 'Evènements',
    'instances' => 'Instances',
    'items' => 'Items',
    'creatures' => 'Creatures',
    'game_object' => 'Objects',
    'teleports' => 'Teleports',
    'backup' => 'Sauvegarde',
    'run_patch' => 'Exécuter un patch SQL',
    'repair' => 'Réparer/Optimiser',

    'add_motd' => 'Ajouter un message du jour',
    'realm' => 'Royaume',
    'spelld' => 'Sort(s) Désactivé(s)',
    'message' => 'envoyer le Message',
    'ssh_line' => 'Commandes SSH',

    'forums' => 'Forums',
    'irc' => 'Applet IRC',
    'bugreport' => 'Bug Report',

    // please check the length at 'My Account' Menu
    'realms' => '-----Royaumes----',
    'my_characters' => '---Personnages---',
    'account' => '------Compte-----',
    'edit_my_acc' => 'Editer mon compte',
    'logout' => 'Se deconnecter',
  );
  return $lang_header;
}


// -----FOOTER.PHP -----
function lang_footer()
{
  $lang_footer = array
  (
    'bugs_to_admin' => 'Problèmes et bugs :',
    'site_admin' => 'Administrateur du site',
  );
  return $lang_footer;
}


// ----- REPAIR.PHP -----
function lang_repair()
{
  $lang_repair = array
  (
    'repair_optimize' => 'Réparer / Optimiser Tables',
    'repair' => 'Réparer',
    'optimize' => 'Optimiser',
    'start' => 'First Starting Time',
    'repair_finished' => 'Réparation / Optimisation terminée',
    'no_table_selected' => 'Aucune table sélectionnée',
    'table_name' => 'Nom de Table',
    'status' => 'Status',
    'num_records' => 'Nombre d\'Enregistrements',
    'tables' => 'Tables',
    'select_tables' => 'Choisir les tables sur lesquelles les opérations doivent se porter.',
    'repair_error' => 'Erreur',
  );
  return $lang_repair;
}


$lang_backup = array(
  // ----- BACKUP.PHP -----
  'backup_options' => 'Options de backup',
  'select_option' => 'Choississez les options de backup',
  'save' => 'Sauver',
  'load' => 'Charger',
  'to_from' => 'vers/de',
  'web_backup' => 'Backup web',
  'local_file' => 'Fichier local',
  'acc_on_file' => 'Compte sur un fichier',
  'enter_acc_name' => 'ID du compte que vous souhaitez charger',
  'backup_acc' => 'BackUp des comptes',
  'go' => 'Exécuter',
  'save_table_struc_backup' => 'Sauver la structure des tables en plus des données',
  'select_file' => 'Choississez un fichier',
  'max_file_size' => 'La taille maximale du fichier est de :',
  'use_ftp_for_large_files' => 'Pour les plus grands fichiers vous pouvez envoyer votre fichier par ftp directement dans votre dossier de sauvegarde',
  'upload' => 'Envoyer',
  'upload_sql_file_only' => 'N\'envoyez que des fichiers .sql ou .qbquery.',
  'upload_err_write_permission' => 'Impossible d\'envoyer le fichier<br />Vérifiez les permissions du répertoire',
  'file_not_found' => 'Fichier non trouvé !',
  'file_write_err' => 'Erreur d\'écriture du fichier !',
  'backup_finished' => 'backup terminé avec succès',
  'select_backup' => 'Choississez un fichier de backup',
  'file_loaded' => 'Fichier chargé et',
  'que_executed' => 'Requêtes exécutées avec succès',
  'tables_to_save' => 'Les tables suivantes seront sauvées',
  'save_all_realms' => 'Sauver les données de tous les royaumes'
  );


// ----- BANNED.PHP -----
function lang_banned()
{
  $lang_banned = array
  (
    'add_to_banned' => 'Ajouter à la liste des bannis',
    'tot_banned' => 'Total Bannis',
    'ip_acc' => 'IP / Compte',
    'will_be_removed_from_banned' => 'Sera retiré de la Ban Liste',
    'ban_entry' => 'Bannir IP / Compte',
    'err_del_entry' => 'Erreur à l\'effacement du banni',
    'updated' => 'Données mises à jour avec succès',
    'banned_list' => 'Ban Liste',
    'bandate' => 'Date du Ban',
    'unbandate' => 'Date du Déban',
    'bannedby' => 'Banni par',
    'banreason' => 'Raison',
    'banned_ips' => 'IPs bannies',
    'banned_accounts' => 'Compte banni',
    'ban_type' => 'Type de Ban',
    'account' => 'Compte / Facturation',
    'ip' => 'IP',
    'ban_time' => 'Banni pour  (heures)',
    'entry' => 'Entrée',
    'acc_not_found' => 'Compte non trouvé'
  );
  return $lang_banned;
}


// ----- CHAR.PHP -----
function lang_char()
{
  $lang_char = array
  (
    'character' => 'Personnage',
    'online' => 'En ligne',
    'offline' => 'Hors Ligne',
    'username' => 'Nom du compte',
    'acc_id' => 'ID du compte',
    'guild_leader' => 'Maître de guilde',
    'guild' => 'Guilde',
    'rank' => 'Rang',
    'honor_points' => 'Rang d\'honneur',
    'honor_kills' => 'R.H.',
    'exp' => 'Expérience',
    'melee_d' => 'Melee Damage',
    'spell_d' => 'Spell Damage',
    'ranged_d' => 'Ranged Damage',
    'melee_hit' => 'Melee Hit',
    'spell_hit' => 'Spell Hit',
    'ranged_hit' => 'Ranged Hit',
    'melee_ap' => 'Puissance',
    'spell_heal' => 'Spell Heal',
    'ranged_ap' => 'Puissance',
    'expertise' => 'Expertise',
    'resilience' => 'Resilience',
    'block' => 'Blocage',
    'dodge' => 'Esquive',
    'parry' => 'Parade',
    'melee_crit' => 'Critique de mélée',
    'spell_crit' => 'Critique',
    'ranged_crit' => 'Critique à distance',
    'spell_haste' => 'Score de Hate',
    'days' => 'Jours',
    'hours' => 'Heures',
    'min' => 'Min.',
    'backpack' => 'Sac à dos',
    'gold' => 'Or',
    'tot_paly_time' => 'Temps total joué',
    'chars_acc' => 'Compte',
    'send_mail' => 'Envoyer l\'email',
    'del_char' => 'Supprimer',
    'no_char_found' => 'Pas de personnage trouvé !',
    'char_sheet' => 'Feuille de personnage',
    'inventory' => 'Inventaire',
    'reputation' => 'Réputation',
    'pets' => 'Familier',
    'bank_items' => 'Banque d\'objets',
    'quests' => 'Quêtes',
    'no_act_quests' => 'Aucune quête active.',
    'quest_id' => 'Quest ID',
    'quest_level' => 'lvl',
    'quest_title' => 'Titre de Quête',
    'rewarded' => 'Récompensée',
    'classskills' => 'Compétences de classe',
    'professions' => 'Professions',
    'secondaryskills' => 'Compétences secondaires',
    'weaponskills' => 'Compétences d\armes',
    'armorproficiencies' => 'Compétences en armure',
    'languages' => 'Langues',
    'skills' => 'Compétences',
    'skill_id' => 'ID',
    'skill_name' => 'Compétence',
    'skill_value' => 'Valeur',
    'talents' => 'Talents',
    'showhide' => 'Montrer/Cacher',
    // ----char_talents.php----
    'talent_rate' => 'Talent Rate',
    'talent_points' => 'Points de Talent',
    'talent_points_used' => 'Points de Talent utilisés',
    'talent_points_shown' => 'Points de Talent affichés',
    'talent_points_left' => 'Points de Talent restants',
    // --- skill_rank_array ---
    'apprentice' => 'Apprenti',
    'journeyman' => 'Compagnon',
    'expert' => 'Expert',
    'artisan' => 'Artisan',
    'master' => 'Maître',
    'inherent' => 'Inherent',
    'wise' => 'Sage',
    // -----char_friends.php---
    'friends' => 'Ami(s)',
    'friendof' => 'Ami de',
    'ignored' => 'Ignoré',
    'ignoredby' => 'Ignoré par',
    'name' => 'Nom',
    'race' => 'Race',
    'class' => 'Classe',
    'level' => 'Niveau',
    'map' => 'Map',
    'zone' => 'Zone',
    'online' => 'En ligne',
    // ---- edit_char.php ----
    'update' => 'Sauver l\'Item dans la DB',
    'edit_char' => 'Editer les données du personnage',
    'edit_button' => 'Editer les données',
    'edit_rules' => 'Les valeurs sont celles du personnage de base sans les bonus d\'objets/sorts.',
    'edit_offline_only_char' => ' - Seuls les personnages déconnectés peuvent être édités.',
    'no_permission' => 'Vous n\'avez pas les permissions requises pour éditer ce personnage.',
    'err_edit_online_char' => 'Impossible d\'éditer un personnage en ligne',
    'updated' => 'Données mises à jour avec succès',
    'update_err' => 'Erreur de mise à jour !<br />(aucun champ modifié ?)',
    'use_numeric' => 'Vous ne pouvez utiliser que des valeurs numériques',
    'check_to_delete' => '* Cocher la case à coté de l\'item pour l\'enlever du modèle.',
    'to_char_view' => 'Voir le personnage',
    'inv_bank' => 'Objet de l\'inventaire et de la banque',
    'location' => 'Emplacement',
    'move_to' => 'Téleporter vers (.tele location name)',
    'max_acc' => 'Le compte vers lequel vous essayez de déplacer ce personnage a atteint le nombre de personnages maximum autorisé.',
    'no_tp_location' => 'Aucun emplacement de téléport trouvé avec ce nom.',
    // ---- char_achieve.php ----
    'show' => 'Afficher',
    'all' => 'Tous',
    'earned' => 'Gagnés',
    'incomplete' => 'Incomplets',
    'summary' => 'Sommaire',
    'recent' => 'Récent(s)',
    'achievements' => 'Hauts Faits',
    'achievement_title' => 'Haut Fait',
    'achievement_points' => 'Points',
    'achievement_date' => 'Date',
  );
  return $lang_char;
}


$lang_item = array(
  // ----- ITEM TOOLTIP -----
  'head' => 'Tête',
  'gloves' => 'Gant',
  'neck' => 'Cou',
  'belt' => 'Ceinture',
  'shoulder' => 'Epaules',
  'legs' => 'Jambes',
  'back' => 'Dos',
  'feet' => 'Pieds',
  'chest' => 'Torse',
  'finger' => 'Doigt',
  'shirt' => 'Chemise',
  'tabard' => 'Tabard',
  'trinket' => 'Collier',
  'wrist' => 'Poignet',
  'main_hand' => 'Main principale',
  'one_hand' => 'Une main',
  'off_hand' => 'Main de renfort',
  'ranged' => 'Distance',
  'ammo' => 'Munitions',
  'bop' => 'Lié quand ramassé',
  'boe' => 'Lié quand équipé',
  'bou' => 'Lié quand utilisé',
  'quest_item' => 'Objet de quête',
  'axe_1h' => 'Hache (à une main)',
  'axe_2h' => 'Hache (à deux mains)',
  'bow' => 'Arc',
  'rifle' => 'Arme à feu',
  'mace_1h' => 'Masse (à une main)',
  'mace_2h' => 'Masse (à deux main)',
  'polearm' => 'Arme d\'Hast',
  'sword_1h' => 'Epée (à une main)',
  'sword_2h' => 'Epée (à deux mains)',
  'staff' => 'Bâton',
  'exotic_1h' => 'Exotique (une main)',
  'exotic_2h' => 'Exotique (deux mains)',
  'fist_weapon' => 'Arme de poing',
  'misc_weapon' => 'Arme diverse',
  'dagger' => 'Dague',
  'thrown' => 'Lancer',
  'spear' => 'Lance',
  'crossbow' => 'Arbalète',
  'wand' => 'Baguette',
  'fishing_pole' => 'Canne â pêche',
  'rod' => 'Baguette d\'enchanteur',
  'robe' => 'Robe',
  'tome' => 'Tome',
  'two_hand' => 'Deux mains',
  'off_misc' => 'Renfort (Divers)',
  'thrown' => 'Lancer',
  'consumable' => 'Consommable',
  'arrows' => 'Projectile - Flèches',
  'bullets' => 'Projectile - Balles',
  'projectile' => 'Projectile',
  'trade_goods' => 'Marchandises',
  'parts' => 'Parties',
  'explosives' => 'Explosifs',
  'devices' => 'Machines',
  'book' => 'Livre',
  'recipe' => 'Ingrédient',
  'LW_pattern' => 'Patron de travail du cuir',
  'tailoring_pattern' => 'Patron de couture',
  'ENG_Schematic' => 'Schéma d\'ingénierie',
  'BS_plans' => 'Plan de Forgeron',
  'cooking_recipe' => 'Recette de cuisine',
  'alchemy_recipe' => 'Ingrédient d\'Alchimie',
  'FA_manual' => 'Manuel de premier secours',
  'ench_formula' => 'Formule d\'Enchantement',
  'JC_formula' => 'Formule de Sertissage',
  'quiver' => 'Carquois',
  'ammo_pouch' => 'Poche à munition',
  'soul_shards' => 'Pierres d\'âmes',
  'herbs' => 'Herbes',
  'enchanting' => 'Enchantement',
  'engineering' => 'Ingénieurie',
  'gems' => 'Gemmes',
  'keys' => 'Clés',
  'mining' => 'Minage',
  'key' => 'Clé',
  'lockpick' => 'Crochetage',
  'weapon' => 'Arme',
  'reagent' => 'Ingrédient',
  'quest' => 'Quête / NPC de Quête',
  'misc_short' => 'Divers',
  'permanent' => 'Permanent',
  'poor' => 'Abimé',
  'common' => 'Commun',
  'uncommon' => 'Inhabituel',
  'rare' => 'Rare',
  'epic' => 'Epique',
  'legendary' => 'Légendaire',
  'artifact' => 'Artefact',
  'unique' => 'Unique',
  'misc' => 'Divers',
  'armor' => 'Armor',
  'cloth' => 'Tissus',
  'leather' => 'Cuir',
  'mail' => 'Email',
  'plate' => 'Plaque',
  'shield' => 'Bouclier',
  'buckler' => 'Bouclier',
  'block' => 'Blocage',
  'none' => 'Aucun',
  'other' => 'Autre',
  'damage' => 'Dommage',
  'speed' => 'Vitesse',
  'holy_dmg' => 'Dommage sacré',
  'fire_dmg' => 'Dommage Feu',
  'nature_dmg' => 'Dommage Nature',
  'frost_dmg' => 'Dommage Gel',
  'shadow_dmg' => 'Dommage Ombre',
  'arcane_dmg' => 'Dommage Arcane',
  'physical_dmg' => 'Physique',
  'lvl_req' => 'Nécessite le niveau',
  'item_set' => 'Item de Set',
  'bag' => 'Sac',
  'health' => 'Santé',
  'mana' => 'Mana',
  'energy' => 'Energie',
  'rage' => 'Rage',
  'runic' => 'Puissance Runique',
  'res_arcane' => 'Rés. Arcane',
  'res_holy' => 'Rés. Sacré',
  'res_fire' => 'Rés. Feu',
  'res_nature' => 'Rés. Nature',
  'res_frost' => 'Rés. Froid',
  'res_shadow' => 'Rés. Ombre',
  'strength' => 'Force',
  'agility' => 'Agilité',
  'stamina' => 'Endurance',
  'intellect' => 'Intelligence',
  'spirit' => 'Esprit',
  'spell_use' => 'Utilisation',
  'spell_equip' => 'Equipement',
  'spell_coh' => 'Chance de Toucher',
  'class' => 'Classe',
  'slots' => 'Emplacements',
  'charges' => 'Charge(s)',
  'socket_bonus' => 'µBonus de sertissage',
  'potion' => 'Potion',
  'scroll' => 'Parchemin',
  'bandage' => 'Bandage',
  'healthstone' => 'Pierre de vie',
  'combat_effect' => 'Effet de Combat',
  'libram' => 'Grimoire',
  'idol' => 'Idole',
  'totem' => 'Totem',
  'fishing_manual' => 'Manuel de pêche',
  'soul_stone' => 'Pierre d\'âme',
  'no_bind' => 'Non lié',
  'socket_meta' => 'Sertissage Méta',
  'socket_red' => 'Sertissage Rouge',
  'socket_yellow' => 'Sertissage Jaune',
  'socket_blue' => 'Sertissage Bleu',
  'rating_by' => 'Multiplie par',
  'improves' => 'Améliore',
  'DEFENCE_RATING' => 'Défense',
  'DODGE_RATING' => 'Esquive',
  'PARRY_RATING' => 'Parade',
  'SHIELD_BLOCK_RATING' => 'Blocage bouclier',
  'MELEE_HIT_RATING' => 'Touché au corps à corps',
  'RANGED_HIT_RATING' => 'Touché à distance',
  'SPELL_HIT_RATING' => 'Touché par sort',
  'MELEE_CS_RATING' => 'Critique de corps à corps',
  'RANGED_CS_RATING' => 'Critique à distance',
  'SPELL_CS_RATING' => 'Critique par spell',
  'MELEE_HA_RATING' => 'Touché au corps à corps évité',
  'RANGED_HA_RATING' => 'Touché à distance évité',
  'SPELL_HA_RATING' => 'Touché par spell évité',
  'MELEE_CA_RATING' => 'Critique au corps à corps évité',
  'RANGED_CA_RATING' => 'Critique à distance évité',
  'SPELL_CA_RATING' => 'Critique par sort évité',
  'MELEE_HASTE_RATING' => 'Vitesse au corps à corps',
  'RANGED_HASTE_RATING' => 'Vitesse à distance',
  'SPELL_HASTE_RATING' => 'Vitesse par sort',
  'HIT_RATING' => 'Touche',
  'CS_RATING' => 'Frappe Critique',
  'HA_RATING' => 'Touche évité',
  'CA_RATING' => 'Critique évité',
  'RESILIENCE_RATING' => 'Résistance',
  'HASTE_RATING' => 'Vitesse'
  );


// ----- CHAR_LIST.PHP -----
function lang_char_list()
{
  $lang_char_list = array
  (
    'account' => 'Compte / Facturation',
    'back_browse_chars' => 'Retour à la liste des personnages',
    'browse_chars' => 'Liste des personnages',
    'by_account' => 'par Compte',
    'by_class_id' => 'par ID de Classe',
    'by_guild' => 'par Guilde',
    'by_honor_kills' => '= Rang d\'Honneur',
    'by_id' => 'par id d\'équipe d\'Arène',
    'by_item' => 'par ID d\'Objet',
    'by_level' => '= Niveau',
    'by_map_id' => 'par ID de Carte',
    'by_name' => 'par Nom',
    'by_online' => 'par Connecté',
    'by_race_id' => 'par ID de Race',
    'char_ids' => 'ID(s) du/des personnage(s)',
    'char_name' => 'Nom',
    'characters' => 'Personnages',
    'chars_deleted' => 'personnage(s) supprimé(s) !',
    'chars_gold' => '&lt; Or (C)',
    'class' => 'Classe',
    'cleanup' => 'Purger',
    'del_selected_chars' => 'Effacer sélection',
    'greater_honor_kills' => '&lt; Rang d\'Honneur',
    'greater_level' => '&lt; Niveau',
    'guild' => 'Guildes',
    'honor_kills' => 'R.H.',
    'id' => 'Id',
    'lastseen' => 'Dernière connexion',
    'level' => 'Niveau',
    'map' => 'Map',
    'no_chars_del' => 'Aucun personnages supprimés !<br />Problèmes de droits ?',
    'online' => 'En ligne',
    'race' => 'Race',
    'search_results' => 'Rechercher',
    'tot_chars' => 'Nombre total de personnages',
    'total' => 'Total',
    'zone' => 'Zone',
  );
  return $lang_char_list;
}

$lang_cleanup = array(
  // ----- CLEANUP.PHP -----
  'cleanup_options' => 'Options de nettoyage',
  'clean_chars' => 'Purger les personnages',
  'char_level' => 'Niveau de personnage',
  'tot_play_time' => 'Temps total joué (sec)',
  'clean_acc' => 'Purger les comptes',
  'last_login_time' => 'Dernière connexion (date)',
  'failed_logins' => 'Conn. échouées',
  'banned' => 'Ban',
  'locked' => 'Bloqué',
  'chars_in_acc' => 'Personnages pour le compte',
  'clean_guilds' => 'Purger les guildes',
  'chars_in_guild' => 'Personnages dans la guilde',
  'run_cleanup' => 'Exécuter',
  'chars_id' => 'ID(s) du/des personnage(s)',
  'tot_of' => 'Nombre total de',
  'acc_ids' => 'ID des comptes',
  'guilds_id' => 'Id(s) de la/des guilde(s)',
  'no_guilds_del' => 'Aucune guilde supprimée !',
  'total' => 'Total',
  'guilds_deleted' => 'guilde(s) supprimée(s)!',
  'no_acc_chars_deleted' => 'Pas de compte/personnage supprimé !<br />Problèmes de droits ?',
  'accs_deleted' => 'Compte(s) supprimé(s)!',
  'chars_deleted' => 'personnage(s) supprimé(s) !',
  'back_cleaning' => 'Retour au nettoyage',
  'clean_db' => 'Purger la DB',
  'arenateams_deleted' => 'Equipe(s) d\'arène effacée!',
  'no_arenateams_del' => 'Aucune équipe(s) d\'arène effacée'
  );


// ----- EDIT.PHP -----
function lang_edit()
{
  $lang_edit = array
  (
    'edit_acc' => 'Editer le compte',
    'id' => 'Id',
    'username' => 'Nom',
    'password' => 'Mot de passe',
    'mail' => 'Email',
    'gm_level' => 'GM',
    'last_ip' => 'Dernière IP',
    'join_date' => 'Date d\'inscription',
    'characters' => 'Personnages',
    'del_acc' => 'Supprimer',
    'update' => 'Sauver l\'Item dans la DB',
    'use_valid_email' => 'Email non valide !',
    'data_updated' => 'Mis à jour',
    'error_updating' => 'Erreur à la mise à jour',
    'del_error' => 'Erreur de suppression.',
    'edit_your_acc' => 'Editer votre compte',
    'theme_options' => 'Theme Options',
    'select_theme' => 'Choisir le modèle de',
    'theme' => 'Modèle',
    'select_layout_lang' => 'Sélection de la langue du',
    'language' => 'Langue',
    'save' => 'Sauver',
    'client_type' => 'Type de client',
    'classic' => 'Classique',
    'tbc' => 'TBC',
    'wotlk' => 'WOTLK',
    'tot_chars' => 'Nombre total de personnages',
    'invited_by' => 'Invité par',
  );
  return $lang_edit;
}


// ----- MAIL.PHP -----
function lang_mail()
{
  $lang_mail = array
  (
    'mail_type' => 'Type de Mail',
    'email' => 'Email',
    'ingame_mail' => 'Mail dans le jeu',
    'send' => 'Envoyer',
    'recipient' => 'Destinataire',
    'subject' => 'Sujet',
    'group_send' => 'Envoi de masse',
    'both' => 'Les deux',
    'gm_level' => 'GM',
    'locked_accouns' => 'Compte bloqué',
    'banned_accounts' => 'Compte banni',
    'char_level' => 'Niveau de personnage',
    'online' => 'En ligne',
    'attachments' => 'Pièces jointes (IG seulement)',
    'money' => 'Argent',
    'item' => 'Item',
    'stack' => 'Empilement',
    'mail_body' => 'Corps du message',
    'dont_use_both_groupsend_and_to' => '* Attention: Si vous utilisez l\'option envoi de groupe, laissez le champs destinataire vide.',
    'mail_sent' => 'Mail envoyé avec succès.',
    'mail_err' => 'Erreur d\'envoi',
    'no_recipient_found' => 'Pas de destinataire trouvé.',
    'use_name_or_email' => 'Utilisez le nom du personnage dans le cas d\'envoi de mail dans le jeu - l\'adresse email dans le cas contraire.',
    'option_unavailable' => 'Vous ne pouvez pas utiliser cette option avec la configuration actuelle.',
    'use_currect_option' => 'Certaines options de l\'envoi de groupe ne peuvent être utilisées que lors d\'envoi dans le jeu ou par mail mais ps les deux en même temps.',
    'send_mail' => 'Envoyer l\'email',
    'result' => 'Résultat du Mail dans le jeu',
  );
  return $lang_mail;
}


// ----- MOTD.PHP -----
function lang_motd()
{
  $lang_motd = array
  (
    'post_motd' => 'Envoyer le message du jour',
    'post_rules' => 'Attention: la longueur est limitée à 255 caractères.<br />Les tags HTML sont utilisables.',
    'err_max_len' => 'Taille limite dépassée',
    'add_motd' => 'Ajouter le message du jour',
    'edit_motd' => 'Editer le message du jour',
  );
  return $lang_motd;
}


// -----RUN_PATCH.PHP -----
function lang_run_patch()
{
  $lang_run_patch = array
  (
    'err_in_line' => 'Erreur de syntaxe SQL à la ligne n° ',
    'run_sql_file_only' => 'N\'exécutez que des .sql ou .qbquery',
    'file_not_found' => 'Fichier non trouvé !',
    'select_sql_file' => 'Sélectionnez le fichier SQL à ouvrir',
    'max_filesize' => 'Taille maximale du fichier',
    'open' => 'Ouvrir',
    'run_rules' => 'Les requêtes suivantes vont être exécutées.<br />Soyez sûrs que chaque ligne se finit par le symbole \'&#059;\'.',
    'select_db' => 'Choississez la base de données à utiliser par défaut',
    'run_sql' => 'EXECUTER LE SQL',
    'query_executed' => 'requêtes SQL exécutées avec succès.',
    'no_query_found' => 'Pas de résultats retournés / Pas de requêtes trouvées.',
    'run_patch' => 'Exécuter le patch SQL'
  );
  return $lang_run_patch;
}


// ----- SSH.PHP -----
function lang_ssh()
{
  $lang_ssh = array
  (
    'server_offline' => 'Le serveur SSH/Telnet semble hors ligne!',
    'config_server_properly' => 'Vérifiez que vous avez configuré le serveur SSH/Telnet correctement, et qu\'il est actuellement actif',
  );
  return $lang_ssh;
}


// ----- REALM.PHP -----
function lang_realm()
{
  $lang_realm = array
  (
    'add_realm' => 'Ajouter un royaume',
    'tot_realms' => 'Nombre total de royaumes',
    'name' => 'Nom',
    'address' => 'Adresse',
    'port' => 'Port',
    'icon' => 'Icône',
    'color' => 'Couleur',
    'timezone' => 'Fuseau horaire',
    'edit_realm' => 'Editer les données du royaume',
    'id' => 'Id',
    'update' => 'Mise à jour des données',
    'realm_id' => 'ID du royaume',
    'err_deleting' => 'Erreur de suppression du royaume',
    'update_executed' => 'Mise à jour effectuée avec succès!',
    'update_err' => 'Erreur de mise à jour !<br />(aucun champ modifié ?)',
    'realm_data' => 'Données du royaume',
    'online' => 'En ligne',
    'tot_char' => 'Total de personnages',
    'delete' => 'Effacer le royaume',
    'normal' => 'Normal',
    'pvp' => 'PVP',
    'rp' => 'RP',
    'rppvp' => 'RPPVP',
    'ffapvp' => 'FFAPVP',
    'development' => 'Dévellopement',
    'united_states' => 'Américain',
    'oceanic' => 'Océanie',
    'latin_america' => 'Amérique latine',
    'tournament' => 'Tournois',
    'korea' => 'Coréen',
    'english' => 'Anglais',
    'german' => 'Allemand',
    'french' => 'Français',
    'spanish' => 'Espagnol',
    'russian' => 'Russe',
    'taiwan' => 'Taiwanais',
    'china' => 'Chinois',
    'test_server' => 'Serveur de test',
    'qa_server' => 'QA Server',
    'others' => 'Others',
    'conf_from_file' => '** Ce monde ne semble pas avoir une configuration correcte dans le fichier config.php.<br />Soyez certain de le configurer correctement avant d\'utiliser.',
    'offline' => 'Hors Ligne',
    'status' => 'Status',
    'notconfigured' => 'Pas encore configuré',
  );
  return $lang_realm;
}


// ----- TICKET.PHP -----
function lang_ticket()
{
  $lang_ticket = array
  (
    'browse_tickets' => 'Liste des tickets',
    'del_selected_tickets' => 'Supprimer les tickets cochés',
    'edit_reply' => 'Editer / répondre',
    'edit_ticked' => 'Editer le ticket',
    'id' => 'Id',
    'send_ingame_mail' => 'Envoyer un mail dans le jeu',
    'sender' => 'Rédacteur',
    'submitted_by' => 'Envoyer par',
    'ticked_deleted' => 'Tickets supprimés avec succès.',
    'ticket_id' => 'ID du ticket',
    'ticket_not_deleted' => 'Aucun ticket supprimé!',
    'ticket_text' => 'Texte',
    'ticket_update_err' => 'Erreur lors de la mise à jour du ticket',
    'ticket_updated' => 'Ticket mis à jour',
    'tot_tickets' => 'Nombre total de tickets',
    'update' => 'Sauver l\'Item dans la DB',
  );
  return $lang_ticket;
}


// ----- USER.PHP -----
function lang_user()
{
  $lang_user = array
  (
    'add_acc' => 'Nouveau compte',
    'cleanup' => 'Purger',
    'backup' => 'Sauvegarde',
    'by_name' => 'par Nom',
    'by_expansion' => 'par compte Expansion.',
    'by_id' => 'par id d\'équipe d\'Arène',
    'by_gm_level' => '= Niveau de GM',
    'greater_gm_level' => '&lt; Niveau de GM',
    'by_email' => 'par Email',
    'by_join_date' => 'par Date de création',
    'by_ip' => 'par IP',
    'by_failed_loggins' => '&lt; Conn. échouées',
    'by_last_login' => 'par Dernier accès',
    'by_online' => 'par Connecté',
    'by_banned' => 'par Banni',
    'by_locked' => 'par Bloqué',
    'id' => 'Id',
    'username' => 'Nom',
    'gm_level' => 'GM',
    'email' => 'Email',
    'join_date' => 'Date d\'inscription',
    'banned' => 'Ban',
    'banned_reason' => 'Raison du ban',
    'ip' => 'IP',
    'failed_logins' => 'Conn. échouées',
    'locked' => 'Bloqué',
    'last_login' => 'Dernière connexion',
    'online' => 'En ligne',
    'del_selected_users' => 'Supprimer les utilisateurs cochés',
    'backup_selected_users' => 'Backuper l(es) utilisateur(s) Coché(s)',
    'acc_backedup' => 'Backup du/des compte(s) réussi',
    'tot_acc' => 'Nombre total de comptes',
    'user_list' => 'Comptes',
    'tot_found' => 'Total trouvé',
    'acc_ids' => 'ID des comptes',
    'back_browsing' => 'Retour à la liste des utilisateurs',
    'no_acc_deleted' => 'pas de comptes supprimés !<br />Problèmes de droits ?',
    'total' => 'Total',
    'acc_deleted' => 'Compte supprimé !',
    'char_deleted' => 'Personnage supprimé !',
    'create_new_acc' => 'Créer un nouveau compte',
    'password' => 'Mot de passe',
    'confirm' => 'Confirmer',
    'create_acc' => 'Créer un compte',
    'gm_level_long' => 'Niveau de GM',
    'last_ip' => 'Dernière IP',
    'ban_this_ip' => 'Bannir cette IP',
    'failed_logins_long' => 'Connexions échouées',
    'tot_chars' => 'Nombre total de personnages',
    'chars_on_realm' => 'Personnages dans le royaume',
    'update_data' => 'Mettre à jour',
    'del_acc' => 'Supprimer',
    'search_results' => 'Rechercher',
    'acc_creation_failed' => 'Création du compte ratée ! (champs vides)',
    'acc_created' => 'Nouveau compte créé',
    'nonidentical_passes' => 'Les mots de passe ne correspondent pas.',
    'user_already_exist' => 'Le nom d\'utilisateur est déjà pris.',
    'username_pass_too_long' => 'Le taille du nom d\'utilisateur/mot de passe doit être comprise entre 4 et 14 carcatères !',
    'use_only_eng_charset' => 'Le nom d\'utilisateur ne doit contenir que des caractères du type : [A-Z][a-z][0-9] !',
    'no_value_passed' => 'Aucune donnée saisie',
    'edit_acc' => 'Editer le compte',
    'update_failed' => 'Echec de mise à jour - Aucun champ modifié ?',
    'data_updated' => 'Mis à jour',
    'you_have_no_permission' => 'Vous n\'avez pas la permission d\'éditer ces données',
    'browse_acc' => 'Liste des comptes',
    'you_have_no_permission_to_set_gmlvl' => 'Vous n\'avez pas la permissions pour mettre ce niveau de GM',
    'expansion_account' => 'Compte Expansion',
    'client_type' => 'Type de client',
    'classic' => 'Classique',
    'tbc' => 'TBC',
    'wotlk' => 'WOTLK',
    'invited_by' => 'Invité par',
  );
  return $lang_user;
}


// ----- STAT.PHP -----
function lang_stat()
{
  $lang_stat = array
  (
    'srv_statistics' => 'Statistiques Serveur',
    'general_info' => 'Information Générale',
    'tot_accounts' => 'Total Comptes',
    'total_of' => 'Il y a un total de',
    'gms_one_for' => 'GMs, un pour chaque',
    'players' => 'Joueurs',
    'tot_chars_on_realm' => 'Total de personnages sur le royaume',
    'average_of' => 'Une moyenne de ',
    'chars_per_acc' => 'personnages par compte',
    'horde' => 'Horde',
    'alliance' => 'Alliance',
    'chars_by_race' => 'Répartition de personnage par Race',
    'chars_by_class' => 'Répartition de personnage par Classe',
    'chars_by_level' => 'Répartition de personnage par Niveau',
    'reset' => 'Réinitialiser les Filtres',
    'avg_uptime' => 'Uptime Moyen du Serveur',
    'max_uptime' => 'Uptime Maximum du Serveur',
    'uptime_prec' => ' Pourcentage d\'Uptime depuis le premier lancement',
    'unique_ip' => 'IPs Unique pour les dernières 24H',
    'on_statistics' => 'Statistiques en ligne',
    'max_players' => 'Mombre max de joueurs depuis',
    'max_ever' => 'le premier démmarrage',
    'max_restart' => 'le dernier redémmarrage',
  );
  return $lang_stat;
}


// ----- TELE.PHP -----
function lang_tele()
{
  $lang_tele = array
  (
    'add_new' => 'Ajoute nouveau',
    'add_new_tele' => 'Ajouter un nouvel emplacement de Téléport',
    'delete_tele' => 'Effacer',
    'edit_tele' => 'Editer emplacement du Teleport',
    'error_updating' => 'Erreur à la mise é jour',
    'id' => 'Id',
    'loc_id' => 'ID d\'Emplacement',
    'loc_name' => 'Nom de l\'emplacement',
    'map' => 'Map',
    'name' => 'Nom',
    'on_map' => 'Sur la carte ID',
    'orientation' => 'Orientation',
    'position_x' => 'Position X',
    'position_y' => 'Position Y',
    'position_z' => 'Position Z',
    'search_results' => 'Rechercher',
    'tele_locations' => 'Emplacements de Téléport',
    'tele_updated' => 'Emplacement mis à jour',
    'teleports' => 'Téléports',
    'tot_locations' => 'Total Téléports',
    'update_tele' => 'Mettre à jour l\'emplacement',
    'x' => 'X',
    'y' => 'Y',
    'z' => 'Z',
  );
  return $lang_tele;
}


// ----- COMMAND.PHP -----
function lang_command()
{
  $lang_command = array
  (
    'command_list' => 'Commandes disponibles',
    'level0' => 'Joueur',
    'level1' => 'Modérateur',
    'level2' => 'Maître de jeu',
    'level3' => 'Bug Tracker',
    'level4' => 'Administrator',
    'level5' => 'Opérateur système',
    'level6' => 'Inconnu',
    'command' => 'Commande',
    'syntax' => 'Syntaxe',
    'description' => 'Description',
    'change_level' => 'Changer le niveau des commandes cochées',
    'save' => 'Sauver',
  );
  return $lang_command;
}


$lang_item_edit = array(
  // ----- ITEM.PHP -----
  'search_item' => 'Recherche d\'objets',
  'model_id' => 'Modèle ID',
  'all' => 'Tout',
  'search' => 'Recherche',
  'add_new_item' => 'Ajoute nouvel Item',
  'tot_items_in_db' => 'Total Items dans la DB',
  'new_search' => 'Nouvelle recherche',
  'items_found' => 'Items trouvés',
  'item_not_found' => 'Item non trouvé dans la DB',
  'search_results' => 'Rechercher',
  'edit_item' => 'Editer Item',
  'search_items' => 'Chercher Items',
  'update' => 'Sauver l\'Item dans la DB',
  'export_sql' => 'Sauver comme Script SQL',
  'item_id' => 'Item Id',
  'err_adding_item' => 'Erreur à l\'ajout de l\'Item',
  'err_no_field_updated' => 'Aucun champ mis à jour.',
  'del_item' => 'Efface Item',
  'general_tab' => 'Général',
  'additional_tab' => 'Extra',
  'stats_tab' => 'Stats',
  'damage_tab' => 'Dommage',
  'spell_tab' => 'Sorts',
  'req_tab' => 'Req.',
  'general' => 'Général',
  'entry' => 'Entry',
  'entry_desc' => 'Identifiant unique du GO',
  'display_id' => 'Display ID',
  'display_id_desc' => 'C\'est l\'ID de modèle d\'un Item.',
  'req_level' => 'Req. Level',
  'req_level_desc' => 'Niveau de personnage requis pour apprendre ce sort.',
  'item_level' => 'Niveau d\'Item',
  'item_level_desc' => 'Niveau de base de l\'Item.',
  'names' => 'Noms',
  'item_name' => 'Nom de l\'Item',
  'item_name_desc' => 'Nom de l\'Item',
  'description' => 'Description',
  'description_desc' => 'Brève description de cet item, apparait en orange au dessous de l\'étiquette de l\'item IG.',
  'script_name' => 'ScriptName',
  'script_name_desc' => 'Nom du script que la créature utilise.',
  'class' => 'Classe',
  'class_desc' => 'Classe de créature, comme le champ character.class. Utilisé lorsque le npcflag inclus le flag d\'entraineur(16) et que trainer_type == TRAINER_TYPE_CLASS ou TRAINER_TYPE_PETS.',
  'type' => 'Type',
  'subclass' => 'Sous classe',
  'subclass_desc' => 'Défini la sous classe d\'un item. Note : La sous classe est liée à la classe d\'un item. Certaines classes ne possédant pas de sous classes.',
  'quality' => 'Qualité',
  'quality_desc' => 'La qualité d\'un item.',
  'inv_type' => 'Type d\'Inventaire',
  'inv_type_desc' => 'Ou cet item peut être porté.',
  'flags' => 'Flags',
  'flags_desc' => 'A FAIRE : Ajouter une meilleur description',
  'item_set' => 'Item de Set',
  'item_set_desc' => 'L\'ID d\'un item de Set auquel il apparatient.',
  'bonding' => 'Liaison',
  'bonding_desc' => 'Type de Liaison de l\'Item.',
  'start_quest' => 'Quest Start',
  'start_quest_desc' => 'ID d\'une quête que cet item démarre.',
  'short_rules_desc' => '* En déplaçant la souris sur le nom montrera la brève description.<br />* Assurez vous d\'avoir correctement rempli tous les champs et n\'essayez pas d\'insérer un nouvel item utilisant une Entrée existante.',
  'vendor' => 'Vendeur',
  'buy_count' => 'BuyCount',
  'buy_count_desc' => 'Taille de la pile dans lequel l\'item peut être vendu.',
  'buy_price' => 'BuyPrice',
  'buy_price_desc' => 'Prix (en cuivre) de la pile de #BuyCount.',
  'sell_price' => 'SellPrice',
  'sell_price_desc' => 'Le prix qu\'un vendeur achètera pour l\'item du joueur. Si omis, L\'item sera donné grâcieusement.',
  'container' => 'Conteneur',
  'bag_family' => 'BagFamily',
  'bag_family_desc' => 'Type de Conteneur.',
  'bag_slots' => 'Container Slots',
  'bag_slots_desc' => 'Nombre d\'emplacement que ce sac comporte.',
  'materials' => 'Matériaux',
  'material' => 'Matériau',
  'material_desc' => 'De quoi est constitué l\'item. Affecte le son que l\'objet fait lorsqu\'il est déplacé.',
  'consumables' => 'Consommables',
  'none' => 'Aucun',
  'metal' => 'Métal',
  'wood' => 'Bois',
  'liquid' => 'Liquide',
  'jewelry' => 'Joaillerie',
  'chain' => 'Maille',
  'plate' => 'Plaque',
  'cloth' => 'Tissus',
  'leather' => 'Cuir',
  'page_material' => 'Page Material',
  'page_material_desc' => 'L\'arrière plan de la fenêtre d\'une page (et sa police également).',
  'parchment' => 'Parchemin',
  'stone' => 'Pierre',
  'marble' => 'Marbre',
  'silver' => 'Argent',
  'bronze' => 'Bronze',
  'max_durability' => 'Durabilité Max',
  'max_durability_desc' => 'Durabilité d\'un item.',
  'other' => 'Autre',
  'max_count' => 'Qté Maxi',
  'max_count_desc' => 'Qté Maxi de drop.',
  'stackable' => 'Empilable',
  'stackable_desc' => 'Quantité d\'item qu\'un joueur peut transporter dans le même emplacement.',
  'page_text' => 'PageText',
  'page_text_desc' => 'ID d\'un TEXT de la table item_text, texte pour un livre ou une lettre par exemple. L\'item aura un curseur en forme de loupe et dévoilera son contenu en faisant un clique droit dessus.',
  'RandomProperty' => 'Random Property',
  'RandomProperty_desc' => 'Entrée d\'Enchantement aléatoire.',
  'lang_id' => 'Language ID',
  'lang_id_desc' => 'Langue pour lequel cet item est écrit.',
  'sheath' => 'Sheath',
  'sheath_desc' => 'Ou est porté l\'item (coté, sur le dos, etc...).',
  'lock_id' => 'Lock Id',
  'lock_id_desc' => 'A faire : Ajouter description.',
  'disenchant_id' => 'Disenchant ID',
  'disenchant_id_desc' => 'Se réfère à la table disenchant_loot_template.entry.',
  'area' => 'Area',
  'area_desc' => 'ID de zone dans laquelle l\'item est utilisable',
  'map' => 'Map',
  'map_desc' => 'ID de carte seulement dans lequel l\'item est utilisable',
  'stats' => 'Stats',
  'stat_type' => 'Type de Stat',
  'stat_type_desc' => 'Stat de personnage qui sera changée si l\'item est porté.',
  'stat_value' => 'Valeur de Stat',
  'stat_value_desc' => 'Cette valeur sera ajoutée aux stats (ou retirée si négative).',
  'resis_armor' => 'Résistance / Armure',
  'armor_desc' => 'Armure de la créature.',
  'block_desc' => 'Chance du bouclier de bloquer une attaque.',
  'res_holy_desc' => 'Résistance Sacré pour cet item.',
  'res_fire_desc' => 'Résistance au Feu pour cet item.',
  'res_nature_desc' => 'Résistance à la Nature pour cet item.',
  'res_frost_desc' => 'Résistance au Gel pour cet item.',
  'res_shadow_desc' => 'Résistance à l\'Ombre pour cet item.',
  'res_arcane_desc' => 'Résistance aux Arcanes pour cet item.',
  'weapon_properties' => 'Propriétés d\'Armes',
  'delay' => 'Délai',
  'delay_desc' => 'Temps en ms entre les coups.',
  'ranged_mod' => 'Ranged Mod',
  'ranged_mod_desc' => 'A FAIRE : Ajouter description.',
  'ammo_type' => 'Ammo Type',
  'ammo_type_desc' => 'Le type de munition que cet arme requiert.',
  'weapon_damage' => 'Dommages de l\'arme',
  'damage_type' => 'Type de Dommage',
  'damage_type_desc' => 'Type de dommage que cet item fera.',
  'dmg_min_max' => 'Dommage : Min - Max',
  'dmg_min_max_desc' => 'Valeurs de dommage min. et max.',
  'spell_id' => 'ID de Sort',
  'spell_id_desc' => 'Se réfère à l\'index du Spell.dbc.',
  'spell_trigger' => 'Spell trigger',
  'spell_trigger_desc' => 'L\'action déclenche ce sort.',
  'spell_charges' => 'Spell Charges',
  'spell_charges_desc' => 'Nbr de charges de ce sort.(0: infini, -X: l\'item est épuisable, +X: l\'item est gardé quand toutes les charges sont dépensées).',
  'spell_cooldown' => 'Spell Cooldown',
  'spell_cooldown_desc' => 'Temps de dissipation en ms.',
  'spell_category' => 'Spell Category',
  'spell_category_desc' => 'Catégorie de Sort.',
  'spell_category_cooldown' => 'Spell Category Cooldown',
  'spell_category_cooldown_desc' => 'Dissipation globale pour cette catégorie entière.',
  'allow_class' => 'Allowable Class',
  'allow_class_desc' => 'Masque pour les classes de personnages qui peuvent utiliser cet item.',
  'allow_race' => 'Allowable Race',
  'allow_race_desc' => 'Masque pour les races qui peuvent utiliser cet item.',
  'req_skill' => 'Req. Skill',
  'req_skill_desc' => 'ID d\'Aptitude requis pour apprendre ce sort.',
  'req_skill_rank' => 'Required Skill Rank',
  'req_skill_rank_desc' => 'Rang minimum d\'aptitude pour utiliser cet item.',
  'req_spell' => 'Required Spell',
  'req_spell_desc' => 'Le joueur doit connaitre ce sort pour utiliser cet item.',
  'req_honor_rank' => 'Required Honor Rank',
  'req_honor_rank_desc' => 'Rang d\'honneur PvP requis pour utiliser cet item.',
  'req_rep_faction' => 'Required Reputation Faction',
  'req_rep_faction_desc' => 'ID de Faction (Faction.dbc) pour lequel un rang minimum est requis pour équiper / utiliser l\'item.',
  'req_rep_rank' => 'Required Reputation Rank',
  'req_rep_rank_desc' => 'Minimum required rank for the faction entered in RequiredReputationFaction.',
  'req_city_rank' => 'Required City Rank',
  'req_city_rank_desc' => 'Rang requis dans la ville.',
  'hated' => 'Haîs',
  'hostile' => 'Hostile',
  'unfriendly' => 'Inamical',
  'neutral' => 'Neutre',
  'friendly' => 'Amical',
  'honored' => 'Honoré',
  'reverted' => 'Révéré',
  'exalted' => 'Exalté',
  'sock_tab' => 'Sertissage',
  'req_skill_disenchant' => 'Req. Disenchant Skill',
  'req_skill_disenchant_desc' => 'Aptitude de désenchantement requise pour désenchanter cet item.',
  'RandomSuffix' => 'Random Suffix',
  'RandomSuffix_desc' => 'Entrée de suffixe d\'Enchantement aléatoire.',
  'unk0' => 'unk0',
  'unk0_desc' => 'TODO:',
  'totem_category' => 'Totem Type',
  'totem_category_desc' => 'Type de Totem',
  'socket_color' => 'Socket Color',
  'socket_color_desc' => 'Couleur de cet enchassement.',
  'socket_content' => 'Socket Content',
  'socket_content_desc' => 'Gemme enchassée dans cet emplacement',
  'socket_bonus' => 'Socket Bonus',
  'socket_bonus_desc' => 'Bonus d\'enchassement.',
  'gem_properties' => 'Gem Poperties',
  'gem_properties_desc' => 'Propriété de gemme',
  'custom_search' => 'Filtre personnalisé',
  'info' => 'Info.',
  'dropped_by' => 'Item laché par',
  'top_x' => '(top 5)',
  'sold_by' => 'Item vendu par',
  'limit_x' => '(limité à 5 resultats)',
  'mob_name' => 'Nom',
  'mob_level' => 'Niveau',
  'mob_drop_chance' => 'Chance de Drop',
  'mob_quest_drop_chance' => 'Chance de Drop par Quête',
  'involved_in_quests' => 'Impliqué dans Quête(s)',
  'reward_from_quest' => 'Récompense de Quête(s)',
  'disenchant_tab' => 'Désenchantement',
  'disenchant_templ' => 'Modèle de désenchantement',
  'add_items_to_templ' => 'Ajouter les items au modèle',
  'loot_item_id' => 'Loot template ID',
  'loot_item_id_desc' => 'ID de l\'item que vous souhaitez ajouter.',
  'loot_drop_chance' => 'Drop Chance',
  'loot_drop_chance_desc' => 'Chance de Drop de l\'Item',
  'loot_quest_drop_chance' => 'Quest Drop Chance',
  'loot_quest_drop_chance_desc' => 'Chance de Drop par Quête',
  'min_count' => 'Min. Count',
  'min_count_desc' => 'Qté Mini de drop.',
  'max_count' => 'Max. Count',
  'max_count_desc' => 'Qté Maxi de drop.',
  'add_item_to_loot' => 'Ajoute l\'item au modèle de Loot',
  'drop_chance' => 'Chance de Drop',
  'quest_drop_chance' => 'Chance de Drop de Quête',
  'armor_dmg_mod' => 'Armor Damage Modifier',
  'armor_dmg_mod_desc' => 'TODO:',
  'ppm_rate' => 'ppmRate',
  'ppm_rate_desc' => 'Nombre de proc par minute',
  'item_spell' => 'Sort d\'Item',
  'freeforall' => 'Free for all',
  'freeforall_desc' => 'Flag de loot \'Chacun pour Soi\'.',
  'lootcondition' => 'Loot condition',
  'lootcondition_desc' => 'Flag de conditon de Loot',
  'condition_value1' => 'Condition Valeur 1',
  'condition_value1_desc' => 'Flag Condition Valeur 1',
  'condition_value2' => 'Condition Valeur 2',
  'condition_value2_desc' => 'Flag Condition Valeur 2'
  );

$lang_creature = array(
  // ----- CREATURE.PHP -----
  'none' => 'Aucun',
  'custom' => 'Personnalisé',
  'gossip' => 'Rumeur',
  'quest_giver' => 'Donneur de quête',
  'vendor' => 'Vendeur',
  'taxi' => 'Taxi',
  'trainer' => 'Entraîneur',
  'spirit_healer' => 'Soigneur d\'Esprit',
  'guard' => 'Garde',
  'inn_keeper' => 'Aubergiste',
  'banker' => 'Banquier',
  'retitioner' => 'Gérant de Pétition',
  'tabard_vendor' => 'Vendeur de tabard',
  'battlemaster' => 'Maître de Bataille',
  'auctioneer' => 'Comissaire Priseur',
  'stable_master' => 'Maître des Ecuries',
  'armorer' => 'Armurier',
  'normal' => 'Normal',
  'elite' => 'Elite',
  'rare_elite' => 'Elite Rare',
  'world_boss' => 'World Boss (WB)',
  'rare' => 'Rare',
  'search_template' => 'Cherche Modèle de Game Object',
  'select' => 'Choisir',
  'other' => 'Autre',
  'beast' => 'Bête',
  'dragonkin' => 'Dragon',
  'demon' => 'Démon',
  'elemental' => 'Elémentaire',
  'giant' => 'Géant',
  'undead' => 'Mort-vivant',
  'humanoid' => 'Humanoïde',
  'critter' => 'Bestiole',
  'mechanical' => 'Mécanique',
  'not_specified' => 'Non spécifié',
  'class' => 'Classe',
  'mounts' => 'Montes',
  'trade_skill' => 'Aptitude de vente',
  'pets' => 'Familier',
  'wolf' => 'Loup',
  'cat' => 'Chat',
  'spider' => 'Araignée',
  'bear' => 'Ours',
  'boar' => 'Sanglier',
  'crocolisk' => 'Crocodile',
  'carrion_bird' => 'Charognard',
  'crab' => 'Crabe',
  'gorilla' => 'Gorille',
  'raptor' => 'Rapace',
  'tallstrider' => 'Grand marcheur',
  'felhunter' => 'Chasseur corrompu',
  'voidwalker' => 'Marcheur du vide',
  'succubus' => 'Succube',
  'doomguard' => 'Garde funeste',
  'scorpid' => 'Scorpion',
  'turtle' => 'Tortue',
  'scorpid' => 'Scorpion',
  'imp' => 'Diablotin',
  'bat' => 'Chauve Souris',
  'hyena' => 'Hyène',
  'owl' => 'Chouette',
  'wind_serpent' => 'Serpent des airs',
  'search' => 'Recherche',
  'new_search' => 'Nouvelle recherche',
  'add_new' => 'Ajoute nouveau',
  'tot_creature_templ' => 'Total Modèles de Créatures',
  'tot_found' => 'Total trouvé',
  'general' => 'Général',
  'stats' => 'Stats',
  'models' => 'Modèle',
  'additional' => 'Supplémentaire',
  'entry' => 'Entry',
  'entry_desc' => 'Identifiant unique du GO',
  'name' => 'Nom',
  'name_desc' => 'Nom de l\'objet.',
  'faction' => 'Faction',
  'sub_name' => 'SubName',
  'sub_name_desc' => 'Sous nom de la créature.',
  'script_name' => 'ScriptName',
  'script_name_desc' => 'Nom du script que la créature utilise.',
  'basic_status' => 'Status basique',
  'level' => 'Niveau',
  'min_level' => 'Min. Level',
  'min_level_desc' => 'Niveau minimum de la créature. La créature spawnée dispose du niveau de minlevel à maxlevel.',
  'max_level' => 'Max. Level',
  'max_level_desc' => 'Niveau maximum de la créature. La créature spawnée dispose du niveau de minlevel à maxlevel.',
  'rank' => 'Rank',
  'rank_desc' => 'Rang d\honneur de la créature.',
  'health' => 'Santé',
  'min_health' => 'Min Health',
  'min_health_desc' => 'Points de vie min. de la créature. La créture spawnée dispose de PV en fonction de minlevel - maxlevel.',
  'max_health' => 'Max Health',
  'max_health_desc' => 'Points de vie max. de la créature. La créature spawnée dispose de PV en fonction de minlevel - maxlevel.',
  'min_mana' => 'Min Mana',
  'min_mana_desc' => 'Points de mana min. de la créature. La créature spawnée dispose de PM en fonction de minlevel - maxlevel.',
  'max_mana' => 'Max Mana',
  'max_mana_desc' => 'Points de mana max. de la créature. La créature spawnée dispose de PM en fonction de minlevel - maxlevel.',
  'family' => 'Family',
  'family_desc' => 'Type de famille de la créature.',
  'type' => 'Type',
  'type_desc' => 'Type de Game Object',
  'npc_flag' => 'NPC Flag',
  'npc_flag_desc' => 'Quel type de NPC(vendeur, commissaire priseur...).',
  'trainer_type' => 'Trainer Type',
  'trainer_type_desc' => 'Si le NPC flag est paramètré sur Entraïneur, ce flag détermine son type.',
  'loot' => 'Loot',
  'loot_id' => 'Loot Id',
  'loot_id_desc' => 'Se réfère au champ loot_template.entry.',
  'skin_loot' => 'Skin Loot',
  'skin_loot_desc' => 'Type de loot si la créature est dépecée.',
  'pickpocket_loot' => 'Pickpocket Loot',
  'pickpocket_loot_desc' => 'Se réfère au champ pickpocketing_loot_template.entry.',
  'min_gold' => 'Min Gold',
  'min_gold_desc' => 'Drop mini d\'or.',
  'max_gold' => 'Max Gold',
  'max_gold_desc' => 'Drop Max d\'or. 0 = Créature ne drop pas d\'or.',
  'basic_status' => 'Status basique',
  'armor' => 'Armor',
  'armor_desc' => 'Armure de la créature.',
  'speed' => 'Speed',
  'speed_desc' => 'Vitesse de la créature. Nbr à virgule pour la plage 0<<3.',
  'size' => 'Size',
  'size_desc' => 'La taille de l\'Objet doit être paramétrée car le modèle graphique peut être rééchantillonné.',
  'damage' => 'Dommage',
  'min_damage' => 'Min Damage',
  'min_damage_desc' => 'Dommage mini de la créature en corps à corps.',
  'max_damage' => 'Max Damage',
  'max_damage_desc' => 'Dommage maxi de la créature en corps à corps.',
  'attack_power' => 'Attack Power',
  'attack_power_desc' => 'Puissance d\'attaque au corps à corps de la créature.',
  'min_range_dmg' => 'Min Ranged Damage',
  'min_range_dmg_desc' => 'Dommage mini à distance.',
  'max_range_dmg' => 'Max Ranged Damage',
  'max_range_dmg_desc' => 'Dommage maxi à distance.',
  'ranged_attack_power' => 'Ranged Attack Power',
  'ranged_attack_power_desc' => 'Puissance d\'attaque à distance.',
  'attack_time' => 'Attack Time',
  'attack_time_desc' => 'Temps entre chaque attaque de mélée (ms).',
  'range_attack_time' => 'Range Attack Time',
  'range_attack_time_desc' => 'Temps entre chaque attaque à distance (ms).',
  'combat_reach' => 'Combat Reach',
  'combat_reach_desc' => 'La distance d\'ou la créature peut toucher.',
  'bounding_radius' => 'Bounding Radius',
  'bounding_radius_desc' => 'Rayon à partir duquel un joueur peut être attaqué.',
  'spells' => 'Sorts',
  'spell' => 'Spell',
  'spell_desc' => 'Sort de créature.',
  'resistances' => 'Résistances',
  'resis_holy' => 'Holy Resitance',
  'resis_holy_desc' => 'Résitance au Sacré.',
  'resis_fire' => 'Fire Resitance',
  'resis_fire_desc' => 'Résistance au Feu.',
  'resis_nature' => 'Nature Resitance',
  'resis_nature_desc' => 'Résistance à la Nature.',
  'resis_frost' => 'Frost Resitance',
  'resis_frost_desc' => 'Résistance au Gel.',
  'resis_shadow' => 'Shadow Resitance',
  'resis_shadow_desc' => 'Résitance à l\'Ombre.',
  'resis_arcane' => 'Arcane Resitance',
  'resis_arcane_desc' => 'Résitance aux arcanes.',
  'models' => 'Modèle',
  'scripts' => 'Scripts',
  'ai_name' => 'AIName',
  'ai_name_desc' => 'Nom du script d\'AI que la créature utilise.',
  'movement_type' => 'MovementType',
  'movement_type_desc' => 'A FAIRE.',
  'class' => 'Classe',
  'class_desc' => 'Classe de créature, comme le champ character.class. Utilisé lorsque le npcflag inclus le flag d\'entraineur(16) et que trainer_type == TRAINER_TYPE_CLASS ou TRAINER_TYPE_PETS.',
  'race' => 'Race',
  'race_desc' => 'Race de la créature, comme le champ character.race. Utilisé lorsque le npcflag inclus le flag d\'entraineur(16) et que trainer_type == TRAINER_TYPE_MOUNTS.',
  'trainer_spell' => 'Trainer Spell',
  'trainer_spell_desc' => 'ID de Sort. Utilisé lorsque le npcflag inclus le flag d\'entraineur(16) et que trainer_type == TRAINER_TYPE_TRADESKILLS. Le joueur doit connaître trainer_spell pour démarrer l\'Entraïnement.',
  'inhabit_type' => 'Inhabit Type',
  'inhabit_type_desc' => 'Type de Mouvement.<br />0 - non utilisé<br />1 - peut marcher (ou voler au dessus du sol)<br />2 - peut nager (ou voler au dessus de l\'eau)<br />3 (= 1 | 2) - peut marcher et nager (et voler)',
  'walk' => 'Marche',
  'swim' => 'Nage',
  'both' => 'Les deux',
  'flags_extra' => 'Flags Extra',
  'flags_extra_desc' => 'TODO:',
  'flags' => 'Flags',
  'flags_desc' => 'A FAIRE :',
  'dynamic_flags' => 'Flags Dynamic',
  'dynamic_flags_desc' => 'A FAIRE :',
  'flag_1' => 'Flag 1',
  'flag_1_desc' => 'A FAIRE :',
  'save_to_db' => 'Sauver vers DB',
  'save_to_script' => 'Sauver vers Script',
  'lookup_creature' => 'Chercher créature',
  'quests' => 'Quêtes',
  'vendor' => 'Vendeur',
  'trainer' => 'Entraïneur',
  'creature_swapned' => 'Cette créature a été spawnée ',
  'times' => 'fois',
  'del_creature' => 'Efface créature',
  'del_spawns' => 'Efface Spawns',
  'loot_tmpl_id' => 'Modèle de Loot',
  'drop_chance' => 'Chance de Drop',
  'quest_drop_chance' => 'Chance de Drop de Quête',
  'start_quests' => 'Débute des Quêtes',
  'ends_quests' => 'Termine des Quêtes',
  'sells' => 'Vend',
  'unlimited' => 'Illimité',
  'count' => 'Compte',
  'trains' => 'Entraine',
  'spell_id' => 'ID de Sort',
  'cost' => 'Coût',
  'req_skill' => 'Req. Skill',
  'req_skill_lvl' => 'Niveau d\'Aptitude requis',
  'req_level' => 'Req. Level',
  'creature_template' => 'ID de Modèle de Créature',
  'all_related_data' => 'Avec toutes les données relatives.',
  'add_new_mob_templ' => 'Ajoute nouveau modèle de créature',
  'add_new_success' => 'Creature Successfully Added',
  'edit_mob_templ' => 'Edite modèle de créature',
  'err_adding_new' => 'Erreur à l\'ajout d\'un nouveau modèle de Game Object',
  'err_no_fields_updated' => 'Erreur : Aucun champ mis à jour',
  'search_creatures' => 'Chercher Créatures',
  'custom_search' => 'Filtre personnalisé',
  'pickpocketloot_tmpl_id' => 'ID de modèle de Loot de Pickpocket',
  'skinning_loot_tmpl_id' => 'ID de modèle de Loot de Dépeçage',
  'add_items_to_templ' => 'Ajouter les items au modèle',
  'loot_item_id' => 'Loot template ID',
  'loot_item_id_desc' => 'ID de l\'item que vous souhaitez ajouter.',
  'loot_drop_chance' => 'Drop Chance',
  'loot_drop_chance_desc' => 'Chance de Drop de l\'Item',
  'loot_quest_drop_chance' => 'Quest Drop Chance',
  'loot_quest_drop_chance_desc' => 'Chance de Drop par Quête',
  'min_count' => 'Min. Count',
  'min_count_desc' => 'Qté Mini de drop.',
  'max_count' => 'Max. Count',
  'max_count_desc' => 'Qté Maxi de drop.',
  'add_item_to_loot' => 'Ajoute l\'item au modèle de Loot',
  'drop_chance' => 'Chance de Drop',
  'add_ends_quests' => 'Ajoute une Quête termine par ce GO',
  'add_starts_quests' => 'Ajoute une quête démarrée par ce GO',
  'quest_id' => 'Quest ID',
  'quest_id_desc' => 'ID de la quête.',
  'add_items_to_vendor' => 'Ajoute item au vendeur',
  'vendor_item_id' => 'Item Id',
  'vendor_item_id_desc' => 'ID de l\'item que vous souhaitez ajouter.',
  'vendor_max_count' => 'Max. Count',
  'vendor_max_count_desc' => 'Qté max. d\'objets vendus.',
  'vendor_incrtime' => 'Increase Time',
  'vendor_incrtime_desc' => 'Temps avant que cet objet ne soit vendu à nouveau.',
  'vendor_extended_cost' => 'Coût étendu',
  'vendor_extended_cost_desc' => 'Points d\'honneur requis pour acheter',
  'train_spell_id' => 'Spell Id',
  'train_spell_id_desc' => 'ID du sort que cet entraïneur doit apprendre.',
  'add_spell_to_trainer' => 'Ajoute le Sort à l\'Entraineur',
  'train_cost' => 'Cost',
  'train_cost_desc' => 'Cout en cuivre de cette aptitude.',
  'req_skill' => 'Req. Skill',
  'req_skill_desc' => 'ID d\'Aptitude requis pour apprendre ce sort.',
  'req_skill_value' => 'Req. Skill Value',
  'req_skill_value_desc' => 'Niveau d\'Aptitude requis pour apprendre ce sort.',
  'req_level' => 'Req. Level',
  'req_level_desc' => 'Niveau de personnage requis pour apprendre ce sort.',
  'check_to_delete' => '* Cocher la case à coté de l\'item pour l\'enlever du modèle.',
  'search_results' => 'Rechercher',
  'RacialLeader' => 'Leader Racial',
  'RacialLeader_desc' => 'Mettre à 1 si la creature est un Leader Racial',
  'dmgschool' => 'Damage School',
  'dmgschool_desc' => 'Le type de dommage qui sera utilisé par ce mob',
  'freeforall' => 'Free for all',
  'freeforall_desc' => 'Flag de loot \'Chacun pour Soi\'.',
  'lootcondition' => 'Loot condition',
  'lootcondition_desc' => 'Flag de conditon de Loot',
  'condition_value1' => 'Condition Valeur 1',
  'condition_value1_desc' => 'Flag Condition Valeur 1',
  'condition_value2' => 'Condition Valeur 2',
  'condition_value2_desc' => 'Flag Condition Valeur 2',
  'modelid_A' => 'ID Modèle Allié',
  'modelid_A_desc' => 'ID Modèle Allié',
  'modelid_A2' => 'ID Modèle Allié 2',
  'modelid_A2_desc' => 'ID Modèle Allié 2',
  'modelid_H' => 'ID Modèle Horde',
  'modelid_H_desc' => 'ID Modèle Horde',
  'modelid_H2' => 'ID Modèle Horde 2',
  'modelid_H2_desc' => 'ID Modèle Horde 2',
  'faction_A' => 'Faction',
  'faction_A_desc' => 'Faction de la créature.',
  'faction_H' => 'Faction (Horde)',
  'faction_H_desc' => 'La faction si la créature est coté Horde.',
  'RegenHealth' => 'Regenère Santé',
  'equipment' => 'Equipement',
  'equip_slot' => 'Equip Slot',
  'equip_slot1_desc' => 'Offset vers l\'emplacement utilisé',
  'equip_slot2_desc' => 'Offset vers l\'emplacement utilisé',
  'equip_slot3_desc' => 'Offset vers l\'emplacement utilisé',
  'equip_model' => 'Equip Model',
  'equip_model1_desc' => 'Le modèle d\'équipement utilisé en main droite.',
  'equip_model2_desc' => 'Le modéle d\'équipement utilisé en main droite.',
  'equip_model3_desc' => 'Le modèle d\'équipement utilisé à distance.',
  'equip_info' => 'Equip Info',
  'equip_info1_desc' => 'Ce champ contrôle aussi bien l\'animation, la manière de toucher que le bruit que l\'item fait.',
  'equip_info2_desc' => 'Ce champ contrôle aussi bien l\'animation, la manière de toucher que le bruit que l\'item fait.',
  'equip_info3_desc' => 'Ce champ contrôle aussi bien l\'animation, la manière de toucher que le bruit que l\'item fait.',
  'heroic' => 'Heroic Spawn ID',
  'heroic_desc' => 'A heroic id is used when a creature has a different template for instances in normal and heroic mode. The one with the heroic_entry is the one used in the normal mode. A zero values means, this template is used for normal and heroic mode, or only heroic mode, if another creature point with its heroic_entry to this creature.',
  'locales' => 'Localisation',
  'unit_flags' => 'Unit flags',
  );

$lang_game_object = array(
  // ----- GAME_OBJECT.PHP -----
  'unknown' => 'Inconnu',
  'custom_search' => 'Filtre personnalisé',
  'search' => 'Recherche',
  'add_new' => 'Ajoute nouveau',
  'tot_go_templ' => 'Total de Modèle de Game Object',
  'search_template' => 'Cherche Modèle de Game Object',
  'select' => 'Choisir',
  'new_search' => 'Nouvelle recherche',
  'tot_found' => 'Total trouvé',
  'add_new_go_templ' => 'Ajout de nouveau modèle de Game Object',
  'edit_go_templ' => 'Edite modèle de Game Object',
  'err_adding_new' => 'Erreur à l\'ajout d\'un nouveau modèle de Game Object',
  'err_no_fields_updated' => 'Erreur : Aucun champ mis à jour',
  'search_go' => 'Cherche Game Objects',
  'general' => 'Général',
  'save_to_db' => 'Sauver vers DB',
  'save_to_script' => 'Sauver vers Script',
  'lookup_go' => 'Chercher GO',
  'DOOR' => 'DOOR',
  'BUTTON' => 'BUTTON',
  'QUESTGIVER' => 'QUESTGIVER',
  'CHEST' => 'CHEST',
  'BINDER' => 'BINDER',
  'GENERIC' => 'GENERIC',
  'TRAP' => 'TRAP',
  'CHAIR' => 'CHAIR',
  'SPELL_FOCUS' => 'SPELL_FOCUS',
  'TEXT' => 'TEXT',
  'GOOBER' => 'GOOBER',
  'TRANSPORT' => 'TRANSPORT',
  'AREADAMAGE' => 'AREADAMAGE',
  'CAMERA' => 'CAMERA',
  'MAP_OBJECT' => 'MAP_OBJECT',
  'MO_TRANSPORT' => 'MO_TRANSPORT',
  'DUEL_FLAG' => 'DUEL_FLAG',
  'FISHING_BOBBER' => 'FISHING_BOBBER',
  'RITUAL' => 'RITUAL',
  'MAILBOX' => 'MAILBOX',
  'AUCTIONHOUSE' => 'AUCTIONHOUSE',
  'GUARDPOST' => 'GUARDPOST',
  'SPELLCASTER' => 'SPELLCASTER',
  'MEETING_STONE' => 'MEETING_STONE',
  'BG_Flag' => 'BG_Flag',
  'FISHING_HOLE' => 'FISHING_HOLE',
  'FLAGDROP' => 'FLAGDROP',
  'CUSTOM_TELEPORTER' => 'CUSTOM_TELEPORTER',
  'LOTTERY_KIOSK' => 'LOTTERY_KIOSK',
  'CAPTURE_POINT' => 'CAPTURE_POINT',
  'AURA_GENERATOR' => 'AURA_GENERATOR',
  'DUNGEON_DIFFICULTY' => 'DUNGEON_DIFFICULTY',
  'general' => 'Général',
  'name' => 'Nom',
  'name_desc' => 'Nom de l\'objet.',
  'entry' => 'Entry',
  'entry_desc' => 'Identifiant unique du GO',
  'displayId' => 'Display Id',
  'displayId_desc' => 'ID de Modèle graphique envoyé au client.',
  'faction' => 'Faction',
  'faction_desc' => 'Faction de l\'Objet, si besoin.',
  'flags' => 'Flags',
  'flags_desc' => 'A FAIRE :',
  'type' => 'Type',
  'type_desc' => 'Type de Game Object',
  'script_name' => 'ScriptName',
  'ScriptName_desc' => 'Nom du Script que le GO utilise.',
  'size' => 'Size',
  'size_desc' => 'La taille de l\'Objet doit être paramétrée car le modèle graphique peut être rééchantillonné.',
  'tmpl_not_found' => 'Modèle non trouvé',
  'del_go' => 'Efface GO',
  'del_spawns' => 'Efface Spawns',
  'loot' => 'Loot',
  'quests' => 'Quêtes',
  'loot_tmpl_id' => 'Modèle de Loot',
  'drop_chance' => 'Chance de Drop',
  'quest_drop_chance' => 'Chance de Drop de Quête',
  'add_items_to_templ' => 'Ajouter les items au modèle',
  'loot_item_id' => 'Loot template ID',
  'loot_item_id_desc' => 'ID de l\'item que vous souhaitez ajouter.',
  'loot_drop_chance' => 'Drop Chance',
  'loot_drop_chance_desc' => 'Chance de Drop de l\'Item',
  'loot_quest_drop_chance' => 'Quest Drop Chance',
  'loot_quest_drop_chance_desc' => 'Chance de Drop par Quête',
  'min_count' => 'Min. Count',
  'min_count_desc' => 'Qté Mini de drop.',
  'max_count' => 'Max. Count',
  'max_count_desc' => 'Qté Maxi de drop.',
  'check_to_delete' => '* Cocher la case à coté de l\'item pour l\'enlever du modèle.',
  'add_starts_quests' => 'Ajoute une quête démarre par ce GO',
  'quest_id' => 'Quest ID',
  'quest_id_desc' => 'ID de la quête.',
  'start_quests' => 'Débute des Quêtes',
  'ends_quests' => 'Termine des Quêtes',
  'add_ends_quests' => 'Ajoute une Quête termine par ce GO',
  'go_swapned' => 'Ce GO a été spawné un total de',
  'times' => 'fois',
  'go_template' => 'Modèle de Game Object',
  'all_related_data' => 'Avec toutes les données relatives.',
  'freeforall' => 'Free for all',
  'freeforall_desc' => 'Flag de loot \'Chacun pour Soi\'.',
  'lootcondition' => 'Loot condition',
  'lootcondition_desc' => 'Flag de conditon de Loot',
  'condition_value1' => 'Condition Valeur 1',
  'condition_value1_desc' => 'Flag Condition Valeur 1',
  'condition_value2' => 'Condition Valeur 2',
  'condition_value2_desc' => 'Flag Condition Valeur 2',
  'datas' => 'Données complémentaires',
  'data' => 'Donnée',
  'data_desc' => 'Champs spécifiques pour des valeurs de champs de type différent. Chaque type a un champ unique.<br />Pour plus d\'infos, visitez https://svn.mangosproject.org/trac /MaNGOS/wiki/Database /gameobject_template'
  );


// ----- AHSTATS.PHP -----
function lang_auctionhouse()
{
  $lang_auctionhouse = array
  (
    'auctionhouse' => 'Hôtel des ventes',
    'seller' => 'Vendeur',
    'item' => 'Item',
    'buyoutprice' => 'Prix de Rachat',
    'timeleft' => 'Temps restant',
    'buyer' => 'Acheteur',
    'lastbid' => 'Dernière Enchère',
    'firstbid' => 'Première Enchère',
    'dayshortcut' => 'J',
    'hourshortcut' => 'H',
    'mnshortcut' => 'mn',
    'total_auctions' => 'Total Enchères',
    'search_results' => 'Rechercher',
    'auction_over' => 'Enchère terminée',
    'all' => 'Tout',
    'item_id' => 'Item Id',
    'item_name' => 'Nom de l\'Item',
    'seller_name' => 'Nom du vendeur',
    'buyer_name' => 'Nom de l\'acheteur',
  );
  return $lang_auctionhouse;
}


$lang_id_tab = array(
  // ----- ID_TAB.PHP -----
  //---RACE---
  'human' => 'Humain',
  'orc' => 'Orc',
  'dwarf' => 'Nain',
  'nightelf' => 'Elfe de la nuit',
  'undead' => 'Mort-vivant',
  'tauren' => 'Tauren',
  'gnome' => 'Gnome',
  'troll' => 'Troll',
  'bloodelf' => 'Elfe de Sang',
  'draenei' => 'Draeneï',
  //---Class---
  'warrior' => 'Guerrier',
  'paladin' => 'Paladin',
  'hunter' => 'Chasseur',
  'rogue' => 'Voleur',
  'priest' => 'Prêtre',
  'death_knight' => 'Chevalier de la Mort',
  'shaman' => 'Shaman',
  'mage' => 'Mage',
  'warlock' => 'Démoniste',
  'druid' => 'Druide',
  // ------ user levels ------
  'Player' => 'Joueur',
  'Moderator' => 'Moderateur',
  'Game_Master' => 'GM',
  'BugTracker' => 'Traqueur de Bugs',
  'Administrator' => 'Administrateur',
  'SysOP' => 'Opérateur Système',
  // ------ factions ------
  'Alliance' => 'Alliance',
  'Horde' => 'Horde',
  // ------ char rankings ------
  'None' => 'Aucun',
  'Private' => 'Soldat',
  'Corporal' => 'Caporal',
  'Sergeant' => 'Sergent',
  'Master_Sergeant' => 'Sergent-Chef',
  'Sergeant_Major' => 'Sergent-Major',
  'Knight' => 'Chevalier',
  'Knight-Lieutenant' => 'Chevalier-Lieutenant',
  'Knight-Captain' => 'Chevalier-Capitaine',
  'Knight-Champion' => 'Chevaliert-Champion',
  'Lieutenant_Commander' => 'Lieutenant Commandant',
  'Commander' => 'Commandant',
  'Marshal' => 'Maréchal',
  'Field_Marshal' => 'Grand Maréchal',
  'Grand_Marshal' => 'Connétable',
  'Scout' => 'Eclaireur',
  'Grunt' => 'Grunt',
  'Senior_Sergeant' => 'Sergeant Chef',
  'First_Sergeant' => 'Adjudant',
  'Stone_Guard' => 'Guarde de Pierre',
  'Blood_Guard' => 'Guarde de Sang',
  'Legionnare' => 'Légionnaire',
  'Centurion' => 'Centurion',
  'Champion' => 'Champion',
  'Lieutenant_General' => 'Lieutenant-Général',
  'General' => 'Général',
  'Warlord' => 'Seigneur de Guerre',
  'High_Warlord' => 'Grand Seigneur de Guerre'
  );

$lang_arenateam = array(
  // ----- ARENATEAM.PHP -----
  'by_name' => 'par Nom d\'équipe',
  'by_team_leader' => 'par Leader d\'équipe',
  'by_id' => 'par id d\'équipe',
  'id' => 'Id',
  'arenateam_id' => 'Id d\'équipe d\'Arène',
  'arenateam_name' => 'Nom d\'équipe d\'Arène',
  'captain' => 'Capitaine',
  'type' => 'Type',
  'arenateam_online' => 'Membres en ligne',
  'create_date' => '...',
  '2' => '2 contre 2',
  '3' => '3 contre 3',
  '5' => '5 contre 5',
  'err_no_members_found' => 'Aucun Membre trouvé !',
  'err_no_team_found' => 'Aucune Equipe d\'Arène trouvée !',
  'del_team' => 'Effacer Equipe d\'Arène',
  'team_search_result' => 'Recherche Equipe d\'Arène',
  'browse_teams' => 'Parcourir Equipes d\'Arène',
  'tot_teams' => 'Total Equipes d\'Arène',
  'members' => 'Membres',
  'tot_members' => 'Total Membres',
  'games' => 'Parties jouée',
  'rating' => 'Rang',
  'wins' => 'Parites gagnées',
  'remove' => 'Oter',
  'name' => 'Nom',
  'level' => 'Niveau',
  'played_week' => 'Parties jouées cette semaine',
  'wons_week' => 'Parties gagnées cette semaine',
  'played_season' => 'Parties jouées cette saison',
  'wons_season' => 'Parties gagnées cette saison',
  'arenateams' => 'Equipes d\'Arène',
  'del_team' => 'Effacer Equipe d\'Arène',
  'games_played' => 'Jouées',
  'games_won' => 'Gagnées',
  'games_lost' => 'Perdues',
  'ratio' => 'Pourcentage de victoire',
  'this_week' => 'Cette semaine',
  'this_season' => 'Cette saison',
  'standings' => 'Classement :',
  'tot_found' => 'Total trouvé',
  'arenateam' => 'Equipe d\'Arène'
  );

$lang_honor = array(
  // ----- HONOR.PHP -----
  'allied' => 'Alliance',
  'horde' => 'Horde',
  'browse_honor' => 'Aperçu Honneur',
  'guid' => 'Nom du Personnage',
  'race' => 'Race',
  'class' => 'Classe',
  'level' => 'Niveau',
  'honor points' => 'Points d\'Honneur',
  'honor' => 'Rang',
  'guild' => 'Guilde'
  );


// ----- EVENTS.PHP -----
function lang_events()
{
  $lang_events = array
  (
    'total' => 'Total',
    'descr' => 'Nom de l\'évènement',
    'start' => 'Première date de démarrage',
    'occur' => 'Occurance<br /><small>jour(s)/heure(s)</small>',
    'length' => 'Durée<br /><small>jour(s)/heure(s)</small>',
    'events' => 'Evènements',
  );
  return $lang_events;
}


// ----- INSTANCES.PHP -----
function lang_instances()
{
  $lang_instances = array
  (
    'instances' => 'Instances',
    'total' => 'Total',
    'map' => 'Map',
    'level_min' => 'Niveau minimum',
    'level_max' => 'Niveau maximum',
    'max_players' => 'Nombre de joueurs maxi',
    'reset_delay' => 'Temps avant reset',
  );
  return $lang_instances;
}


// ----- FORM.PHP -----
function lang_captcha()
{
  $lang_captcha = array
  (
    'security_code' => 'Code de sécurité',
    'invalid_code' => 'Code invalide!'
  );
  return $lang_captcha;
}


// ----- TOP100.PHP -----
function lang_top()
{
  $lang_top = array
  (
  'top100' => 'Top 100',
  'general' => 'Général',
  'stats' => 'Stats',
  'defense' => 'Défense',
  'melee' => 'Melée',
  'ranged' => 'A distance',
  'resist' => 'Resistance',
  'pvp' => 'JCJ',
  'health' => 'Vie',
  'mana' => 'Mana',
  'str' => 'Force',
  'agi' => 'Agilité',
  'sta' => 'Endurance',
  'intel' => 'Intelligence',
  'spi' => 'Esprit',
  'armor' => 'Armure',
  'block' => 'Blocage',
  'dodge' => 'Esquive',
  'parry' => 'Parade',
  'resilience' => 'Résilience',
  'ap' => 'Puissance d\'attaque',
  'att_time' => 'Att Time',
  'min_dmg' => 'Min Dmg',
  'max_dmg' => 'Max Dmg',
  'expertise' => 'Main Exp',
  'off_expertise' => 'Off Exp',
  'crit' => 'Critique',
  'hit' => 'Toucher',
  'holy' => 'Sacré',
  'fire' => 'Feu',
  'nature' => 'Nature',
  'frost' => 'Givre',
  'shadow' => 'Ombre',
  'arcane' => 'Arcane',
  'name' => 'Nom',
  'race' => 'Race',
  'class' => 'Classe',
  'level' => 'Level',
  'guild' => 'Guilde',
  'money' => 'Fortune',
  'rank' => 'Rang',
  'honor_points' => 'Honneur',
  'kills' => 'Kills',
  'arena_points' => 'Points d\'arène',
  'time_played' => 'Temps de jeu',
  'online' => 'En ligne'
  );
  return $lang_top;
}


// ----- SPELLD.PHP -----
function lang_spelld()
{
  $lang_spelld = array
  (
    'add_spell' => 'Ajouter un sort',
    'spell_list' => 'Liste de sort(s)',
    'by_id' => 'par ID de sort',
    'by_disable' => 'par masque',
    'by_comment' => 'par nom de sort',
    'entry' => 'ID du sort',
    'disable_mask' => 'Masque de désactivation,',
    'comment' => 'Nom',
    'del_selected_spells' => 'Effacer le(s) sort(s) selectionné(s)',
    'tot_spell' => 'Total de sorts',
    'add_new_spell' => 'Ajouter un nouveau sort',
    'entry2' => 'ID du sort (Seulement des nombres)',
    'disable_mask2' => 'Masque de désactivation de sort (Vérification de la table))',
    'comment2' => 'Nom du sort (max 64 caractères)',
    'dm_exp' => 'Masque de désactivation de sort - Determine pour qui le sort est désactivé.',
    'value' => ' Valeur ',
    'type' => ' Type ',
    'disabled_p' => ' Sorts désactivés pour les joueurs',
    'disabled_crea_npc_pets' => ' Sorts désactivés pour les créatures/pnj/familiers ',
    'disabled_p_crea_npc_pets' => ' Sorts désactivés pour les joueurs et les créatures/pnj/familiers ',
    'wrong_fields' => 'Certains champs sont faux',
    'err_add_entry' => 'Echec de l\'ajout de nouveau sort',
    'spell_added' => 'Nouveau sort ajouté',
    'spells' => 'Sort(s) Désactivé',
    'search_results' => 'Résultat de recherche',
    'spell_deleted' => 'Sort éffacé!',
    'spell_not_deleted' => 'aucun sort éffacé!',
  );
  return $lang_spelld;
}


// ----- GLOBAL TELNET -----
function lang_telnet()
{
  $lang_telnet = array
  (
    'unable' => 'Connection échouée: Impossible d\'établir la connection, vérifiez votre configuration',
    'unknown_host' => 'Connection échouée: Hôte inconnu, vérifiez votre configuration',
    'login_failed' => 'Connection échouée: Echec du Login, vérifiez votre configuration',
    'not_supported' => 'Connection échouée: Votre version de PHP ne supporte pas le Telnet PHP, vérifiez votre configuration',
  );
  return $lang_telnet;
}


// ---- message.php ----
function lang_message()
{
  $lang_message  = array
  (
    'main' => 'Envoyez un message système / une Notification Globale',
    'announcement' => 'Annonce',
    'notification' => 'Notification',
    'both' => 'Les Deux',
    'send' => 'Envoyer',
    'empty_fields' => 'champs vides',
    'message_too_long' => 'Message trop long',
    'system_message' => 'Message Systeme',
    'global_notify' => 'Notification Globale',
    'sent' => 'Envoyé',
    'message_result' => 'Résultat du Message',
  );
  return $lang_message;
}


function lang_forum()
{
  global $minfloodtime;

  $lang_forum = Array
  (
    // BBCode you can replace this by images off course
    "image" => "Image",
    "url" => "Lien",
    "url2" => "Lien avec alias",
    "bold" => "Gras",
    "italic" => "Italique",
    "underline" => "Souligner",
    "code" => "Code",
    "quote" => "Citation",
    "quote2" => "Citation avec nom",
    "wrote" => "a écrit",
    "color" => "Couleur",
    "media" => "Media",
    "YouTube" => "YouTube",

    // forum_index
    "forums" => "Forums",
    "forum_index" => "Page d'accueil",
    "you_are_here" => "Vous êtes ici",
    "last_post_by" => "Dernier envoi par",
    "in" => "dans",
    "no_topics" => "Sans sujet...",
    "topics" => "Sujets",

    // view_forum
    "no_such_forum" => "Mauvaise requete : Pas dans un tel forum",
    "no_access" => "Mauvaise requete : Vous n'avez pas acces à ces données",
    "new_topic" => "Nouveau sujet",
    "annoucement" => "Annonce",
    "sticky" => "Postit",
    "pages" => "Pages",
    "title" => "Titre du sujet",
    "author" => "Auteur",
    "pages" => "Pages",
    "replies" => "Réponses",
    "last_post" => "Dernier envoi",
    "closed" => "Fermé",

    // view_topic
    "no_such_topic" => "Mauvaise requete : Pas de tels sujets",
    "info" => "Info",
    "text" => "Texte",
    "yes" => "Oui",
    "no" => "Non",
    "at" => "Le",
    "move" => "Envoyer",
    "edit" => "Editer",
    "delete" => "Supprimer",
    "post" => "Envoyer",
    "open" => "Ouvrir",
    "close" => "Fermé",
    "quick_reply" => "Réponse rapide",
    "down" => "Bas",
    "up" => "Haut",
    "normal" => "Normale",

    // delete_post
    "delete_topic" => "Voulez-vous vraiment supprimer ce sujet et tous les messages s'y rapportant?",
    "delete_post" => "Voulez-vous vraiment supprimer ce post?",
    "back" => "Retour",
    "confirm" => "Confirmer",

    // add_topic
    "topic_name" => "Nom du sujet",
    "please_wait" => "Attendre svp $minfloodtime secondes avant de poster à nouveau.",

    // do_add_topic
    "name_too_long" => "Nom du sujet trop long!",
    "name_too_short" => "Nom du sujet trop court!",
    "msg_too_short" => "Message trop court!",

    // edit_post
    "no_such_post" => "Mauvaise requete : Pas de tel post",

    // move_topic
    "where" => "Ou voulez-vous envoyer ce sujet?"
  );
  return $lang_forum;
}


?>
