<?php
/*
 * Project Name: MiniManager for Project Mangos/Trinity
 * License: GNU General Public License v2(GPL)
 * Language: Spanish
 * Supported Minimanager Revision: 440
 * Translator:  wbeando
 */

$lang_global = array(
  // ----- GENERAL ERROR CODES -----
  'err_sql_conn_db' => 'Error - No se establecio conexion con la Base de datos !',
  'err_sql_open_db' => 'Error - No se puede abrir la base de datos !',
  'err_no_result' => 'Sin resultados.',
  'err_no_user' => 'No se encontro usuarios!',
  'err_no_records_found' => 'No se hallaron registros !',
  'err_no_search_passed' => 'Ningun valor de busqueda paso.',
  'err_invalid_input' => 'Entrada no vlida',
  'err_no_permission' => 'No tienes permiso para acceder o editar los datos',
  // ------ GENERAL -----
  'for_trinity' => 'Esta funcion es solo para servidores Trinity',
  'empty_fields' => 'Algunos campos estan en blanco',
  'search' => 'Buscar',
  'limit' => 'limite',
  'back' => 'Atras',
  'go_back' => 'Regresar',
  'home' => 'Inicio',
  'none' => 'nada',
  'delete' => 'Eliminar',
  'delete_short' => 'Elim.',
  'edit' => 'Editar',
  'yes' => 'SI',
  'yes_low' => 'Si',
  'no' => 'NO',
  'no_low' => 'No',
  'are_you_sure' => 'Estas seguro?',
  'will_be_erased' => 'Ser irrecuperable borrado de DB!',
  'unlinked' => 'Unlinked',
  'country' => 'Pais',
  'language_select' => 'Elegir Idioma',
  'language_0' => 'Ingles',
  'language_1' => 'Koreano',
  'language_2' => 'Frances',
  'language_3' => 'Aleman',
  'language_4' => 'Chino',
  'language_5' => 'Taiwanes',
  'language_6' => 'Espanol',
  'language_7' => 'Mexicano',
  'language_8' => 'Ruso'
  );


// ----- LOGIN.PHP -----
function lang_login()
{
  $lang_login = array
  (
  'login' => 'Iniciar Sesion',
  'username' => 'Usuario',
  'password' => 'Contrasena',
  'not_registrated' => 'Registrate',
  'bad_pass_user' => 'Nombre de usuario y/o contrasena incorrecto!',
  'missing_pass_user' => 'Falta Nombre de usuario y/o Contrasena!',
  'banned_acc' => 'Cuenta baneada, por favor ponganse en contacto con el administrador',
  'locked_acc' => 'Cuenta suspendida, por favor contacte conn el administrador del servidor',
  'no_permision' => 'No tienes NINGUN permiso de acceso a datos Solicitados',
  'enter_valid_logon' => 'Por favor ingrese un nombre de usuario y contrasena correctos:',
  'select_realm' => 'Seleccione un reino',
  'remember_me' => 'Recuerdame',
  'pass_recovery' => 'Olvidaste tu contrasena?',
  'after_registration' => 'Tu cuenta ha sido creada correctamente!'
  );
  return $lang_login;
}


// ----- GUILD.PHP -----
function lang_guild()
{
  $lang_guild = array
  (
    'my_guilds' => 'Mis Clanes',
    'id' => 'ID',
    'guild_name' => 'Nombre de Clan',
    'guild_leader' => 'Lider de Clan',
    'guild_faction' => 'Faccion',
    'tot_m_online' => 'Miembros conectados',
    'guild_motd' => 'Noticias de Clan',
    'create_date' => 'Fecha de creacion',
    'show_guilds' => 'Mostrar todos los clanes',
    'by_name' => 'por nombre',
    'by_guild_leader' => 'por nombre de lider',
    'by_id' => 'por id',
    'browse_guilds' => 'Explorador de Clanes',
    'tot_members' => 'Total de miembros',
    'remove' => 'Rem.',
    'tot_guilds' => 'Total de Clanes',
    'guild' => 'Guild',
    'info' => 'Info',
    'motd' => 'Noticia',
    'name' => 'Nombre',
    'race' => 'Raza',
    'class' => 'Clase',
    'level' => 'nivel',
    'rank' => 'Rango',
    'pnote' => 'Nota del jugador',
    'offnote' => 'Nota del oficial',
    'online' => 'Conectado',
    'llogin' => 'Ultimo ingreso (Dias)',
    'del_guild' => 'Borrar Clan',
    'guild_id' => 'ID Clan',
    'guild_search_result' => 'Resultado de busqueda de clan',
    'guildbank' => 'Banco del Clan',
  );
  return $lang_guild;
}


// ----- GUILDBANK.PHP -----
function lang_guildbank()
{
  $lang_guildbank = array
  (
    'guild' => 'Clan',
    'guildbank' => 'Banco de Clan',
    'tab' => 'Ficha',
    'notfound' => 'ID incorrecto , no se encontro banco del clan.',
  );
  return $lang_guildbank;
}


$lang_register = array(
  // ----- REGISTER.PHP -----
  'create_acc' => 'Creacion de Cuenta',
  'username' => 'Nombre de Usuario',
  'use_eng_chars_limited_len' => 'Use solamente caracteres en ingles o numeros.<br />Tamano Min. 4 | Tamano Max. 14.',
  'password' => 'Contrasena',
  'confirm_password' => 'Confirmar Contrasena',
  'min_pass_len' => 'Tamano Min. 4 | Tamano Max. 25.',
  'email' => 'Correo',
  'use_valid_mail' => 'Asegurase de usar un correo electronico valido.',
  'create_acc_button' => 'Crear Cuenta',
  'diff_pass_entered' => 'Las contrasenas deben ser identicas.',
  'already_exist' => 'Ya existe',
  'acc_reg_closed' => 'Lo sentimos, El registro de cuentas este cerrado.',
  'wrong_pass_username_size' => 'Nombre de usuario/Contrasena debe ser de 4-a-15 caracteres de longitud!',
  'bad_chars_used' => 'Nombre de usuario solo debe contener [A-Z][a-z][0-9] !',
  'invalid_email' => 'Por favor proporcione una direccion de correo valida!',
  'banned_ip' => 'Direccin IP que usa esta baneado',
  'contact_serv_admin' => 'Contactar con el Administrador del Servidor.',
  'users_ip_range' => 'Los usuarios de IP rango',
  'cannot_create_acc' => 'no pueden crear cuentas.',
  'fill_all_fields' => 'Por favor, llene todos los campos.',
  'acc_type' => 'Tipo de Cliente',
  'acc_type_desc' => 'El tipo de cliente de WOW que estas utilizando.',
  'classic' => 'Clasico',
  'tbc' => 'TBC',
  'wotlk' => 'WOTLK',
  'recover_acc_password' => 'Recuperar contrasena de cuenta',
  'user_pass_rec_desc' => 'Por favor ingrese el nombre de usuario que en el registro inicial.',
  'mail_pass_rec_desc' => 'Por favor asegurese para usar la misma direccion de correo electronico que en el registro inicial.',
  'recover_pass' => 'Recupere Contrasena',
  'user_mail_not_found' => 'Combinacion de usuario / correo electronico no se encuentra.',
  'recovery_mail_sent' => 'Recuperacion de correo electronico enviado',
  'read_terms' => 'Por favor, asegurese de leer, comprender y aceptar los terminos de uso en las que esta cuenta se creara',
  'terms' => 'Terminos de Servicio',
  'error_terms' => 'Condiciones del servicio no fueron aceptadas',
  'i_agree' => 'Estoy de acuerdo',
  'i_dont_agree' => 'No acepto',
  'pass_too_long' => 'La contrasena que ha introducido excede la longitud maxima permitida',
  'invited_by' => 'Invitado por',
  'invited_info' => 'Por favor escriba el nombre de la cuenta del jugador que te ha invitado a registrarse aqui.',
  'email_address_used' => 'Este correo electronico ya tiene una cuenta. <br/>Mas cuentas no pueden ser creadas con esta direccin de correo electronico.',
  'referrer_not_found' => 'Lamentablemente, la cuenta indicada no se encuentra en nuestra base de datos.<br/>Asegrate de haber introducido un nombre de cuenta vlido o dejaste  &quot;Invitado por&quot;-en blanco.',
  );


// ----- INDEX.PHP -----
function lang_index()
{
  $lang_index = array
  (
    'realm' => 'Reino',
    'online' => 'Conectado',
    'offline_or_let_high' => 'Desconectado o latancia muy alta',
    'add_motd' => 'Agregar Mensaje del Da',
    'delete' => 'Eliminar',
    'tot_users_online' => 'Total de usuarios conectados',
    'name' => 'Nombre',
    'race' => 'Raza',
    'class' => 'Clase',
    'level' => 'Nivel',
    'map' => 'Mapa',
    'zone' => 'Zona',
    'rank' => 'Rango',
    'honor_kills' => 'H.K',
    'latency' => 'Latencia',
    'a_latency' => 'Latencia media',
    'guild' => 'Clan',
    'trinity_rev' => 'Trinity Rev',
    'using_db' => 'utilizando db:',
    'maxplayers' => 'Numero maximo de jugadores de este periodo de tiempo de actividad',
  );
  return $lang_index;
}


// ----- HEADER.PHP -----
function lang_header()
{
  $lang_header = array
  (
    'menu' => 'Menu',

    'main' => 'Principal',
    'tools' => 'Herramientas',
    'db' => 'Base de datos',
    'system' => 'Sistema',
    'support' => 'Soporte',
    'my_acc' => 'Mi Cuenta',

    'auctionhouse' => 'Casa de Subastas',
    'arena_teams' => 'Equipos de Arena',
    'guilds' => 'Clanes',
    'honor' => 'Rankings de Honor',
    'top100' => 'TOP 100',
    'statistics' => 'Estadisticas',
    'player_map' => 'Mapa de Jugador',

    'accounts' => 'Cuentas',
    'characters' => 'Personajes',
    'command' => 'Comandos',
    'mail' => 'Correo',
    'tickets' => 'Boletas',
    'banned_list' => 'Lista de Baneados',
    'cleanup' => 'Limpieza',

    'events' => 'Eventos',
    'instances' => 'Instancias',
    'items' => 'Items',
    'creatures' => 'Criaturas',
    'game_object' => 'Objetos del juego',
    'teleports' => 'Telepuertos',
    'backup' => 'Backup',
    'run_patch' => 'Run SQL Patch',
    'repair' => 'Reparar/Optimizar',

    'realm' => 'Reino',
    'add_motd' => 'Anadir Noticias',
    'spelld' => 'Desactivar Hechizo(s)',
    'message' => 'Enviar mensaje',
    'ssh_line' => 'SSH line',

    'forums' => 'Foros',
    'irc' => 'IRC Applet',
    'bugreport' => 'Bug Report',

    // please check the length at 'My Account' Menu
    'realms' => '------Reinos------',
    'my_characters' => '----Personajes----',
    'account' => '------Cuenta-----',
    'edit_my_acc' => 'Editar mi cuenta',
    'logout' => 'Cerrar sesion',
  );
  return $lang_header;
}


// -----FOOTER.PHP -----
function lang_footer()
{
  $lang_footer = array
  (
    'bugs_to_admin' => 'Los problemas y los informes de error a',
    'site_admin' => 'Site Admin',
  );
  return $lang_footer;
}


// ----- REPAIR.PHP -----
function lang_repair()
{
  $lang_repair = array
  (
    'repair_optimize' => 'Reparar / optimizar tablas',
    'repair' => 'Reparar',
    'optimize' => 'Optimizar',
    'start' => 'Iniciar',
    'repair_finished' => 'Reparacion / Optimizacion terminada',
    'no_table_selected' => 'Ninguna tabla seleccionada',
    'table_name' => 'Nombre de Tabla',
    'status' => 'Estado',
    'num_records' => 'Numero de Registros',
    'tables' => 'Tablas',
    'select_tables' => ' Seleccione la tabla para la operacion que se realizara.',
    'repair_error' => 'Error',
  );
  return $lang_repair;
}


$lang_backup = array(
  // ----- BACKUP.PHP -----
  'backup_options' => 'Opciones de copia de seguridad',
  'select_option' => 'Seleccione la opcion de copia de seguridad',
  'save' => 'Guardar',
  'load' => 'Cargar',
  'to_from' => 'A / de',
  'web_backup' => 'Servidor Web guardadas',
  'local_file' => 'Archivo local',
  'acc_on_file' => 'Cuenta en un archivo',
  'enter_acc_name' => 'Introducir ID de la cuenta que desea cargar',
  'backup_acc' => 'Copia de seguridad de cuentas',
  'go' => 'Ir',
  'save_table_struc_backup' => 'Save table(s) structural backup in addition to data backup',
  'select_file' => 'Select File',
  'max_file_size' => 'Max. Upload Filesize is',
  'use_ftp_for_large_files' => 'For Larger volumes you can upload your backup files of any size<br />via FTP directly to your backup directory',
  'upload' => 'Upload',
  'upload_sql_file_only' => 'You may only upload .sql or .qbquery files.',
  'upload_err_write_permission' => 'Couldn\'t Upload File<br />Check the directory permissions for',
  'file_not_found' => 'File Not Found!',
  'file_write_err' => 'Couldn\'t Write to a File!',
  'backup_finished' => 'Backup Finished Successfully',
  'select_backup' => 'Select Backup File',
  'file_loaded' => 'File Loaded and',
  'que_executed' => 'Queries Executed Successfully',
  'tables_to_save' => 'The following tables will be Saved',
  'save_all_realms' => 'Save data from all Realms'
  );


// ----- BANNED.PHP -----
function lang_banned()
{
  $lang_banned = array
  (
    'add_to_banned' => 'Add to Banned Lists',
    'tot_banned' => 'Total Banned',
    'ip_acc' => 'Ip / Account',
    'will_be_removed_from_banned' => 'Will be removed from Banned List',
    'ban_entry' => 'Ban IP / Account',
    'err_del_entry' => 'Error deleting banned entry',
    'updated' => 'Update action success!',
    'banned_list' => 'Banned List',
    'bandate' => 'Ban Date',
    'unbandate' => 'Unban Date',
    'bannedby' => 'Banned by',
    'banreason' => 'Reason',
    'banned_ips' => 'Banned IPs',
    'banned_accounts' => 'Banned Accounts',
    'ban_type' => 'Ban Type',
    'account' => 'Account',
    'ip' => 'IP',
    'ban_time' => 'Ban for amount of (hours)',
    'entry' => 'Entry (Acc. name / IP)',
    'acc_not_found' => 'Account Not Found'
  );
  return $lang_banned;
}


// ----- CHAR.PHP -----
function lang_char()
{
  $lang_char = array
  (
    'character' => 'Personaje',
    'online' => 'Conectado',
    'offline' => 'Desconectado',
    'username' => 'Nombre de usuario',
    'acc_id' => 'ID de la cuenta',
    'guild_leader' => 'Lider del clan',
    'guild' => 'Clan',
    'rank' => 'Rango',
    'honor_points' => 'Puntos de Honor/Arena',
    'honor_kills' => 'Muertes',
    'exp' => 'Experiencia',
    'melee_d' => 'Melee damage',
    'spell_d' => 'Spell damage',
    'ranged_d' => 'Ranged damage',
    'melee_hit' => 'Melee Hit',
    'spell_hit' => 'Spell Hit',
    'ranged_hit' => 'Ranged Hit',
    'melee_ap' => 'Melee atack power',
    'spell_heal' => 'Spell Heal',
    'ranged_ap' => 'Ranged Power',
    'expertise' => 'Experiencia',
    'resilience' => 'Resiliencia',
    'block' => 'Bloqueo',
    'dodge' => 'Evadir',
    'parry' => 'Parar',
    'melee_crit' => 'Melee Crit',
    'spell_crit' => 'Spell Crit',
    'ranged_crit' => 'Ranged Crit',
    'spell_haste' => 'Haste Rating',
    'days' => 'Dias',
    'hours' => 'Horas',
    'min' => 'Min.',
    'backpack' => 'Mochila',
    'gold' => 'Dinero',
    'tot_paly_time' => 'Total de tiempo jugado',
    'chars_acc' => 'Personajes de cuenta',
    'send_mail' => 'Enviar correo en juego',
    'del_char' => 'Borrar personaje',
    'no_char_found' => 'Ningun personaje encontrado!',
    'char_sheet' => 'Hoja de personaje',
    'inventory' => 'Inventario',
    'reputation' => 'Reputacion',
    'pets' => 'Mascotas',
    'bank_items' => 'Items de banco',
    'quests' => 'Misiones',
    'no_act_quests' => 'No se han encontrado misiones activas.',
    'quest_id' => 'ID',
    'quest_level' => 'nvl',
    'quest_title' => 'Titulo de mision',
    'rewarded' => 'Recompensa',
    'classskills' => 'Habilidades de clase',
    'professions' => 'Profesiones',
    'secondaryskills' => 'Habilidades secundarias',
    'weaponskills' => 'Habilidades de armas',
    'armorproficiencies' => 'Habilidades de Armadura',
    'languages' => 'Lenguas',
    'skills' => 'Habilidades',
    'skill_id' => 'ID',
    'skill_name' => 'Nombre de Habilidad',
    'skill_value' => 'Valor',
    'talents' => 'Talentos',
    'showhide' => 'mostrar / ocultar',
    // ----char_talents.php----
    'talent_rate' => 'Talento de',
    'talent_points' => 'Puntos de talento',
    'talent_points_used' => 'Puntos de talento Usado',
    'talent_points_shown' => 'Puntos de Talento Mostrados',
    'talent_points_left' => 'Puntos de Talento restantes',
    // --- skill_rank_array ---
    'apprentice' => 'Aprendiz',
    'journeyman' => 'Oficial',
    'expert' => 'Experto',
    'artisan' => 'Artesano',
    'master' => 'Maestro',
    'inherent' => 'Gran Maestro',
    'wise' => 'Sabio',
    // -----char_friends.php---
    'friends' => 'Amigos',
    'friendof' => 'Amigos de',
    'ignored' => 'Ignorado',
    'ignoredby' => 'Ignorado por',
    'name' => 'Nombre',
    'race' => 'Raza',
    'class' => 'Clase',
    'level' => 'Nivel',
    'map' => 'Mapa',
    'zone' => 'Zona',
    'online' => 'Conectado',
    // ---- edit_char.php ----
    'update' => 'Actualizar datos',
    'edit_char' => 'Editar datos',
    'edit_button' => 'Editar Datos',
    'edit_rules' => 'The values are character\'s base status without the item/spell modifiers.',
    'edit_offline_only_char' => ' - Solo los personajes desconectados pueden ser editados.',
    'no_permission' => 'No tiene el permiso necesario para ver y editar este personaje.',
    'err_edit_online_char' => 'No se puede editar personajes conectados',
    'updated' => 'Los datos del personaje actualizado correctamente',
    'update_err' => 'Error al actualizar los datos de personaje',
    'use_numeric' => 'No puede utilizar valores no numricos',
    'check_to_delete' => 'Marque la casilla junto al item, a fin de eliminarlo.',
    'to_char_view' => 'Ir a vista de personajes',
    'inv_bank' => 'Inventario e items de Banco',
    'location' => 'Ubicacion',
    'move_to' => 'Mover a(.tele nombre de la ubicacion)',
    'max_acc' => 'La cuenta que est intentando mover el personaje tiene la cantidad maxima de jugadores en el mismo.',
    'no_tp_location' => 'No teleport location found using provided name.',
    // ---- char_achieve.php ----
    'show' => 'Mostrar',
    'all' => 'Todo',
    'earned' => 'Ganados',
    'incomplete' => 'Incompleto',
    'summary' => 'Resumen',
    'recent' => 'Recientes',
    'achievements' => 'Logros',
    'achievement_title' => 'Titulo de Logro',
    'achievement_points' => 'Puntos',
    'achievement_date' => 'Fecha',
  );
  return $lang_char;
}


$lang_item = array(
  // ----- ITEM TOOLTIP -----
  'head' => 'Cabeza',
  'gloves' => 'Guantes',
  'neck' => 'Cuello',
  'belt' => 'Cinturon',
  'shoulder' => 'Hombro',
  'legs' => 'Piernas',
  'back' => 'Espalda',
  'feet' => 'Pies',
  'chest' => 'Pecho',
  'finger' => 'Dedo',
  'shirt' => 'Camisa',
  'tabard' => 'Tabardo',
  'trinket' => 'Trinket',
  'wrist' => 'Mueca',
  'main_hand' => 'Mano principal',
  'one_hand' => 'Una mano',
  'off_hand' => 'Mano izquierda',
  'ranged' => 'Ranged',
  'ammo' => 'Municiones',
  'bop' => 'Se liga al recogerlo',
  'boe' => 'Se liga al equiparlo',
  'bou' => 'Se liga al Usarlo',
  'quest_item' => 'Quest Item',
  'axe_1h' => 'Axe (One Handed)',
  'axe_2h' => 'Axe (Two Handed)',
  'bow' => 'Bow',
  'rifle' => 'Rifle',
  'mace_1h' => 'Mace (One Handed)',
  'mace_2h' => 'Mace (Two Handed)',
  'polearm' => 'Polearm',
  'sword_1h' => 'Sword (One Handed)',
  'sword_2h' => 'Sword (Two Handed)',
  'staff' => 'Staff',
  'exotic_1h' => 'Exotic (One Handed)',
  'exotic_2h' => 'Exotic (Two Handed)',
  'fist_weapon' => 'Fist Weapon',
  'misc_weapon' => 'Miscellaneous Weapon',
  'dagger' => 'Dagger',
  'thrown' => 'Thrown',
  'spear' => 'Spear',
  'crossbow' => 'Crossbow',
  'wand' => 'Wand',
  'fishing_pole' => 'Fishing Pole',
  'rod' => 'Enchanter\'s Rod',
  'robe' => 'Robe',
  'tome' => 'Tome',
  'two_hand' => 'Two Hand',
  'off_misc' => 'Off (Misc)',
  'thrown' => 'Thrown',
  'consumable' => 'Consumable',
  'arrows' => 'Arrows',
  'bullets' => 'Bullets',
  'projectile' => 'Projectile',
  'trade_goods' => 'Trade Goods',
  'parts' => 'Parts',
  'explosives' => 'Explosives',
  'devices' => 'Devices',
  'book' => 'Book',
  'recipe' => 'Recipe',
  'LW_pattern' => 'Leatherworking Pattern',
  'tailoring_pattern' => 'Tailoring Pattern',
  'ENG_Schematic' => 'Engineering Schematic',
  'BS_plans' => 'Blacksmithing Plans',
  'cooking_recipe' => 'Cooking Recipe',
  'alchemy_recipe' => 'Alchemy Recipe',
  'FA_manual' => 'First Aid Manual',
  'ench_formula' => 'Enchanting Formula',
  'JC_formula' => 'Jewelcrafting Formula',
  'quiver' => 'Quiver',
  'ammo_pouch' => 'Ammo Pouch',
  'soul_shards' => 'Soul Shards',
  'herbs' => 'Herbs',
  'enchanting' => 'Enchanting',
  'engineering' => 'Engineering',
  'gems' => 'Gems',
  'keys' => 'Keys',
  'mining' => 'Mining',
  'key' => 'Key',
  'lockpick' => 'Lockpick',
  'weapon' => 'Weapon',
  'reagent' => 'Reagent',
  'quest' => 'Quest',
  'misc_short' => 'Misc',
  'permanent' => 'Permanent',
  'poor' => 'Poor',
  'common' => 'Common',
  'uncommon' => 'Uncommon',
  'rare' => 'Rare',
  'epic' => 'Epic',
  'legendary' => 'Legendary',
  'artifact' => 'Artifact',
  'unique' => 'Unique',
  'misc' => 'Miscellaneous',
  'armor' => 'Armor',
  'cloth' => 'Cloth',
  'leather' => 'Leather',
  'mail' => 'Mail',
  'plate' => 'Plate',
  'shield' => 'Shield',
  'buckler' => 'Buckler',
  'block' => 'Block',
  'none' => 'None',
  'other' => 'Other',
  'damage' => 'Damage',
  'speed' => 'Speed',
  'holy_dmg' => 'Holy',
  'fire_dmg' => 'Fire',
  'nature_dmg' => 'Nature',
  'frost_dmg' => 'Frost',
  'shadow_dmg' => 'Shadow',
  'arcane_dmg' => 'Arcane',
  'physical_dmg' => 'Physical',
  'lvl_req' => 'Requires Level',
  'item_set' => 'Item Set',
  'bag' => 'Bag',
  'health' => 'Health',
  'mana' => 'Mana',
  'energy' => 'Energy',
  'rage' => 'Rage',
  'runic' => 'Runic Power',
  'res_arcane' => 'Arcane Resist',
  'res_holy' => 'Holy Resist',
  'res_fire' => 'Fire Resist',
  'res_nature' => 'Nature Resist',
  'res_frost' => 'Frost Resist',
  'res_shadow' => 'Shadow Resist',
  'strength' => 'Strength',
  'agility' => 'Agility',
  'stamina' => 'Stamina',
  'intellect' => 'Intellect',
  'spirit' => 'Spirit',
  'spell_use' => 'Use',
  'spell_equip' => 'Equip',
  'spell_coh' => 'Chance On Hit',
  'class' => 'Class',
  'slots' => 'Slots',
  'charges' => 'Charge(s)',
  'socket_bonus' => 'Socket Bonus',
  'potion' => 'Potion',
  'scroll' => 'Scroll',
  'bandage' => 'Bandage',
  'healthstone' => 'HealthStone',
  'combat_effect' => 'CombatEffect',
  'libram' => 'Libram',
  'idol' => 'Idol',
  'totem' => 'Totem',
  'fishing_manual' => 'Fishing Manual',
  'soul_stone' => 'Soul Stone',
  'no_bind' => 'Not Binding',
  'socket_meta' => 'Meta Socket',
  'socket_red' => 'Red Socket',
  'socket_yellow' => 'Yellow Socket',
  'socket_blue' => 'Blue Socket',
  'rating_by' => 'Rating by',
  'improves' => 'Improves',
  'DEFENCE_RATING' => 'Defence',
  'DODGE_RATING' => 'Dodge',
  'PARRY_RATING' => 'Parry',
  'SHIELD_BLOCK_RATING' => 'Shield Block',
  'MELEE_HIT_RATING' => 'Melee Hit',
  'RANGED_HIT_RATING' => 'Ranged Hit',
  'SPELL_HIT_RATING' => 'Spell Hit',
  'MELEE_CS_RATING' => 'Melee Crit',
  'RANGED_CS_RATING' => 'Ranged Crit',
  'SPELL_CS_RATING' => 'Spell Crit',
  'MELEE_HA_RATING' => 'Melee Hit Avoid',
  'RANGED_HA_RATING' => 'Ranged Hit Avoid',
  'SPELL_HA_RATING' => 'Spell Hit Avoid',
  'MELEE_CA_RATING' => 'Melee Crit Avoid',
  'RANGED_CA_RATING' => 'Ranged Crit Avoid',
  'SPELL_CA_RATING' => 'Spell Crit Avoid',
  'MELEE_HASTE_RATING' => 'Melee Haste',
  'RANGED_HASTE_RATING' => 'Ranged Haste',
  'SPELL_HASTE_RATING' => 'Spell Haste',
  'HIT_RATING' => 'Hit',
  'CS_RATING' => 'Critical Strike',
  'HA_RATING' => 'Hit Avoid',
  'CA_RATING' => 'Crit Avoid',
  'RESILIENCE_RATING' => 'Resistance',
  'HASTE_RATING' => 'Haste'
  );


// ----- CHAR_LIST.PHP -----
function lang_char_list()
{
  $lang_char_list = array
  (
  'account' => 'Cuenta',
  'back_browse_chars' => 'Volver a personajes',
  'browse_chars' => 'Navegador de Personajes',
  'by_account' => 'por cuenta',
  'by_class_id' => 'ID de la clase',
  'by_guild' => 'en Clan',
  'by_honor_kills' => '= Muertes H.',
  'by_id' => 'por id',
  'by_item' => 'tiene id item',
  'by_level' => '= Nivel',
  'by_map_id' => 'por ID Mapa',
  'by_name' => 'por nombre',
  'by_online' => 'por conectado',
  'by_race_id' => 'por id raza',
  'char_ids' => 'ID(s) Personajes',
  'char_name' => 'Nombre Personaje',
  'characters' => 'Personajes',
  'chars_deleted' => 'Personajes borrados!',
  'chars_gold' => 'tienes &lt; Oro(C)',
  'class' => 'Clase',
  'cleanup' => 'Limpieza',
  'del_selected_chars' => 'Eliminar personaje marcado',
  'greater_honor_kills' => '&lt; Muertes H.',
  'greater_level' => '&lt; Nivel',
  'guild' => 'Clan',
  'honor_kills' => 'M.H',
  'id' => 'ID',
  'lastseen' => 'Visto por ultima vez',
  'level' => 'Nivel',
  'map' => 'Mapa',
  'no_chars_del' => 'No Characters deleted!<br />Permission Error?<br />Online Characters cannot be deleted.',
  'online' => 'Conectado',
  'race' => 'Raza',
  'search_results' => 'Resultado de busqueda',
  'tot_chars' => 'Total de Personajes',
  'total' => 'Total',
  'zone' => 'Zona',
  );
  return $lang_char_list;
}

$lang_cleanup = array(
  // ----- CLEANUP.PHP -----
  'cleanup_options' => 'CleanUp Options',
  'clean_chars' => 'Clean Characters',
  'char_level' => 'Character Level',
  'tot_play_time' => 'Total Play Time (sec)',
  'clean_acc' => 'Clean Accounts',
  'last_login_time' => 'Last Login (Y:M:D)',
  'failed_logins' => 'Failed Loggins',
  'banned' => 'Banned',
  'locked' => 'Locked',
  'chars_in_acc' => 'Characters in Account',
  'clean_guilds' => 'Clean Guilds',
  'chars_in_guild' => 'Characters in Guild',
  'run_cleanup' => 'Run CleanUp',
  'chars_id' => 'Character(s) id(s)',
  'tot_of' => 'Total of',
  'acc_ids' => 'Account(s) id(s)',
  'guilds_id' => 'Guild(s) id(s)',
  'no_guilds_del' => 'No Guilds deleted!',
  'total' => 'Total',
  'guilds_deleted' => 'Guild(s) deleted!',
  'no_acc_chars_deleted' => 'No Accounts/Characters deleted!<br />Permission Error?',
  'accs_deleted' => 'Account(s) deleted!',
  'chars_deleted' => 'Character(s) deleted!',
  'back_cleaning' => 'Back Cleaning',
  'clean_db' => 'Clean Database',
  'arenateams_deleted' => 'Arena Team(s) deleted!',
  'no_arenateams_del' => 'No Arena Team(s) deleted!'
  );


// ----- EDIT.PHP -----
function lang_edit()
{
  $lang_edit = array
  (
    'edit_acc' => 'Editar su cuenta',
    'id' => 'ID',
    'username' => 'Nombre de usuario',
    'password' => 'Contrasena',
    'mail' => 'Corre',
    'invited_by' => 'Invitado Por',
    'gm_level' => 'GM level',
    'join_date' => 'Fecha de Ingreso',
    'last_ip' => 'Ultimo IP',
    'client_type' => 'Tipo de Cliente',
    'classic' => 'Clasico',
    'tbc' => 'TBC',
    'wotlk' => 'WOTLK',
    'tot_chars' => 'Total Personajes',
    'characters' => 'Personajes en Reino',
    'update' => 'Actualizar datos',
    'del_acc' => 'Borrar cuenta',
    'theme_options' => 'Opciones Tema',
    'select_theme' => 'Seleccionar Tema',
    'language' => 'Idioma',
    'select_layout_lang' => 'Seleccione el idioma de diseno',
    'theme' => 'Tema',
    'use_valid_email' => 'Trate de proporcionar una direccion valida de correo!',
    'data_updated' => 'Exito de la accion de actualizacion!',
    'error_updating' => 'Accion de actualizacin Error! - No se cambio los campos?',
    'del_error' => 'Error inesperado al eliminar.',
    'edit_your_acc' => 'Editar su cuenta',
    'save' => 'Guardar',
  );
  return $lang_edit;
}


// ----- MAIL.PHP -----
function lang_mail()
{
  $lang_mail = array
  (
    'mail_type' => 'Mail Type',
    'recipient' => 'Recipient',
    'subject' => 'Subject',
    'email' => 'Email',
    'ingame_mail' => 'InGame Mail',
    'dont_use_both_groupsend_and_to' => '* Notice: If You are using \'Group Send\' option, make sure to leave \'Recipient\' field blank.',
    'group_send' => 'Group Send',
    'both' => 'Both',
    'gm_level' => 'GM Level',
    'locked_accouns' => 'Locked Accouns',
    'banned_accounts' => 'Banned Accounts',
    'char_level' => 'Character Level',
    'online' => 'Online',
    'attachments' => 'Attachments (ingame only)',
    'money' => 'Money',
    'item' => 'Item (id)',
    'stack' => 'Stack',
    'mail_body' => 'Mail Body',
    'send' => 'Send',
    'mail_sent' => 'Mail Sent Successfully.',
    'mail_err' => 'Mail Error',
    'no_recipient_found' => 'No Mail Recipient Found.',
    'use_name_or_email' => 'Use Character name in case of inGame Mail - Email address in case of email.',
    'option_unavailable' => 'You cannot use this option at current configurations.',
    'use_currect_option' => 'Some of the \'Group Send\' options can be used only with \'inGame mail\' or \'Email\' but not with both.',
    'send_mail' => 'Enviar correo',
    'result' => 'InGame Mail Result',
  );
  return $lang_mail;
}


// ----- MOTD.PHP -----
function lang_motd()
{
  $lang_motd = array
  (
    'post_motd' => 'Publicar Mensaje del Dia',
    'post_rules' => 'Aviso: la duracion est limitada a 255 caracteres. <br /> Etiquetas HTML se pueden utilizar.',
    'err_max_len' => 'Se ha superado el limite max. de longitud',
    'add_motd' => 'Agregar Mensaje del Dia',
    'edit_motd' => 'Editar Mensaje del Dia',
  );
  return $lang_motd;
}


// -----RUN_PATCH.PHP -----
function lang_run_patch()
{
  $lang_run_patch = array
  (
    'err_in_line' => 'SQL syntax error in query number ',
    'run_sql_file_only' => 'You may only run .sql or .qbquery files.',
    'file_not_found' => 'File Not Found!',
    'select_sql_file' => 'Select SQL File to Open',
    'max_filesize' => 'Max. Filesize',
    'open' => 'Open',
    'run_rules' => 'The following query(s) will be executed.<br />Make sure each query line ends with \'&#059;\' sign.',
    'select_db' => 'Select DB to be used by Default',
    'run_sql' => 'Run SQL',
    'query_executed' => 'SQL Query(s) Executed Successfully.',
    'no_query_found' => 'Zero Result Returned / Non queries Found.',
    'run_patch' => 'Run SQL Patch'
  );
  return $lang_run_patch;
}


// ----- SSH.PHP -----
function lang_ssh()
{
  $lang_ssh = array
  (
    'server_offline' => 'SSH/Telnet Server appears to be Offline!',
    'config_server_properly' => 'Make sure you have configured your SSH/Telnet server properly, and it is currently online.',
  );
  return $lang_ssh;
}


// ----- REALM.PHP -----
function lang_realm()
{
  $lang_realm = array
  (
    'add_realm' => 'Add Realm',
    'tot_realms' => 'Total Realms',
    'name' => 'Name',
    'address' => 'Address',
    'port' => 'Port',
    'icon' => 'Icon',
    'color' => 'Color',
    'timezone' => 'Time Zone',
    'edit_realm' => 'Edit Realm Data',
    'id' => 'ID',
    'update' => 'Update Data',
    'realm_id' => 'Realm id',
    'err_deleting' => 'Error Deleting Realm',
    'update_executed' => 'Update action success!',
    'update_err' => 'Update action Error!<br />Non of the fields changed?',
    'realm_data' => 'Realm Data',
    'online' => 'Online',
    'tot_char' => 'Total Characters',
    'delete' => 'Delete Realm',
    'normal' => 'Normal',
    'pvp' => 'PVP',
    'rp' => 'RP',
    'rppvp' => 'RPPVP',
    'ffapvp' => 'FFAPVP',
    'development' => 'Development',
    'united_states' => 'United States',
    'oceanic' => 'Oceanic',
    'latin_america' => 'Latin America',
    'tournament' => 'Tournament',
    'korea' => 'Korea',
    'english' => 'English',
    'german' => 'German',
    'french' => 'French',
    'spanish' => 'Spanish',
    'russian' => 'Russian',
    'taiwan' => 'Taiwan',
    'china' => 'China',
    'test_server' => 'Test Server',
    'qa_server' => 'QA Server',
    'others' => 'Others',
    'conf_from_file' => '** This realm appear not to have proper configuration in config.php file.<br />Make sure to properly configure it before using.',
    'offline' => 'Offline',
    'status' => 'Status',
    'notconfigured' => 'Not Configured yet',
  );
  return $lang_realm;
}


// ----- TICKET.PHP -----
function lang_ticket()
{
  $lang_ticket = array
  (
  'browse_tickets' => 'Browse Tickets',
  'del_selected_tickets' => 'Delete Checked Ticket(s)',
  'edit_reply' => 'Edit / Reply',
  'edit_ticked' => 'Edit Ticket',
  'id' => 'ID',
  'send_ingame_mail' => 'Send InGame Mail',
  'sender' => 'Sender',
  'submitted_by' => 'Submitted by',
  'ticked_deleted' => 'Tickets Deleted Successfully.',
  'ticket_id' => 'Ticket ID',
  'ticket_not_deleted' => 'No Tickets Deleted!',
  'ticket_text' => 'Ticket Text',
  'ticket_update_err' => 'Error Updating Ticket',
  'ticket_updated' => 'Ticket Updated',
  'tot_tickets' => 'Total Tickets',
  'update' => 'Update Ticket',
  );
  return $lang_ticket;
}


// ----- USER.PHP -----
function lang_user()
{
  $lang_user = array
  (
    'add_acc' => 'Nueva Cuenta',
    'cleanup' => 'Limpieza',
    'backup' => 'Backup',
    'by_name' => 'Por nombre',
    'by_expansion' => 'por ID Expansion',
    'by_id' => 'por ID',
    'by_gm_level' => '= Nivel GM',
    'greater_gm_level' => '&lt; Nivel GM',
    'by_email' => 'por Correo',
    'by_join_date' => 'por Fecha de Ingreso',
    'by_ip' => 'por IP',
    'by_failed_loggins' => '&lt; Intentos fallidos',
    'by_last_login' => 'por ultimo acceso',
    'by_online' => 'por Conectados',
    'by_banned' => 'por baneados',
    'by_locked' => 'por Bloqueado',
    'id' => 'ID',
    'username' => 'Nombre de usuario',
    'gm_level' => 'GM',
    'email' => 'Correo',
    'join_date' => 'Fecha de Ingreso',
    'banned' => 'Ban',
    'banned_reason' => 'Razon de ban',
    'ip' => 'IP',
    'failed_logins' => 'Intentos F.',
    'locked' => 'Bloqueado',
    'last_login' => 'Ultimo acceso',
    'online' => 'Conectado',
    'del_selected_users' => 'Eliminar Usuario(s) Marcado(s)',
    'backup_selected_users' => 'Backup Checked User(s)',
    'acc_backedup' => ' copia de seguridad de Cuenta(s)completa correctamente',
    'tot_acc' => 'Total Cuentas',
    'user_list' => 'Lista de usuarios',
    'tot_found' => 'Total Encontrado',
    'acc_ids' => 'ID(s) Cuenta(s)',
    'back_browsing' => 'Volver a explorador de usuarios',
    'no_acc_deleted' => 'Ningunas Cuentas suprimidas!<br />Error de permisos?<br />Usuarios conectados no se pueden eliminar.',
    'total' => 'Total',
    'acc_deleted' => 'Cuentas suprimidas!',
    'char_deleted' => 'Personajes suprimido!',
    'create_new_acc' => 'Crear una cuenta nueva',
    'password' => 'Contrasena',
    'confirm' => 'Confirmar',
    'create_acc' => 'Crear una cuenta',
    'gm_level_long' => 'Nivel GM',
    'last_ip' => 'Ultimo IP',
    'ban_this_ip' => 'IP baneado',
    'failed_logins_long' => 'Intentos Fallidos',
    'tot_chars' => 'Total de Personajes',
    'chars_on_realm' => 'Personajes en Reino',
    'update_data' => 'Actualizar datos',
    'del_acc' => 'Eliminar cuenta',
    'search_results' => 'Resultados de busqueda',
    'acc_creation_failed' => 'Nueva Creacion de la cuenta No se pudo!(los campos en blanco)',
    'acc_created' => 'Nueva Cuenta Creada',
    'nonidentical_passes' => 'Ha introducido dos contrasenas no identicos.',
    'user_already_exist' => 'Nombre de usuario ya existe.',
    'username_pass_too_long' => 'Nombre de usuario / contrasena debe ser de tamao 4-a-15 caracteres!',
    'use_only_eng_charset' => 'Nombre de usuario debe contener [A-Z] [a-z] [0-9] solamente!',
    'no_value_passed' => 'No Value Passed',
    'edit_acc' => 'Editar cuenta',
    'update_failed' => 'Error de actualizacion - no se cambio los Campos?',
    'data_updated' => 'Actualizado',
    'you_have_no_permission' => 'Usted no tiene permiso para editar este de datos',
    'browse_acc' => 'Explorador de Cuentas',
    'you_have_no_permission_to_set_gmlvl' => 'Usted no tiene permiso para establecer este nivel de GM',
    'expansion_account' => 'Expansion Account',
    'client_type' => 'Tipo de cliente',
    'classic' => 'Clasico',
    'tbc' => 'TBC',
    'wotlk' => 'WOTLK',
    'invited_by' => 'Invitado por'
  );
  return $lang_user;
}


// ----- STAT.PHP -----
function lang_stat()
{
  $lang_stat = array
  (
    'srv_statistics' => 'Estadisticas del servidor',
    'general_info' => 'Informacion General',
    'tot_accounts' => 'Total Cuentas',
    'total_of' => 'Hay un total de',
    'gms_one_for' => 'GMs, uno para cada',
    'players' => 'Jugadores',
    'tot_chars_on_realm' => 'Total de Personajes en Reino',
    'average_of' => 'Un promedio de',
    'chars_per_acc' => 'personajes por cuenta',
    'horde' => 'Horda',
    'alliance' => 'Alianza',
    'chars_by_race' => 'Datos por raza',
    'chars_by_class' => 'Datos por Clase',
    'chars_by_level' => 'Datos por Nivel',
    'reset' => 'Reiniciar los filtros',
    'avg_uptime' => 'Promedio de tiempo de servidor',
    'max_uptime' => 'Maximo el tiempo de servidor',
    'uptime_prec' => 'Porcentaje de tiempo desde el primer inicio',
    'unique_ip' => 'Unicos IPs ultimas 24 horas',
    'on_statistics' => 'Estadisticas en linea',
    'max_players' => 'Max. de jugadores conectados desde',
    'max_ever' => 'primer inicio',
    'max_restart' => 'ultimo reinicio',
  );
  return $lang_stat;
}


// ----- TELE.PHP -----
function lang_tele()
{
  $lang_tele = array
  (
  'add_new' => 'Add New',
  'add_new_tele' => 'Add New Teleport Location',
  'delete_tele' => 'Delete',
  'edit_tele' => 'Edit Teleport Location',
  'error_updating' => 'Error Updating',
  'id' => 'ID',
  'loc_id' => 'Location ID',
  'loc_name' => 'Location Name',
  'map' => 'Map',
  'name' => 'Name',
  'on_map' => 'On Map ID',
  'orientation' => 'Orientation',
  'position_x' => 'Position X',
  'position_y' => 'Position Y',
  'position_z' => 'Position Z',
  'search_results' => 'Search Results',
  'tele_locations' => 'Teleport Locations',
  'tele_updated' => 'Location Updated',
  'teleports' => 'Teleports',
  'tot_locations' => 'Total Teleport locations',
  'update_tele' => 'Update Location',
  'x' => 'X',
  'y' => 'Y',
  'z' => 'Z',
  );
  return $lang_tele;
}


// ----- COMMAND.PHP -----
function lang_command()
{
  $lang_command = array
  (
    'command_list' => 'Available Commands',
    'level0' => 'Player',
    'level1' => 'Moderator',
    'level2' => 'Game Master',
    'level3' => 'Bug Tracker',
    'level4' => 'Administrator',
    'level5' => 'Sys OP',
    'level6' => 'Unknown',
    'command' => 'Command',
    'syntax' => 'Syntax',
    'description' => 'Description',
    'change_level' => 'Change Checked Command(s) Level',
    'save' => 'Save',
  );
  return $lang_command;
}


$lang_item_edit = array(
  // ----- ITEM.PHP -----
  'search_item' => 'Search for Item(s)',
  'model_id' => 'Model Id',
  'all' => 'All',
  'search' => '+ Search +',
  'add_new_item' => 'Add New Item',
  'tot_items_in_db' => 'Total items in DB',
  'new_search' => 'New Search',
  'items_found' => 'Items Found',
  'item_not_found' => 'Item NOT Found in DB',
  'search_results' => 'Search Results',
  'edit_item' => 'Edit Item',
  'search_items' => 'Lookup Items',
  'update' => 'Save Item to Database',
  'export_sql' => 'Save as SQL Script',
  'item_id' => 'Item ID',
  'err_adding_item' => 'Error Adding Item',
  'err_no_field_updated' => 'Non of the fields updated.',
  'del_item' => 'Delete Item',
  'general_tab' => 'General',
  'additional_tab' => 'Extra',
  'stats_tab' => 'Stats',
  'damage_tab' => 'Damage',
  'spell_tab' => 'Spells',
  'req_tab' => 'Req.',
  'general' => 'General',
  'entry' => 'Entry',
  'entry_desc' => 'This is the unique ID of an Item.',
  'display_id' => 'Display ID',
  'display_id_desc' => 'This is the Model ID of an Item.',
  'req_level' => 'Req. Level',
  'req_level_desc' => 'Minimum level to use/equip this item.',
  'item_level' => 'Item Level',
  'item_level_desc' => 'Item base level.',
  'names' => 'Names',
  'item_name' => 'Item Name',
  'item_name_desc' => 'Item Name',
  'description' => 'Description',
  'description_desc' => 'Brief description of this item, appears in orange at the bottom of an item label ingame.',
  'script_name' => 'ScriptName',
  'script_name_desc' => 'Here can be added script entries defined in core code.',
  'class' => 'Class',
  'class_desc' => 'Defines the class of an item.',
  'type' => 'Type',
  'subclass' => 'Subclass',
  'subclass_desc' => 'Defines the subclass of an item. Notice: The subclass must be related to Item Class. Some Classes do not have any subclasses.',
  'quality' => 'Quality',
  'quality_desc' => 'The overall quality of an item.',
  'inv_type' => 'Inv. Type',
  'inv_type_desc' => 'Where this item can be equipped.',
  'flags' => 'Flags',
  'flags_desc' => 'TODO: Add proper description.',
  'item_set' => 'Item Set',
  'item_set_desc' => 'The ID of an item set this item belongs to.',
  'bonding' => 'Bonding',
  'bonding_desc' => 'Item Bonding type.',
  'start_quest' => 'Start Quest',
  'start_quest_desc' => 'ID of a quest that this item starts.',
  'short_rules_desc' => '* Moving your mouse over the field name will show you short field description.<br />* Make sure you properly filled all the fields and you are not trying to insert new item using existing entry.',
  'vendor' => 'Vendor',
  'buy_count' => 'BuyCount',
  'buy_count_desc' => 'Size of the stack in which the item is sold by vendors.',
  'buy_price' => 'BuyPrice',
  'buy_price_desc' => 'Price (in copper) of a stack of #BuyCount items.',
  'sell_price' => 'SellPrice',
  'sell_price_desc' => 'How much a vendor will buy this item for from the player. If omitted, the item will sell for nothing (No sell price).',
  'container' => 'Container',
  'bag_family' => 'BagFamily',
  'bag_family_desc' => 'Type of Container.',
  'bag_slots' => 'Container Slots',
  'bag_slots_desc' => 'Number of slots that this bag holds.',
  'materials' => 'Materials',
  'material' => 'Material',
  'material_desc' => 'The material the item is made of. Affects the sound that the item makes when moved.',
  'consumables' => 'Consumables',
  'none' => 'None',
  'metal' => 'Metal',
  'wood' => 'Wood',
  'liquid' => 'Liquid',
  'jewelry' => 'Jewelry',
  'chain' => 'Chain',
  'plate' => 'Plate',
  'cloth' => 'Cloth',
  'leather' => 'Leather',
  'page_material' => 'Page Material',
  'page_material_desc' => 'The background of the page window (and to some extent the font).',
  'parchment' => 'Parchment',
  'stone' => 'Stone',
  'marble' => 'Marble',
  'silver' => 'Silver',
  'bronze' => 'Bronze',
  'max_durability' => 'Max Durability',
  'max_durability_desc' => 'Durability of an item.',
  'other' => 'Other',
  'max_count' => 'MaxCount',
  'max_count_desc' => 'Maximum number of this item that the player can have. ( 0:not limited, 1:Unique)',
  'stackable' => 'Stackable',
  'stackable_desc' => 'The amount of this item that a player can carry in the same slot.',
  'page_text' => 'PageText',
  'page_text_desc' => 'ID of a TEXT in the item_text table, the text for a book or letter for example. The item will have a magnifying glass cursor ingame and will show the pagetext upon rightclicking the item.',
  'RandomProperty' => 'Random Property',
  'RandomProperty_desc' => 'Random enchantment entry.',
  'lang_id' => 'Language ID',
  'lang_id_desc' => 'Language that this item is written in.',
  'sheath' => 'Sheath',
  'sheath_desc' => 'How the weapon is put away (to the side, on the back, etc.).',
  'lock_id' => 'Lock Id',
  'lock_id_desc' => 'TODO: Add description.',
  'disenchant_id' => 'Disenchant ID',
  'disenchant_id_desc' => 'Refers to disenchant_loot_template.entry.',
  'area' => 'Area',
  'area_desc' => 'Area ID only in which the item is usable',
  'map' => 'Map',
  'map_desc' => 'Map ID only in which the item is usable',
  'stats' => 'Stats',
  'stat_type' => 'Stat type',
  'stat_type_desc' => 'Character stat which will be changed if the item is equipped.',
  'stat_value' => 'Stat value',
  'stat_value_desc' => 'This value will be added to the stat (or removed if negative).',
  'resis_armor' => 'Resistance / Armor',
  'armor_desc' => 'Armor for this item.',
  'block_desc' => 'Shield\'s chance to block an attack.',
  'res_holy_desc' => 'Holy resistance for this item.',
  'res_fire_desc' => 'Fire resistance for this item.',
  'res_nature_desc' => 'Nature resistance for this item.',
  'res_frost_desc' => 'Frost resistance for this item.',
  'res_shadow_desc' => 'Shadow resistance for this item.',
  'res_arcane_desc' => 'Arcane resistance for this item.',
  'weapon_properties' => 'Weapon properties',
  'delay' => 'Delay',
  'delay_desc' => 'Time in milliseconds between hits.',
  'ranged_mod' => 'Ranged Mod',
  'ranged_mod_desc' => 'TODO: Add description.',
  'ammo_type' => 'Ammo Type',
  'ammo_type_desc' => 'The type of ammunition this weapon requires.',
  'weapon_damage' => 'Weapon Damage',
  'damage_type' => 'Damage Type',
  'damage_type_desc' => 'Type of the Damage will be dealt by this item.',
  'dmg_min_max' => 'Damage : Min - Max',
  'dmg_min_max_desc' => 'Minimal and maximal damage values.',
  'spell_id' => 'Spell Id',
  'spell_id_desc' => 'Refers to Spell.dbc index.',
  'spell_trigger' => 'Spell trigger',
  'spell_trigger_desc' => 'The action triggers this spell.',
  'spell_charges' => 'Spell Charges',
  'spell_charges_desc' => 'Number of charges for this spell.(0: infinite, -X: item is expendable, +X: item is kept when all charges are spent).',
  'spell_cooldown' => 'Spell Cooldown',
  'spell_cooldown_desc' => 'Spell cooldown time in milliseconds.',
  'spell_category' => 'Spell Category',
  'spell_category_desc' => 'Spell Category.',
  'spell_category_cooldown' => 'Spell Category Cooldown',
  'spell_category_cooldown_desc' => 'Global cooldown for entire category.',
  'allow_class' => 'Allowable Class',
  'allow_class_desc' => 'Mask for character classes that can use this item.',
  'allow_race' => 'Allowable Race',
  'allow_race_desc' => 'Mask for races which can use this item.',
  'req_skill' => 'Required Skill',
  'req_skill_desc' => 'Skill required to use this item.',
  'req_skill_rank' => 'Required Skill Rank',
  'req_skill_rank_desc' => 'Minimum proficiency in skill to use this item.',
  'req_spell' => 'Required Spell',
  'req_spell_desc' => 'Player must know this spell to use the item.',
  'req_honor_rank' => 'Required Honor Rank',
  'req_honor_rank_desc' => 'The PvP Honor rank required to use this item.',
  'req_rep_faction' => 'Required Reputation Faction',
  'req_rep_faction_desc' => 'Faction id (from Faction.dbc) for which a minimum rank is required to equip/use the item.',
  'req_rep_rank' => 'Required Reputation Rank',
  'req_rep_rank_desc' => 'Minimum required rank for the faction entered in RequiredReputationFaction.',
  'req_city_rank' => 'Required City Rank',
  'req_city_rank_desc' => 'Required City Rank.',
  'hated' => 'Hated',
  'hostile' => 'Hostile',
  'unfriendly' => 'Unfriendly',
  'neutral' => 'Neutral',
  'friendly' => 'Friendly',
  'honored' => 'Honored',
  'reverted' => 'Reverted',
  'exalted' => 'Exalted',
  'sock_tab' => 'Sockets',
  'req_skill_disenchant' => 'Req. Disenchant Skill',
  'req_skill_disenchant_desc' => 'Disenchant Skill Required in order to disenchant this item.',
  'RandomSuffix' => 'Random Suffix',
  'RandomSuffix_desc' => 'Random enchantment suffix entry.',
  'unk0' => 'unk0',
  'unk0_desc' => 'TODO:',
  'totem_category' => 'Totem Type',
  'totem_category_desc' => 'Type of the totem. Linked to TotemCategory.dbc',
  'socket_color' => 'Socket Color',
  'socket_color_desc' => 'Color of this Socket.',
  'socket_content' => 'Socket Content',
  'socket_content_desc' => 'Jem socketed into this socket',
  'socket_bonus' => 'Socket Bonus',
  'socket_bonus_desc' => 'Bonus upon socketting. Linked to SpellItemEnchantment.dbc',
  'gem_properties' => 'Gem Poperties',
  'gem_properties_desc' => 'Linked to GemProperties.dbc',
  'custom_search' => 'Custom Filter',
  'info' => 'Info.',
  'dropped_by' => 'Item Dropped by',
  'top_x' => '(top 5)',
  'sold_by' => 'Item Sold by',
  'limit_x' => '(limited to 5 results)',
  'mob_name' => 'Name',
  'mob_level' => 'Level',
  'mob_drop_chance' => 'Drop Chance',
  'mob_quest_drop_chance' => 'Quest Drop Chance',
  'involved_in_quests' => 'Involved in Quest(s)',
  'reward_from_quest' => 'Reward from Quest(s)',
  'disenchant_tab' => 'Disenchant',
  'disenchant_templ' => 'Disenchant Template',
  'add_items_to_templ' => 'Add Item to Template',
  'loot_item_id' => 'Item ID',
  'loot_item_id_desc' => 'ID of the item you wish to be added.',
  'loot_drop_chance' => 'Drop Chance',
  'loot_drop_chance_desc' => 'Item Drop chance',
  'loot_quest_drop_chance' => 'Quest Drop Chance',
  'loot_quest_drop_chance_desc' => 'Quest Drop chance',
  'min_count' => 'Min. Count',
  'min_count_desc' => 'Minimum number of stack size on drop.',
  'max_count' => 'Max. Count',
  'max_count_desc' => 'Maximum number of stack size on drop.',
  'add_item_to_loot' => 'Add item to Loot Template',
  'drop_chance' => 'Drop Chance',
  'quest_drop_chance' => 'Quest Drop Chance',
  'armor_dmg_mod' => 'Armor Damage Modifier',
  'armor_dmg_mod_desc' => 'TODO:',
  'ppm_rate' => 'ppmRate',
  'ppm_rate_desc' => 'Number of proc per minute',
  'item_spell' => 'Item Spell',
  'freeforall' => 'Free for all',
  'freeforall_desc' => 'Free for all loot flag.',
  'lootcondition' => 'Loot condition',
  'lootcondition_desc' => 'Loot condition flag',
  'condition_value1' => 'Condition Value 1',
  'condition_value1_desc' => 'Condition Value 1 flag',
  'condition_value2' => 'Condition Value 2',
  'condition_value2_desc' => 'Condition Value 2 flag',
  );

$lang_creature = array(
  // ----- CREATURE.PHP -----
  'none' => 'None',
  'custom' => 'Custom',
  'gossip' => 'Gossip',
  'quest_giver' => 'Quest Giver',
  'vendor' => 'Vendor',
  'taxi' => 'Taxi',
  'trainer' => 'Trainer',
  'spirit_healer' => 'Spirit Healer',
  'guard' => 'Guard',
  'inn_keeper' => 'Inn Keeper',
  'banker' => 'Banker',
  'retitioner' => 'Retitioner',
  'tabard_vendor' => 'Tabard Vendor',
  'battlemaster' => 'Battlemaster',
  'auctioneer' => 'Auctioneer',
  'stable_master' => 'Stable Master',
  'armorer' => 'Armorer',
  'normal' => 'Normal',
  'elite' => 'Elite',
  'rare_elite' => 'Rare Elite',
  'world_boss' => 'World Boss',
  'rare' => 'Rare',
  'search_template' => 'Search Creature Template',
  'select' => 'Select',
  'other' => 'Other',
  'beast' => 'Beast',
  'dragonkin' => 'Dragonkin',
  'demon' => 'Demon',
  'elemental' => 'Elemental',
  'giant' => 'Giant',
  'undead' => 'Undead',
  'humanoid' => 'Humanoid',
  'critter' => 'Critter',
  'mechanical' => 'Mechanical',
  'not_specified' => 'Not Specified',
  'class' => 'Class',
  'mounts' => 'Mounts',
  'trade_skill' => 'Trade Skill',
  'pets' => 'Pets',
  'wolf' => 'Wolf',
  'cat' => 'Cat',
  'spider' => 'Spider',
  'bear' => 'Bear',
  'boar' => 'Boar',
  'crocolisk' => 'Crocolisk',
  'carrion_bird' => 'Carrion Bird',
  'crab' => 'Crab',
  'gorilla' => 'Gorilla',
  'raptor' => 'Raptor',
  'tallstrider' => 'Tallstrider',
  'felhunter' => 'Felhunter',
  'voidwalker' => 'Voidwalker',
  'succubus' => 'Succubus',
  'doomguard' => 'Doomguard',
  'scorpid' => 'Scorpid',
  'turtle' => 'Turtle',
  'scorpid' => 'Scorpid',
  'imp' => 'Imp',
  'bat' => 'Bat',
  'hyena' => 'Hyena',
  'owl' => 'Owl',
  'wind_serpent' => 'Wind Serpent',
  'search' => 'Search',
  'new_search' => 'New Search',
  'add_new' => 'Add New Creature',
  'tot_creature_templ' => 'Total Creature Templates',
  'tot_found' => 'Total Found',
  'general' => 'General',
  'stats' => 'Stats',
  'models' => 'Models',
  'additional' => 'Additional',
  'entry' => 'Entry',
  'entry_desc' => 'Creature\'s id.',
  'name' => 'Name',
  'name_desc' => 'Base name of the creature.',
  'faction' => 'Faction',
  'sub_name' => 'SubName',
  'sub_name_desc' => 'Subname of the creature.',
  'script_name' => 'Script Name',
  'script_name_desc' => 'Script\'s name creature uses.',
  'basic_status' => 'Basic Status',
  'level' => 'Level',
  'min_level' => 'Min. Level',
  'min_level_desc' => 'Creature\'s minimum level. Spawned creature have level in range from minlevel to maxlevel.',
  'max_level' => 'Max. Level',
  'max_level_desc' => 'Creature\'s maximum level. Spawned creature have level in range from minlevel to maxlevel.',
  'rank' => 'Rank',
  'rank_desc' => 'Creature\'s honor rank.',
  'health' => 'Health',
  'min_health' => 'Min Health',
  'min_health_desc' => 'Maximum creature\'s health points for creature level equal minlevel. Spawned creature have health in linear proportion to level position in range minlevel - maxlevel.',
  'max_health' => 'Max Health',
  'max_health_desc' => 'Maximum creature\'s health points for creature level equal maxlevel. Spawned creature have health in linear proportion to level position in range minlevel - maxlevel.',
  'min_mana' => 'Min Mana',
  'min_mana_desc' => 'Minimum creature\'s mana points for creature level equal minlevel. Spawned creature have mana in linear proportion to level position in range minlevel - maxlevel.',
  'max_mana' => 'Max Mana',
  'max_mana_desc' => 'Maximum creature\'s mana points for creature level equal minlevel. Spawned creature have mana in linear proportion to level position in range minlevel - maxlevel.',
  'family' => 'Family',
  'family_desc' => 'Creature\'s family type.',
  'type' => 'Type',
  'type_desc' => 'Creature type.',
  'npc_flag' => 'NPC Flag',
  'npc_flag_desc' => 'This is way to cliet know how info you see if you clic(RMB) on NPC if is vendor if is auction in fact is menu how you see Is what type of NPC it is.',
  'trainer_type' => 'Trainer Type',
  'trainer_type_desc' => 'If NPC flag is set to Trainer this flag will specify its type.',
  'loot' => 'Loot',
  'loot_id' => 'Loot Id',
  'loot_id_desc' => 'Refered to field loot_template.entry.',
  'skin_loot' => 'Skin Loot',
  'skin_loot_desc' => 'Type of loot if creature is skinned.',
  'pickpocket_loot' => 'Pickpocket Loot',
  'pickpocket_loot_desc' => 'Refered to field pickpocketing_loot_template.entry.',
  'min_gold' => 'Min Gold',
  'min_gold_desc' => 'Minimum gold drop.',
  'max_gold' => 'Max Gold',
  'max_gold_desc' => 'Maximum gold drop. 0 = creature don\'t drop any gold.',
  'basic_status' => 'Basic Status',
  'armor' => 'Armor',
  'armor_desc' => 'Creature\'s armor.',
  'speed' => 'Speed',
  'speed_desc' => 'Creature\'s speed. Use float values in 0<<3 range.',
  'size' => 'Size',
  'size_desc' => 'Creature model size 1 = 100%. Float  0<<3 range.',
  'damage' => 'Damage',
  'min_damage' => 'Min Damage',
  'min_damage_desc' => 'Creature\'s minimum melee damage.',
  'max_damage' => 'Max Damage',
  'max_damage_desc' => 'Creature\'s maximum melee damage.',
  'attack_power' => 'Attack Power',
  'attack_power_desc' => 'Creature\'s melee attack power.',
  'min_range_dmg' => 'Min Ranged Damage',
  'min_range_dmg_desc' => 'Minimum creature\'s range damage.',
  'max_range_dmg' => 'Max Ranged Damage',
  'max_range_dmg_desc' => 'Maximum creature\'s range damage.',
  'ranged_attack_power' => 'Ranged Attack Power',
  'ranged_attack_power_desc' => 'Creature\'s ranged attack power.',
  'attack_time' => 'Attack Time',
  'attack_time_desc' => 'Time between each creature\'s melee attacks (ms).',
  'range_attack_time' => 'Range Attack Time',
  'range_attack_time_desc' => 'Time between each creature\'s range attacks (ms).',
  'combat_reach' => 'Combat Reach',
  'combat_reach_desc' => 'The distance from the creature can hit you.',
  'bounding_radius' => 'Bounding Radius',
  'bounding_radius_desc' => 'Radius from what player can be attacked.',
  'spells' => 'Spells',
  'spell' => 'Spell',
  'spell_desc' => 'Creature\'s spell.',
  'resistances' => 'Resistances',
  'resis_holy' => 'Holy Resitance',
  'resis_holy_desc' => 'Holy Resitance.',
  'resis_fire' => 'Fire Resitance',
  'resis_fire_desc' => 'Fire Resitance.',
  'resis_nature' => 'Nature Resitance',
  'resis_nature_desc' => 'Nature Resitance.',
  'resis_frost' => 'Frost Resitance',
  'resis_frost_desc' => 'Frost Resitance.',
  'resis_shadow' => 'Shadow Resitance',
  'resis_shadow_desc' => 'Shadow Resitance.',
  'resis_arcane' => 'Arcane Resitance',
  'resis_arcane_desc' => 'Arcane Resitance.',
  'models' => 'Models',
  'scripts' => 'Scripts',
  'ai_name' => 'AIName',
  'ai_name_desc' => 'Name of the AI function creature uses.',
  'movement_type' => 'MovementType',
  'movement_type_desc' => 'TODO.',
  'class' => 'class',
  'class_desc' => 'Creature\'s class, like character.class field. Used for check in case npcflag include trainer flag (16) and trainer_type == TRAINER_TYPE_CLASS or TRAINER_TYPE_PETS.',
  'race' => 'Race',
  'race_desc' => 'Creature\'s race, like character.race field. Used for check in case npcflag include trainer flag (16) and trainer_type == TRAINER_TYPE_MOUNTS.',
  'trainer_spell' => 'Trainer Spell',
  'trainer_spell_desc' => 'Spell ID. Used for check in case npcflag include trainer flag (16) and trainer_type == TRAINER_TYPE_TRADESKILLS. Player must known trainer_spell to start training.',
  'inhabit_type' => 'Inhabit Type',
  'inhabit_type_desc' => 'Movment type.<br />0 - not used<br />1 - can walk (or fly above ground)<br />2 - can swim (or fly above water)<br />3 (= 1 | 2) - can walk and swim (and fly)',
  'walk' => 'Walk',
  'swim' => 'Swim',
  'both' => 'Both',
  'flags_extra' => 'Flags Extra',
  'flags_extra_desc' => 'TODO:',
  'flags' => 'Flags',
  'flags_desc' => 'TODO:',
  'dynamic_flags' => 'Dynamic Flags',
  'dynamic_flags_desc' => 'TODO:',
  'flag_1' => 'Flag 1',
  'flag_1_desc' => 'Mobgroup: If you attack one of this group each mob in the group will aggro you.',
  'save_to_db' => 'Save to Database',
  'save_to_script' => 'Save as SQL Script',
  'lookup_creature' => 'Lookup Creature',
  'quests' => 'Quests',
  'vendor' => 'Vendor',
  'trainer' => 'Trainer',
  'creature_swapned' => 'This Creature spawned total of',
  'times' => 'time(s)',
  'del_creature' => 'Delete Creature',
  'del_spawns' => 'Delete Spawns',
  'loot_tmpl_id' => 'Loot template ID',
  'drop_chance' => 'Drop chance',
  'quest_drop_chance' => 'Quest Drop chance',
  'start_quests' => 'Start Quests',
  'ends_quests' => 'Ends Quests',
  'sells' => 'Sells',
  'unlimited' => 'Unlimited',
  'count' => 'Count',
  'trains' => 'Trains',
  'spell_id' => 'Spell ID',
  'cost' => 'Cost',
  'req_skill' => 'Required Skill',
  'req_skill_lvl' => 'Required Skill level',
  'req_level' => 'Required Level',
  'creature_template' => 'Creature template ID',
  'all_related_data' => 'All related data will be erased as well.',
  'add_new_mob_templ' => 'Add new creature Template',
  'add_new_success' => 'Creature Successfully Added',
  'edit_mob_templ' => 'Edit Creature Template',
  'err_adding_new' => 'Error Adding New Creature',
  'err_no_fields_updated' => 'Non of the fields updated.',
  'search_creatures' => 'Search Creatures',
  'custom_search' => 'Custom Filter',
  'pickpocketloot_tmpl_id' => 'Pickpocket Loot Template ID',
  'skinning_loot_tmpl_id' => 'Skinning Loot Template ID',
  'add_items_to_templ' => 'Add Item to Template',
  'loot_item_id' => 'Item ID',
  'loot_item_id_desc' => 'ID of the item you wish to be added.',
  'loot_drop_chance' => 'Drop Chance',
  'loot_drop_chance_desc' => 'Item Drop chance',
  'loot_quest_drop_chance' => 'Quest Drop Chance',
  'loot_quest_drop_chance_desc' => 'Quest Drop chance',
  'min_count' => 'Min. Count',
  'min_count_desc' => 'Minimum number of stack size on drop.',
  'max_count' => 'Max. Count',
  'max_count_desc' => 'Maximum number of stack size on drop.',
  'add_item_to_loot' => 'Add item to Loot Template',
  'drop_chance' => 'Drop Chance',
  'add_ends_quests' => 'Add Quest ends by this NPC',
  'add_starts_quests' => 'Add Quest starts by this NPC',
  'quest_id' => 'Quest ID',
  'quest_id_desc' => 'ID of the quest.',
  'add_items_to_vendor' => 'Add item to Vendor',
  'vendor_item_id' => 'Item Id',
  'vendor_item_id_desc' => 'Id of item you wish to add.',
  'vendor_max_count' => 'Max. Count',
  'vendor_max_count_desc' => 'Maximim number of items can be soled.',
  'vendor_incrtime' => 'Increase Time',
  'vendor_incrtime_desc' => 'Time before this item can be soled again.',
  'vendor_extended_cost' => 'Extended Cost',
  'vendor_extended_cost_desc' => 'Honor point required to buy. Linked to ItemExtendedCost.dbc',
  'train_spell_id' => 'Spell Id',
  'train_spell_id_desc' => 'Id of the spell you like this trainer to train.',
  'add_spell_to_trainer' => 'Add Spell to Trainer',
  'train_cost' => 'Cost',
  'train_cost_desc' => 'Cost in cooper of this skill.',
  'req_skill' => 'Req. Skill',
  'req_skill_desc' => 'Skill id required to learn this spell.',
  'req_skill_value' => 'Req. Skill Value',
  'req_skill_value_desc' => 'Skill level required to learn this spell.',
  'req_level' => 'Req. Level',
  'req_level_desc' => 'Character level required to learn this spell.',
  'check_to_delete' => '* Check checkbox next to item to remove from template.',
  'search_results' => 'Search Results',
  'RacialLeader' => 'Racial Leader',
  'RacialLeader_desc' => 'Set to 1 if the creature is Racial Leader',
  'dmgschool' => 'Damage School',
  'dmgschool_desc' => 'The school of damage will be used by this mob',
  'freeforall' => 'Free for all',
  'freeforall_desc' => 'Free for all loot flag.',
  'lootcondition' => 'Loot condition',
  'lootcondition_desc' => 'Loot condition flag',
  'condition_value1' => 'Condition Value 1',
  'condition_value1_desc' => 'Condition Value 1 flag',
  'condition_value2' => 'Condition Value 2',
  'condition_value2_desc' => 'Condition Value 2 flag',
  'modelid_A' => 'Model ID Allied',
  'modelid_A_desc' => 'Model ID Allied',
  'modelid_A2' => 'Model ID Allied 2',
  'modelid_A2_desc' => 'Model ID Allied 2',
  'modelid_H' => 'Model ID Horde',
  'modelid_H_desc' => 'Model ID Horde',
  'modelid_H2' => 'Model ID Horde 2',
  'modelid_H2_desc' => 'Model ID Horde 2',
  'faction_A' => 'Faction (Alliance)',
  'faction_A_desc' => 'The faction if the creature is on the alliance side.',
  'faction_H' => 'Faction (Horde)',
  'faction_H_desc' => 'The faction if the creature is on the horde side.',
  'RegenHealth' => 'Regenerate Health',
  'equipment' => 'Equipment',
    'equip_slot' => 'Equip Slot',
  'equip_slot1_desc' => 'Offset to the real slot used',
  'equip_slot2_desc' => 'Offset to the real slot used',
  'equip_slot3_desc' => 'Offset to the real slot used',
  'equip_model' => 'Equip Model',
  'equip_model1_desc' => 'This is the model of the equipment used in right hand.',
  'equip_model2_desc' => 'This is the model of the equipment used in right hand.',
  'equip_model3_desc' => 'This is the model of the equipment used in distance slot.',
  'equip_info' => 'Equip Info',
  'equip_info1_desc' => 'This field controls both the animation, the way the equiped item hits and the sound it makes.',
  'equip_info2_desc' => 'This field controls both the animation, the way the equiped item hits and the sound it makes',
  'equip_info3_desc' => 'This field controls both the animation, the way the equiped item hits and the sound it makes',
  'heroic' => 'Heroic Spawn ID',
  'heroic_desc' => 'A heroic id is used when a creature has a different template for instances in normal and heroic mode. The one with the heroic_entry is the one used in the normal mode. A zero values means, this template is used for normal and heroic mode, or only heroic mode, if another creature point with its heroic_entry to this creature.',
  'locales' => 'Localisation',
  'unit_flags' => 'Unit flags',
  );

$lang_game_object = array(
  // ----- GAME_OBJECT.PHP -----
  'unknown' => 'Unknown',
  'custom_search' => 'Custom Filter',
  'search' => '+ Search +',
  'add_new' => 'Add New',
  'tot_go_templ' => 'Total Game Object Templates',
  'search_template' => 'Search Game Object Template',
  'select' => 'Select',
  'new_search' => 'New Search',
  'tot_found' => 'Total Templates Found',
  'add_new_go_templ' => 'Add New Game Object Template',
  'edit_go_templ' => 'Edit Game Object Template',
  'err_adding_new' => 'Error Adding New Game Object Template',
  'err_no_fields_updated' => 'Error: No Fields Updated',
  'search_go' => 'Search Game Objects',
  'general' => 'General',
  'save_to_db' => 'Save to DB',
  'save_to_script' => 'Save to Script',
  'lookup_go' => 'Lookup GO',
  'DOOR' => 'DOOR',
  'BUTTON' => 'BUTTON',
  'QUESTGIVER' => 'QUESTGIVER',
  'CHEST' => 'CHEST',
  'BINDER' => 'BINDER',
  'GENERIC' => 'GENERIC',
  'TRAP' => 'TRAP',
  'CHAIR' => 'CHAIR',
  'SPELL_FOCUS' => 'SPELL_FOCUS',
  'TEXT' => 'TEXT',
  'GOOBER' => 'GOOBER',
  'TRANSPORT' => 'TRANSPORT',
  'AREADAMAGE' => 'AREADAMAGE',
  'CAMERA' => 'CAMERA',
  'MAP_OBJECT' => 'MAP_OBJECT',
  'MO_TRANSPORT' => 'MO_TRANSPORT',
  'DUEL_FLAG' => 'DUEL_FLAG',
  'FISHING_BOBBER' => 'FISHING_BOBBER',
  'RITUAL' => 'RITUAL',
  'MAILBOX' => 'MAILBOX',
  'AUCTIONHOUSE' => 'AUCTIONHOUSE',
  'GUARDPOST' => 'GUARDPOST',
  'SPELLCASTER' => 'SPELLCASTER',
  'MEETING_STONE' => 'MEETING_STONE',
  'BG_Flag' => 'BG_Flag',
  'FISHING_HOLE' => 'FISHING_HOLE',
  'FLAGDROP' => 'FLAGDROP',
  'CUSTOM_TELEPORTER' => 'CUSTOM_TELEPORTER',
  'LOTTERY_KIOSK' => 'LOTTERY_KIOSK',
  'CAPTURE_POINT' => 'CAPTURE_POINT',
  'AURA_GENERATOR' => 'AURA_GENERATOR',
  'DUNGEON_DIFFICULTY' => 'DUNGEON_DIFFICULTY',
  'general' => 'General',
  'name' => 'Name',
  'name_desc' => 'Object\'s name.',
  'entry' => 'Entry',
  'entry_desc' => 'Unique GO identifier value',
  'displayId' => 'Display Id',
  'displayId_desc' => 'Graphic model\'s id sent to the client.',
  'faction' => 'Faction',
  'faction_desc' => 'Object\'s faction, if any.',
  'flags' => 'Flags',
  'flags_desc' => 'TODO:',
  'type' => 'Type',
  'type_desc' => 'Game Object\'s type',
  'script_name' => 'ScriptName',
  'ScriptName_desc' => 'Script\'s name GO uses.',
  'size' => 'Size',
  'size_desc' => 'Object\'s size must be set because graphic models can be resample.',
  'tmpl_not_found' => 'Template not Found',
  'del_go' => 'Delete GO',
  'del_spawns' => 'Delete Spawns',
  'loot' => 'Loot',
  'quests' => 'Quests',
  'loot_tmpl_id' => 'Loot Template',
  'drop_chance' => 'Drop Chance',
  'quest_drop_chance' => 'Quest Drop Chance',
  'add_items_to_templ' => 'Add Items to Template',
  'loot_item_id' => 'Loot template ID',
  'loot_item_id_desc' => 'ID of the item you wish to be added.',
  'loot_drop_chance' => 'Drop Chance',
  'loot_drop_chance_desc' => 'Item Drop chance',
  'loot_quest_drop_chance' => 'Quest Drop Chance',
  'loot_quest_drop_chance_desc' => 'Quest Drop chance',
  'min_count' => 'Min. Count',
  'min_count_desc' => 'Minimum number of stack size on drop.',
  'max_count' => 'Max. Count',
  'max_count_desc' => 'Maximum number of stack size on drop.',
  'check_to_delete' => '* Check checkbox next to item to remove from template.',
  'add_starts_quests' => 'Add Quest starts by this GO',
  'quest_id' => 'Quest ID',
  'quest_id_desc' => 'ID of the quest.',
  'start_quests' => 'Start Quests',
  'ends_quests' => 'Ends Quests',
  'add_ends_quests' => 'Add Quest ends by this GO',
  'go_swapned' => 'This Game Object spawned total of',
  'times' => 'times',
  'go_template' => 'Game Object Template',
  'all_related_data' => 'Along with all related data.',
  'freeforall' => 'Free for all',
  'freeforall_desc' => 'Free for all loot flag.',
  'lootcondition' => 'Loot condition',
  'lootcondition_desc' => 'Loot condition flag',
  'condition_value1' => 'Condition Value 1',
  'condition_value1_desc' => 'Condition Value 1 flag',
  'condition_value2' => 'Condition Value 2',
  'condition_value2_desc' => 'Condition Value 2 flag',
  'datas' => 'Additional Datas',
  'data' => 'Data',
  'data_desc' => 'Data fields specific for different type field values. Each type has unique fields.<br />For more informaton visit https://svn.mangosproject.org/trac /MaNGOS/wiki/Database /gameobject_template'
  );


// ----- AHSTATS.PHP -----
function lang_auctionhouse()
{
  $lang_auctionhouse = array
  (
    'auctionhouse' => 'Casa de Subastas',
    'seller' => 'Vendedor',
    'buyer' => 'Comprador',
    'item' => 'Item',
    'buyoutprice' => 'Precio de venta',
    'timeleft' => 'Tiempo restante',
    'lastbid' => 'Ultima Oferta',
    'firstbid' => 'Primera Oferta',
    'dayshortcut' => 'D',
    'hourshortcut' => 'H',
    'mnshortcut' => 'mn',
    'total_auctions' => 'Total de las subastas ',
    'search_results' => 'Resultados de la busqueda',
    'auction_over' => 'Subasta terminada',
    'all' => 'Todos',
    'item_id' => 'ID Item',
    'item_name' => 'Nombre de Item',
    'seller_name' => 'Nombre del Vendedor',
    'buyer_name' => 'Nombre del comprador',
  );
  return $lang_auctionhouse;
}


$lang_id_tab = array(
  // ----- ID_TAB.PHP -----
  //---RACE---
  'human' => 'Humano',
  'orc' => 'Orco',
  'dwarf' => 'Enano',
  'nightelf' => 'Elfo nocturno',
  'undead' => 'No Muerto',
  'tauren' => 'Tauren',
  'gnome' => 'Gnomo',
  'troll' => 'Troll',
  'bloodelf' => 'Elfo sanguinario',
  'draenei' => 'Draenei',
  //---Class---
  'warrior' => 'Guerrero',
  'paladin' => 'Paladin',
  'hunter' => 'Cazador',
  'rogue' => 'Picaro',
  'priest' => 'Sacerdote',
  'death_knight' => 'Caballero de la muerte',
  'shaman' => 'Chaman',
  'mage' => 'Mago',
  'warlock' => 'Brujo',
  'druid' => 'Druida',
  //------user levels------
  'Player' => 'Jugador',
  'Moderator' => 'Moderador',
  'Game_Master' => 'Maestro de Juego',
  'BugTracker' => 'Bug Tracker',
  'Administrator' => 'Administrator',
  'SysOP' => 'Sys OP',
  //------factions------
  'Alliance' => 'Alianza',
  'Horde' => 'Horda',
  //------char rankings------
  'None' => 'None',
  'Private' => 'Private',
  'Corporal' => 'Corporal',
  'Sergeant' => 'Sergeant',
  'Master_Sergeant' => 'Master Sergeant',
  'Sergeant_Major' => 'Sergeant Major',
  'Knight' => 'Knight',
  'Knight-Lieutenant' => 'Knight-Lieutenant',
  'Knight-Captain' => 'Knight-Captain',
  'Knight-Champion' => 'Knight-Champion',
  'Lieutenant_Commander' => 'Lieutenant Commander',
  'Commander' => 'Commander',
  'Marshal' => 'Marshal',
  'Field_Marshal' => 'Field Marshal',
  'Grand_Marshal' => 'Grand Marshal',
  'Scout' => 'Scout',
  'Grunt' => 'Grunt',
  'Senior_Sergeant' => 'Senior Sergeant',
  'First_Sergeant' => 'First Sergeant',
  'Stone_Guard' => 'Stone Guard',
  'Blood_Guard' => 'Blood Guard',
  'Legionnare' => 'Legionnare',
  'Centurion' => 'Centurion',
  'Champion' => 'Champion',
  'Lieutenant_General' => 'Lieutenant General',
  'General' => 'General',
  'Warlord' => 'Warlord',
  'High_Warlord' => 'High Warlord'
  );

$lang_arenateam = array(
  // ----- ARENATEAM.PHP -----
  'by_name' => 'Nombre de equipo',
  'by_team_leader' => 'por el Lider de Equipo',
  'by_id' => 'Por Id de equipo',
  'id' => 'Id',
  'arenateam_id' => 'ID Equipo',
  'arenateam_name' => 'Nombre de Equipo',
  'captain' => 'Capitan',
  'type' => 'Tipe',
  'arenateam_online' => 'Miembros Conectados',
  'create_date' => '...',
  '2' => '2 VS 2',
  '3' => '3 VS 3',
  '5' => '5 VS 5',
  'err_no_members_found' => 'No se han encontrado miembros!',
  'err_no_team_found' => 'No hay equipos de arena encontrados!',
  'del_team' => 'Eliminar Equipo de Arena',
  'team_search_result' => 'Los equipos de arena Resultados de busqueda',
  'browse_teams' => 'Explorar los equipos de arena',
  'tot_teams' => 'Total de equipos de arena',
  'members' => 'Miembros',
  'tot_members' => 'Total de miembros',
  'games' => 'Juegos jugados',
  'rating' => 'Rating',
  'wins' => 'Juegos ganados',
  'remove' => 'Eliminar',
  'name' => 'Nombre',
  'level' => 'Nivel',
  'played_week' => 'Juegos jugados esta semana',
  'wons_week' => 'Juegos ganados esta semana',
  'played_season' => 'Juegos jugados esta temporada',
  'wons_season' => 'Juegos ganados esta temporada',
  'arenateams' => 'Los equipos de arena',
  'del_team' => 'Eliminar Equipo de Arena',
  'games_played' => 'Jugado',
  'games_won' => 'Gano',
  'games_lost' => 'Perdido',
  'ratio' => 'Porcentaje de victorias',
  'this_week' => 'Esta semana',
  'this_season' => 'Esta temporada',
  'standings' => 'Posicion :',
  'tot_found' => 'Total Encontrados',
  'arenateam' => 'Equipo de Arena'
  );

$lang_honor = array(
  // ----- HONOR.PHP -----
  'allied' => 'Alianza',
  'horde' => 'Horda',
  'browse_honor' => 'Informacion general de Honor',
  'guid' => 'Nombre del personaje',
  'race' => 'Raza',
  'class' => 'Clase',
  'level' => 'Nivel',
  'honor points' => 'Punto de Honor',
  'honor' => 'Rango',
  'guild' => 'Clan'
  );


// ----- EVENTS.PHP -----
function lang_events()
{
  $lang_events = array
  (
    'total' => 'Total',
    'descr' => 'Nombre del evento',
    'start' => 'Primera hora de inicio',
    'occur' => 'Ocurrencia<br /><small>diass/horas</small>',
    'length' => 'Duracion<br /><small>dias/horas</small>',
    'events' => 'Eventos',
  );
  return $lang_events;
}


// ----- INSTANCES.PHP -----
function lang_instances()
{
  $lang_instances = array
  (
    'instances' => 'Instancias',
    'total' => 'Total',
    'map' => 'Mapa',
    'level_min' => 'Nivel minimo',
    'level_max' => 'Maximo nivel',
  );
  return $lang_instances;
}


// ----- FORM.PHP -----
function lang_captcha()
{
  $lang_captcha = array
  (
    'security_code' => 'Codigo de Seguridad',
    'invalid_code' => 'Codigo no valido!'
  );
  return $lang_captcha;
}


// ----- TOP100.PHP -----
function lang_top()
{
  $lang_top = array
  (
  'top100' => 'Top 100',
  'general' => 'General',
  'stats' => 'Stats',
  'defense' => 'Defense',
  'melee' => 'Melee',
  'ranged' => 'Ranged',
  'resist' => 'Resist',
  'pvp' => 'PVP',
  'health' => 'Health',
  'mana' => 'Mana',
  'str' => 'Str',
  'agi' => 'Agi',
  'sta' => 'Sta',
  'intel' => 'Int',
  'spi' => 'Spi',
  'armor' => 'Armor',
  'block' => 'Block',
  'dodge' => 'Dodge',
  'parry' => 'Parry',
  'resilience' => 'Resilience',
  'ap' => 'Attack Power',
  'att_time' => 'Att Time',
  'min_dmg' => 'Min Dmg',
  'max_dmg' => 'Max Dmg',
  'expertise' => 'Main Exp',
  'off_expertise' => 'Off Exp',
  'crit' => 'Crit',
  'hit' => 'Hit',
  'holy' => 'Holy',
  'fire' => 'Fire',
  'nature' => 'Nature',
  'frost' => 'Frost',
  'shadow' => 'Shadow',
  'arcane' => 'Arcane',
  'name' => 'Name',
  'race' => 'Race',
  'class' => 'Class',
  'level' => 'Level',
  'guild' => 'Guild',
  'money' => 'Money',
  'rank' => 'Rank',
  'honor_points' => 'Honor',
  'kills' => 'Kills',
  'arena_points' => 'Arena',
  'time_played' => 'Time Played',
  'online' => 'Online'
  );
  return $lang_top;
}


// ----- SPELLD.PHP -----
function lang_spelld()
{
  $lang_spelld = array
  (
    'add_spell' => 'Add spell',
    'spell_list' => 'Spell(s) List',
    'by_id' => 'by spell ID',
    'by_disable' => 'by mask',
    'by_comment' => 'by spell name',
    'entry' => 'Spell ID',
    'disable_mask' => 'Disable mask',
    'comment' => 'Spell name',
    'del_selected_spells' => 'Delete checked spell(s)',
    'tot_spell' => 'Total Spells',
    'add_new_spell' => 'Add new spell',
    'entry2' => 'Spell ID (numbers only)',
    'disable_mask2' => 'Spell Disable Mask (Check table)',
    'comment2' => 'Spell name (max 64 chars)',
    'dm_exp' => 'Spell Disable Mask - Specifies who the spell is disabled for.',
    'value' => ' Value ',
    'type' => ' Type ',
    'disabled_p' => ' Spell disabled for players',
    'disabled_crea_npc_pets' => ' Spell disabled for creatures/npc/pets ',
    'disabled_p_crea_npc_pets' => ' Spell disabled for players and creatures/npc/pets ',
    'wrong_fields' => 'Some Fields Wrong',
    'err_add_entry' => 'Adding New Spell Fail',
    'spell_added' => 'New Spell Added',
    'spells' => 'Spell(s) Disabled',
    'search_results' => 'Search result',
    'spell_deleted' => 'Spell deleted!',
    'spell_not_deleted' => 'No spell deleted!',
  );
  return $lang_spelld;
}


// ----- GLOBAL TELNET -----
function lang_telnet()
{
  $lang_telnet = array
  (
    'unable' => 'Connect failed: Unable to open network connection, please check your config',
    'unknown_host' => 'Connect failed: Unknown host, please check your config',
    'login_failed' => 'Connect failed: Login failed, please check your config',
    'not_supported' => 'Connect failed: Your PHP version does not support PHP Telnet, please check your config',
  );
  return $lang_telnet;
}


// ---- message.php ----
function lang_message()
{
  $lang_message  = array
  (
    'main' => 'Send System Message/Global Notification',
    'announcement' => 'Announcement',
    'notification' => 'Notification',
    'both' => 'Both',
    'send' => 'Send',
    'empty_fields' => 'Empty Fields',
    'message_too_long' => 'Message too long',
    'system_message' => 'System Message',
    'global_notify' => 'Global Notify',
    'sent' => 'sent',
    'message_result' => 'Message Result',
  );
  return $lang_message;
}


function lang_forum()
{
  global $minfloodtime;

  $lang_forum = Array
  (
    // BBCode you can replace this by images off course
    "image" => "Image",
    "url" => "Link",
    "url2" => "Link with alias",
    "bold" => "Bold",
    "italic" => "Italic",
    "underline" => "Underline",
    "code" => "Code",
    "quote" => "Quote",
    "quote2" => "Quote with name",
    "wrote" => "wrote",
    "color" => "Color",
    "media" => "Media",
    "YouTube" => "YouTube",

    // forum_index
    "forums" => "Forums",
    "forum_index" => "Forum Index",
    "you_are_here" => "You are here",
    "last_post_by" => "Last post by",
    "in" => "in",
    "no_topics" => "No topics...",
    "topics" => "Topics",

    // view_forum
    "no_such_forum" => "Bad request : No such forum",
    "no_access" => "Bad request : You have no access to this content",
    "new_topic" => "New topic",
    "annoucement" => "Annoucement",
    "sticky" => "Sticky",
    "pages" => "Pages",
    "title" => "Topic Title",
    "author" => "Author",
    "pages" => "Pages",
    "replies" => "Replies",
    "last_post" => "Last Post",
    "closed" => "Closed",

    // view_topic
    "no_such_topic" => "Bad request : No such topic",
    "info" => "Info",
    "text" => "Text",
    "yes" => "Yes",
    "no" => "No",
    "at" => "at",
    "move" => "Move",
    "edit" => "Edit",
    "delete" => "Delete",
    "post" => "Post",
    "open" => "Open",
    "close" => "Close",
    "quick_reply" => "Quick Reply Form",
    "down" => "Down",
    "up" => "Up",
    "normal" => "Normal",

    // delete_post
    "delete_topic" => "Do you really want to delete this topic and all his sub-messages?",
    "delete_post" => "Do you really want to delete this post?",
    "back" => "Back",
    "confirm" => "Confirm",

    // add_topic
    "topic_name" => "Topic name",
    "please_wait" => "Please wait $minfloodtime seconds before posting again.",

    // do_add_topic
    "name_too_long" => "Topic name too long!",
    "name_too_short" => "Topic name too short!",
    "msg_too_short" => "Too short message!",

    // edit_post
    "no_such_post" => "Bad request : No such post",

    // move_topic
    "where" => "Where do you want to move this topic?",
  );
  return $lang_forum;
}


?>
